import{S as yf,i as kf,s as Tf,e as s,k as f,w as $,t as r,M as Pf,c as a,d as o,m,a as i,x as w,h as n,b as p,N as xf,G as e,g as _,y as B,q as y,o as k,B as T,v as Cf,L as Ee}from"../../chunks/vendor-hf-doc-builder.js";import{T as mr}from"../../chunks/Tip-hf-doc-builder.js";import{D as z}from"../../chunks/Docstring-hf-doc-builder.js";import{C as je}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as X}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Ce}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Ef(x){let d,b,u,h,v;return h=new je({props:{code:`from transformers import (
    Blip2VisionConfig,
    Blip2QFormerConfig,
    OPTConfig,
    Blip2Config,
    Blip2ForConditionalGeneration,
)

# Initializing a Blip2Config with Salesforce/blip2-opt-2.7b style configuration
configuration = Blip2Config()

# Initializing a Blip2ForConditionalGeneration (with random weights) from the Salesforce/blip2-opt-2.7b style configuration
model = Blip2ForConditionalGeneration(configuration)

# Accessing the model configuration
configuration = model.config

# We can also initialize a Blip2Config from a Blip2VisionConfig, Blip2QFormerConfig and any PretrainedConfig

# Initializing BLIP-2 vision, BLIP-2 Q-Former and language model configurations
vision_config = Blip2VisionConfig()
qformer_config = Blip2QFormerConfig()
text_config = OPTConfig()

config = Blip2Config.from_text_vision_configs(vision_config, qformer_config, text_config)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> (
<span class="hljs-meta">... </span>    Blip2VisionConfig,
<span class="hljs-meta">... </span>    Blip2QFormerConfig,
<span class="hljs-meta">... </span>    OPTConfig,
<span class="hljs-meta">... </span>    Blip2Config,
<span class="hljs-meta">... </span>    Blip2ForConditionalGeneration,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Blip2Config with Salesforce/blip2-opt-2.7b style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = Blip2Config()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Blip2ForConditionalGeneration (with random weights) from the Salesforce/blip2-opt-2.7b style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Blip2ForConditionalGeneration(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># We can also initialize a Blip2Config from a Blip2VisionConfig, Blip2QFormerConfig and any PretrainedConfig</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing BLIP-2 vision, BLIP-2 Q-Former and language model configurations</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>vision_config = Blip2VisionConfig()
<span class="hljs-meta">&gt;&gt;&gt; </span>qformer_config = Blip2QFormerConfig()
<span class="hljs-meta">&gt;&gt;&gt; </span>text_config = OPTConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span>config = Blip2Config.from_text_vision_configs(vision_config, qformer_config, text_config)`}}),{c(){d=s("p"),b=r("Example:"),u=f(),$(h.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(o),u=m(l),w(h.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,u,c),B(h,l,c),v=!0},p:Ee,i(l){v||(y(h.$$.fragment,l),v=!0)},o(l){k(h.$$.fragment,l),v=!1},d(l){l&&o(d),l&&o(u),T(h,l)}}}function jf(x){let d,b,u,h,v;return h=new je({props:{code:`from transformers import Blip2VisionConfig, Blip2VisionModel

# Initializing a Blip2VisionConfig with Salesforce/blip2-opt-2.7b style configuration
configuration = Blip2VisionConfig()

# Initializing a Blip2VisionModel (with random weights) from the Salesforce/blip2-opt-2.7b style configuration
model = Blip2VisionModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Blip2VisionConfig, Blip2VisionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Blip2VisionConfig with Salesforce/blip2-opt-2.7b style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = Blip2VisionConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Blip2VisionModel (with random weights) from the Salesforce/blip2-opt-2.7b style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Blip2VisionModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=s("p"),b=r("Example:"),u=f(),$(h.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(o),u=m(l),w(h.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,u,c),B(h,l,c),v=!0},p:Ee,i(l){v||(y(h.$$.fragment,l),v=!0)},o(l){k(h.$$.fragment,l),v=!1},d(l){l&&o(d),l&&o(u),T(h,l)}}}function qf(x){let d,b,u,h,v;return h=new je({props:{code:`from transformers import Blip2QFormerConfig, Blip2QFormerModel

# Initializing a BLIP-2 Salesforce/blip2-opt-2.7b style configuration
configuration = Blip2QFormerConfig()

# Initializing a model (with random weights) from the Salesforce/blip2-opt-2.7b style configuration
model = Blip2QFormerModel(configuration)
# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Blip2QFormerConfig, Blip2QFormerModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a BLIP-2 Salesforce/blip2-opt-2.7b style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = Blip2QFormerConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the Salesforce/blip2-opt-2.7b style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Blip2QFormerModel(configuration)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=s("p"),b=r("Examples:"),u=f(),$(h.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Examples:"),c.forEach(o),u=m(l),w(h.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,u,c),B(h,l,c),v=!0},p:Ee,i(l){v||(y(h.$$.fragment,l),v=!0)},o(l){k(h.$$.fragment,l),v=!1},d(l){l&&o(d),l&&o(u),T(h,l)}}}function Mf(x){let d,b,u,h,v;return{c(){d=s("p"),b=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),h=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(c,"CODE",{});var E=i(u);h=n(E,"Module"),E.forEach(o),v=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(o)},m(l,c){_(l,d,c),e(d,b),e(d,u),e(u,h),e(d,v)},d(l){l&&o(d)}}}function zf(x){let d,b,u,h,v;return{c(){d=s("p"),b=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),h=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(c,"CODE",{});var E=i(u);h=n(E,"Module"),E.forEach(o),v=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(o)},m(l,c){_(l,d,c),e(d,b),e(d,u),e(u,h),e(d,v)},d(l){l&&o(d)}}}function If(x){let d,b,u,h,v;return h=new je({props:{code:`from PIL import Image
import requests
from transformers import Blip2Processor, Blip2Model
import torch

device = "cuda" if torch.cuda.is_available() else "cpu"

processor = Blip2Processor.from_pretrained("Salesforce/blip2-opt-2.7b")
model = Blip2Model.from_pretrained("Salesforce/blip2-opt-2.7b", torch_dtype=torch.float16)
model.to(device)
url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

prompt = "Question: how many cats are there? Answer:"
inputs = processor(images=image, text=prompt, return_tensors="pt").to(device, torch.float16)

outputs = model(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Blip2Processor, Blip2Model
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>device = <span class="hljs-string">&quot;cuda&quot;</span> <span class="hljs-keyword">if</span> torch.cuda.is_available() <span class="hljs-keyword">else</span> <span class="hljs-string">&quot;cpu&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = Blip2Processor.from_pretrained(<span class="hljs-string">&quot;Salesforce/blip2-opt-2.7b&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Blip2Model.from_pretrained(<span class="hljs-string">&quot;Salesforce/blip2-opt-2.7b&quot;</span>, torch_dtype=torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>model.to(device)
<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;Question: how many cats are there? Answer:&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(images=image, text=prompt, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).to(device, torch.float16)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)`}}),{c(){d=s("p"),b=r("Examples:"),u=f(),$(h.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Examples:"),c.forEach(o),u=m(l),w(h.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,u,c),B(h,l,c),v=!0},p:Ee,i(l){v||(y(h.$$.fragment,l),v=!0)},o(l){k(h.$$.fragment,l),v=!1},d(l){l&&o(d),l&&o(u),T(h,l)}}}function Ff(x){let d,b,u,h,v;return{c(){d=s("p"),b=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),h=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(c,"CODE",{});var E=i(u);h=n(E,"Module"),E.forEach(o),v=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(o)},m(l,c){_(l,d,c),e(d,b),e(d,u),e(u,h),e(d,v)},d(l){l&&o(d)}}}function Lf(x){let d,b,u,h,v;return h=new je({props:{code:`import torch
from transformers import AutoTokenizer, Blip2Model

device = "cuda" if torch.cuda.is_available() else "cpu"

model = Blip2Model.from_pretrained("Salesforce/blip2-opt-2.7b", torch_dtype=torch.float16)

model.to(device)
tokenizer = AutoTokenizer.from_pretrained("Salesforce/blip2-opt-2.7b")
inputs = tokenizer(["a photo of a cat", "a photo of a dog"], padding=True, return_tensors="pt").to(device)
text_features = model.get_text_features(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, Blip2Model

<span class="hljs-meta">&gt;&gt;&gt; </span>device = <span class="hljs-string">&quot;cuda&quot;</span> <span class="hljs-keyword">if</span> torch.cuda.is_available() <span class="hljs-keyword">else</span> <span class="hljs-string">&quot;cpu&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>model = Blip2Model.from_pretrained(<span class="hljs-string">&quot;Salesforce/blip2-opt-2.7b&quot;</span>, torch_dtype=torch.float16)

<span class="hljs-meta">&gt;&gt;&gt; </span>model.to(device)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;Salesforce/blip2-opt-2.7b&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([<span class="hljs-string">&quot;a photo of a cat&quot;</span>, <span class="hljs-string">&quot;a photo of a dog&quot;</span>], padding=<span class="hljs-literal">True</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).to(device)
<span class="hljs-meta">&gt;&gt;&gt; </span>text_features = model.get_text_features(**inputs)`}}),{c(){d=s("p"),b=r("Examples:"),u=f(),$(h.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Examples:"),c.forEach(o),u=m(l),w(h.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,u,c),B(h,l,c),v=!0},p:Ee,i(l){v||(y(h.$$.fragment,l),v=!0)},o(l){k(h.$$.fragment,l),v=!1},d(l){l&&o(d),l&&o(u),T(h,l)}}}function Af(x){let d,b,u,h,v;return{c(){d=s("p"),b=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),h=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(c,"CODE",{});var E=i(u);h=n(E,"Module"),E.forEach(o),v=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(o)},m(l,c){_(l,d,c),e(d,b),e(d,u),e(u,h),e(d,v)},d(l){l&&o(d)}}}function Of(x){let d,b,u,h,v;return h=new je({props:{code:`import torch
from PIL import Image
import requests
from transformers import AutoProcessor, Blip2Model

device = "cuda" if torch.cuda.is_available() else "cpu"

model = Blip2Model.from_pretrained("Salesforce/blip2-opt-2.7b", torch_dtype=torch.float16)

model.to(device)
processor = AutoProcessor.from_pretrained("Salesforce/blip2-opt-2.7b")
url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)
inputs = processor(images=image, return_tensors="pt").to(device, torch.float16)
image_outputs = model.get_image_features(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, Blip2Model

<span class="hljs-meta">&gt;&gt;&gt; </span>device = <span class="hljs-string">&quot;cuda&quot;</span> <span class="hljs-keyword">if</span> torch.cuda.is_available() <span class="hljs-keyword">else</span> <span class="hljs-string">&quot;cpu&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>model = Blip2Model.from_pretrained(<span class="hljs-string">&quot;Salesforce/blip2-opt-2.7b&quot;</span>, torch_dtype=torch.float16)

<span class="hljs-meta">&gt;&gt;&gt; </span>model.to(device)
<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;Salesforce/blip2-opt-2.7b&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).to(device, torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>image_outputs = model.get_image_features(**inputs)`}}),{c(){d=s("p"),b=r("Examples:"),u=f(),$(h.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Examples:"),c.forEach(o),u=m(l),w(h.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,u,c),B(h,l,c),v=!0},p:Ee,i(l){v||(y(h.$$.fragment,l),v=!0)},o(l){k(h.$$.fragment,l),v=!1},d(l){l&&o(d),l&&o(u),T(h,l)}}}function Sf(x){let d,b,u,h,v;return{c(){d=s("p"),b=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),h=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(c,"CODE",{});var E=i(u);h=n(E,"Module"),E.forEach(o),v=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(o)},m(l,c){_(l,d,c),e(d,b),e(d,u),e(u,h),e(d,v)},d(l){l&&o(d)}}}function Df(x){let d,b,u,h,v;return h=new je({props:{code:`import torch
from PIL import Image
import requests
from transformers import Blip2Processor, Blip2Model

device = "cuda" if torch.cuda.is_available() else "cpu"

processor = Blip2Processor.from_pretrained("Salesforce/blip2-opt-2.7b")
model = Blip2Model.from_pretrained("Salesforce/blip2-opt-2.7b", torch_dtype=torch.float16)
model.to(device)
url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)
inputs = processor(images=image, return_tensors="pt").to(device, torch.float16)
qformer_outputs = model.get_qformer_features(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Blip2Processor, Blip2Model

<span class="hljs-meta">&gt;&gt;&gt; </span>device = <span class="hljs-string">&quot;cuda&quot;</span> <span class="hljs-keyword">if</span> torch.cuda.is_available() <span class="hljs-keyword">else</span> <span class="hljs-string">&quot;cpu&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = Blip2Processor.from_pretrained(<span class="hljs-string">&quot;Salesforce/blip2-opt-2.7b&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Blip2Model.from_pretrained(<span class="hljs-string">&quot;Salesforce/blip2-opt-2.7b&quot;</span>, torch_dtype=torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>model.to(device)
<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).to(device, torch.float16)
<span class="hljs-meta">&gt;&gt;&gt; </span>qformer_outputs = model.get_qformer_features(**inputs)`}}),{c(){d=s("p"),b=r("Examples:"),u=f(),$(h.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Examples:"),c.forEach(o),u=m(l),w(h.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,u,c),B(h,l,c),v=!0},p:Ee,i(l){v||(y(h.$$.fragment,l),v=!0)},o(l){k(h.$$.fragment,l),v=!1},d(l){l&&o(d),l&&o(u),T(h,l)}}}function Qf(x){let d,b,u,h,v;return{c(){d=s("p"),b=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),h=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(c,"CODE",{});var E=i(u);h=n(E,"Module"),E.forEach(o),v=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(o)},m(l,c){_(l,d,c),e(d,b),e(d,u),e(u,h),e(d,v)},d(l){l&&o(d)}}}function Vf(x){let d,b,u,h,v;return h=new je({props:{code:`from PIL import Image
import requests
from transformers import Blip2Processor, Blip2ForConditionalGeneration
import torch

device = "cuda" if torch.cuda.is_available() else "cpu"

processor = Blip2Processor.from_pretrained("Salesforce/blip2-opt-2.7b")
model = Blip2ForConditionalGeneration.from_pretrained(
    "Salesforce/blip2-opt-2.7b", torch_dtype=torch.float16
)
model.to(device)
url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

inputs = processor(images=image, return_tensors="pt").to(device, torch.float16)

generated_ids = model.generate(**inputs)
generated_text = processor.batch_decode(generated_ids, skip_special_tokens=True)[0].strip()
print(generated_text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Blip2Processor, Blip2ForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>device = <span class="hljs-string">&quot;cuda&quot;</span> <span class="hljs-keyword">if</span> torch.cuda.is_available() <span class="hljs-keyword">else</span> <span class="hljs-string">&quot;cpu&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = Blip2Processor.from_pretrained(<span class="hljs-string">&quot;Salesforce/blip2-opt-2.7b&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Blip2ForConditionalGeneration.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Salesforce/blip2-opt-2.7b&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model.to(device)
<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).to(device, torch.float16)

<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>generated_text = processor.batch_decode(generated_ids, skip_special_tokens=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>].strip()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(generated_text)
two cats laying on a couch`}}),{c(){d=s("p"),b=r("Image captioning (without providing a text prompt):"),u=f(),$(h.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Image captioning (without providing a text prompt):"),c.forEach(o),u=m(l),w(h.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,u,c),B(h,l,c),v=!0},p:Ee,i(l){v||(y(h.$$.fragment,l),v=!0)},o(l){k(h.$$.fragment,l),v=!1},d(l){l&&o(d),l&&o(u),T(h,l)}}}function Nf(x){let d,b,u,h,v;return h=new je({props:{code:`from PIL import Image
import requests
from transformers import Blip2Processor, Blip2ForConditionalGeneration
import torch

device = "cuda" if torch.cuda.is_available() else "cpu"

processor = Blip2Processor.from_pretrained("Salesforce/blip2-opt-2.7b")
model = Blip2ForConditionalGeneration.from_pretrained(
    "Salesforce/blip2-opt-2.7b", torch_dtype=torch.float16
)
model.to(device)
url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

prompt = "Question: how many cats are there? Answer:"
inputs = processor(images=image, text=prompt, return_tensors="pt").to(device, torch.float16)

generated_ids = model.generate(**inputs)
generated_text = processor.batch_decode(generated_ids, skip_special_tokens=True)[0].strip()
print(generated_text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Blip2Processor, Blip2ForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>device = <span class="hljs-string">&quot;cuda&quot;</span> <span class="hljs-keyword">if</span> torch.cuda.is_available() <span class="hljs-keyword">else</span> <span class="hljs-string">&quot;cpu&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = Blip2Processor.from_pretrained(<span class="hljs-string">&quot;Salesforce/blip2-opt-2.7b&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Blip2ForConditionalGeneration.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Salesforce/blip2-opt-2.7b&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model.to(device)
<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;Question: how many cats are there? Answer:&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(images=image, text=prompt, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).to(device, torch.float16)

<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>generated_text = processor.batch_decode(generated_ids, skip_special_tokens=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>].strip()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(generated_text)
two`}}),{c(){d=s("p"),b=r("Visual question answering (prompt = question):"),u=f(),$(h.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Visual question answering (prompt = question):"),c.forEach(o),u=m(l),w(h.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,u,c),B(h,l,c),v=!0},p:Ee,i(l){v||(y(h.$$.fragment,l),v=!0)},o(l){k(h.$$.fragment,l),v=!1},d(l){l&&o(d),l&&o(u),T(h,l)}}}function Gf(x){let d,b,u,h,v,l,c,E,Ls,qn,ae,qe,hr,ht,As,gr,Os,Mn,Y,Ss,gt,Ds,Qs,ut,Vs,Ns,zn,vo,Gs,In,bo,ur,Ws,Fn,$o,Hs,Ln,Me,_t,Rs,_r,Us,Js,Ks,vt,Xs,wo,Ys,Zs,An,ze,Tp,On,bt,ea,Bo,ta,Sn,Z,oa,$t,ra,na,wt,sa,aa,Dn,ie,Ie,vr,Bt,ia,br,la,Qn,yo,da,Vn,ko,yt,pa,kt,ca,fa,Nn,To,ma,Gn,le,Fe,$r,Tt,ha,wr,ga,Wn,A,Pt,ua,ee,Po,_a,va,xo,ba,$a,xt,wa,Ba,ya,de,ka,Co,Ta,Pa,Eo,xa,Ca,Ea,Le,ja,Ae,Ct,qa,Et,Ma,jo,za,Ia,Hn,pe,Oe,Br,jt,Fa,yr,La,Rn,Q,qt,Aa,ce,Oa,qo,Sa,Da,Mt,Qa,Va,Na,fe,Ga,Mo,Wa,Ha,zo,Ra,Ua,Ja,Se,Un,me,De,kr,zt,Ka,Tr,Xa,Jn,V,It,Ya,N,Za,Io,ei,ti,Ft,oi,ri,Fo,ni,si,Lo,ai,ii,li,he,di,Ao,pi,ci,Oo,fi,mi,hi,Qe,Kn,ge,Ve,Pr,Lt,gi,xr,ui,Xn,O,At,_i,Cr,vi,bi,S,So,$i,wi,Do,Bi,yi,Qo,ki,Ti,Er,Pi,xi,Vo,Ci,Ei,ji,Ne,Ot,qi,St,Mi,No,zi,Ii,Fi,Ge,Dt,Li,Qt,Ai,Go,Oi,Si,Yn,ue,We,jr,Vt,Di,qr,Qi,Zn,_e,Nt,Vi,te,Gt,Ni,ve,Gi,Wo,Wi,Hi,Mr,Ri,Ui,Ji,He,es,be,Re,zr,Wt,Ki,Ir,Xi,ts,J,Ht,Yi,Fr,Zi,el,oe,Rt,tl,q,ol,Lr,rl,nl,Ar,sl,al,Or,il,ll,Sr,dl,pl,Dr,cl,fl,Qr,ml,hl,Vr,gl,ul,_l,Ut,Jt,vl,Nr,bl,$l,wl,P,Bl,Gr,yl,kl,Wr,Tl,Pl,Hr,xl,Cl,Rr,El,jl,Ur,ql,Ml,Jr,zl,Il,Kr,Fl,Ll,Xr,Al,Ol,Yr,Sl,Dl,Zr,Ql,Vl,en,Nl,Gl,tn,Wl,Hl,on,Rl,Ul,rn,Jl,Kl,os,$e,Ue,nn,Kt,Xl,sn,Yl,rs,j,Xt,Zl,an,ed,td,Yt,od,Ho,rd,nd,sd,Zt,ad,eo,id,ld,dd,G,to,pd,we,cd,Ro,fd,md,ln,hd,gd,ud,Je,_d,Ke,vd,W,oo,bd,Be,$d,Uo,wd,Bd,dn,yd,kd,Td,Xe,Pd,Ye,xd,H,ro,Cd,ye,Ed,Jo,jd,qd,pn,Md,zd,Id,Ze,Fd,et,Ld,R,no,Ad,ke,Od,Ko,Sd,Dd,cn,Qd,Vd,Nd,tt,Gd,ot,ns,Te,rt,fn,so,Wd,mn,Hd,ss,M,ao,Rd,hn,Ud,Jd,io,Kd,gn,Xd,Yd,Zd,lo,ep,Xo,tp,op,rp,po,np,co,sp,ap,ip,I,fo,lp,Pe,dp,Yo,pp,cp,un,fp,mp,hp,nt,gp,_n,up,_p,st,vp,at,bp,it,mo,$p,ho,wp,vn,Bp,yp,as;return l=new X({}),ht=new X({}),Bt=new X({}),Tt=new X({}),Pt=new z({props:{name:"class transformers.Blip2Config",anchor:"transformers.Blip2Config",parameters:[{name:"vision_config",val:" = None"},{name:"qformer_config",val:" = None"},{name:"text_config",val:" = None"},{name:"num_query_tokens",val:" = 32"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Blip2Config.vision_config",description:`<strong>vision_config</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Dictionary of configuration options used to initialize <a href="/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2VisionConfig">Blip2VisionConfig</a>.`,name:"vision_config"},{anchor:"transformers.Blip2Config.qformer_config",description:`<strong>qformer_config</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Dictionary of configuration options used to initialize <a href="/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2QFormerConfig">Blip2QFormerConfig</a>.`,name:"qformer_config"},{anchor:"transformers.Blip2Config.text_config",description:`<strong>text_config</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Dictionary of configuration options used to initialize any <a href="/docs/transformers/pr_22354/en/main_classes/configuration#transformers.PretrainedConfig">PretrainedConfig</a>.`,name:"text_config"},{anchor:"transformers.Blip2Config.num_query_tokens",description:`<strong>num_query_tokens</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
The number of query tokens passed through the Transformer.`,name:"num_query_tokens"},{anchor:"transformers.Blip2Config.kwargs",description:`<strong>kwargs</strong> (<em>optional</em>) &#x2014;
Dictionary of keyword arguments.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/configuration_blip_2.py#L264"}}),Le=new Ce({props:{anchor:"transformers.Blip2Config.example",$$slots:{default:[Ef]},$$scope:{ctx:x}}}),Ct=new z({props:{name:"from_vision_qformer_text_configs",anchor:"transformers.Blip2Config.from_vision_qformer_text_configs",parameters:[{name:"vision_config",val:": Blip2VisionConfig"},{name:"qformer_config",val:": Blip2QFormerConfig"},{name:"text_config",val:": PretrainedConfig"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/configuration_blip_2.py#L349",returnDescription:`
<p>An instance of a configuration object</p>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Config"
>Blip2Config</a></p>
`}}),jt=new X({}),qt=new z({props:{name:"class transformers.Blip2VisionConfig",anchor:"transformers.Blip2VisionConfig",parameters:[{name:"hidden_size",val:" = 1408"},{name:"intermediate_size",val:" = 6144"},{name:"projection_dim",val:" = 512"},{name:"num_hidden_layers",val:" = 39"},{name:"num_attention_heads",val:" = 16"},{name:"num_channels",val:" = 3"},{name:"image_size",val:" = 224"},{name:"patch_size",val:" = 14"},{name:"hidden_act",val:" = 'gelu'"},{name:"layer_norm_eps",val:" = 1e-05"},{name:"dropout",val:" = 0.0"},{name:"attention_dropout",val:" = 0.0"},{name:"initializer_range",val:" = 1e-10"},{name:"initializer_factor",val:" = 1.0"},{name:"qkv_bias",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Blip2VisionConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1408) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.Blip2VisionConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 6144) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.Blip2VisionConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 39) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.Blip2VisionConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.Blip2VisionConfig.image_size",description:`<strong>image_size</strong> (<code>int</code>, <em>optional</em>, defaults to 224) &#x2014;
The size (resolution) of each image.`,name:"image_size"},{anchor:"transformers.Blip2VisionConfig.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 14) &#x2014;
The size (resolution) of each patch.`,name:"patch_size"},{anchor:"transformers.Blip2VisionConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> \`<code>&quot;gelu&quot;</code> are supported. layer_norm_eps (<code>float</code>, <em>optional</em>, defaults
to 1e-5): The epsilon used by the layer normalization layers.`,name:"hidden_act"},{anchor:"transformers.Blip2VisionConfig.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probabilitiy for all fully connected layers in the embeddings, encoder, and pooler.`,name:"dropout"},{anchor:"transformers.Blip2VisionConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.Blip2VisionConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.Blip2VisionConfig.initializer_factor",description:`<strong>initializer_factor</strong> (\`float&#x201C;, <em>optional</em>, defaults to 1) &#x2014;
A factor for initializing all weight matrices (should be kept to 1, used internally for initialization
testing).`,name:"initializer_factor"},{anchor:"transformers.Blip2VisionConfig.qkv_bias",description:`<strong>qkv_bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to add a bias to the queries and values in the self-attention layers.`,name:"qkv_bias"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/configuration_blip_2.py#L34"}}),Se=new Ce({props:{anchor:"transformers.Blip2VisionConfig.example",$$slots:{default:[jf]},$$scope:{ctx:x}}}),zt=new X({}),It=new z({props:{name:"class transformers.Blip2QFormerConfig",anchor:"transformers.Blip2QFormerConfig",parameters:[{name:"vocab_size",val:" = 30522"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.1"},{name:"attention_probs_dropout_prob",val:" = 0.1"},{name:"max_position_embeddings",val:" = 512"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"pad_token_id",val:" = 0"},{name:"position_embedding_type",val:" = 'absolute'"},{name:"classifier_dropout",val:" = None"},{name:"cross_attention_frequency",val:" = 2"},{name:"encoder_hidden_size",val:" = 1408"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Blip2QFormerConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30522) &#x2014;
Vocabulary size of the Q-Former model. Defines the number of different tokens that can be represented by
the <code>inputs_ids</code> passed when calling the model.`,name:"vocab_size"},{anchor:"transformers.Blip2QFormerConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.Blip2QFormerConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.Blip2QFormerConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.Blip2QFormerConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.Blip2QFormerConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.Blip2QFormerConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.Blip2QFormerConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.Blip2QFormerConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.Blip2QFormerConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.Blip2QFormerConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.Blip2QFormerConfig.position_embedding_type",description:`<strong>position_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;absolute&quot;</code>) &#x2014;
Type of position embedding. Choose one of <code>&quot;absolute&quot;</code>, <code>&quot;relative_key&quot;</code>, <code>&quot;relative_key_query&quot;</code>. For
positional embeddings use <code>&quot;absolute&quot;</code>. For more information on <code>&quot;relative_key&quot;</code>, please refer to
<a href="https://arxiv.org/abs/1803.02155" rel="nofollow">Self-Attention with Relative Position Representations (Shaw et al.)</a>.
For more information on <code>&quot;relative_key_query&quot;</code>, please refer to <em>Method 4</em> in <a href="https://arxiv.org/abs/2009.13658" rel="nofollow">Improve Transformer Models
with Better Relative Position Embeddings (Huang et al.)</a>.`,name:"position_embedding_type"},{anchor:"transformers.Blip2QFormerConfig.classifier_dropout",description:`<strong>classifier_dropout</strong> (<code>float</code>, <em>optional</em>) &#x2014;
The dropout ratio for the classification head.`,name:"classifier_dropout"},{anchor:"transformers.Blip2QFormerConfig.cross_attention_frequency",description:`<strong>cross_attention_frequency</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The frequency of adding cross-attention to the Transformer layers.`,name:"cross_attention_frequency"},{anchor:"transformers.Blip2QFormerConfig.encoder_hidden_size",description:`<strong>encoder_hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1408) &#x2014;
The hidden size of the hidden states for cross-attention.`,name:"encoder_hidden_size"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/configuration_blip_2.py#L144"}}),Qe=new Ce({props:{anchor:"transformers.Blip2QFormerConfig.example",$$slots:{default:[qf]},$$scope:{ctx:x}}}),Lt=new X({}),At=new z({props:{name:"class transformers.Blip2Processor",anchor:"transformers.Blip2Processor",parameters:[{name:"image_processor",val:""},{name:"tokenizer",val:""}],parametersDescription:[{anchor:"transformers.Blip2Processor.image_processor",description:`<strong>image_processor</strong> (<code>BlipImageProcessor</code>) &#x2014;
An instance of <a href="/docs/transformers/pr_22354/en/model_doc/blip#transformers.BlipImageProcessor">BlipImageProcessor</a>. The image processor is a required input.`,name:"image_processor"},{anchor:"transformers.Blip2Processor.tokenizer",description:"<strong>tokenizer</strong> (<code>AutoTokenizer</code>) &#x2014;\nAn instance of [&#x2018;PreTrainedTokenizer`]. The tokenizer is a required input.",name:"tokenizer"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/processing_blip_2.py#L26"}}),Ot=new z({props:{name:"batch_decode",anchor:"transformers.Blip2Processor.batch_decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/processing_blip_2.py#L133"}}),Dt=new z({props:{name:"decode",anchor:"transformers.Blip2Processor.decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/processing_blip_2.py#L141"}}),Vt=new X({}),Nt=new z({props:{name:"class transformers.Blip2VisionModel",anchor:"transformers.Blip2VisionModel",parameters:[{name:"config",val:": Blip2VisionConfig"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/modeling_blip_2.py#L522"}}),Gt=new z({props:{name:"forward",anchor:"transformers.Blip2VisionModel.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Blip2VisionModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Processor">Blip2Processor</a>. See <code>Blip2Processor.__call__()</code> for
details.`,name:"pixel_values"},{anchor:"transformers.Blip2VisionModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Blip2VisionModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Blip2VisionModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/modeling_blip_2.py#L537",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.blip_2.configuration_blip_2.Blip2VisionConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),He=new mr({props:{$$slots:{default:[Mf]},$$scope:{ctx:x}}}),Wt=new X({}),Ht=new z({props:{name:"class transformers.Blip2QFormerModel",anchor:"transformers.Blip2QFormerModel",parameters:[{name:"config",val:": Blip2QFormerConfig"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/modeling_blip_2.py#L1017"}}),Rt=new z({props:{name:"forward",anchor:"transformers.Blip2QFormerModel.forward",parameters:[{name:"query_embeds",val:""},{name:"attention_mask",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"past_key_values",val:" = None"},{name:"use_cache",val:" = None"},{name:"output_attentions",val:" = None"},{name:"output_hidden_states",val:" = None"},{name:"return_dict",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/modeling_blip_2.py#L1092"}}),Kt=new X({}),Xt=new z({props:{name:"class transformers.Blip2Model",anchor:"transformers.Blip2Model",parameters:[{name:"config",val:": Blip2Config"}],parametersDescription:[{anchor:"transformers.Blip2Model.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Config">Blip2Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/modeling_blip_2.py#L1217"}}),to=new z({props:{name:"forward",anchor:"transformers.Blip2Model.forward",parameters:[{name:"pixel_values",val:": FloatTensor"},{name:"input_ids",val:": FloatTensor"},{name:"attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Blip2Model.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Processor">Blip2Processor</a>. See <code>Blip2Processor.__call__()</code> for
details.`,name:"pixel_values"},{anchor:"transformers.Blip2Model.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of input sequence tokens in the vocabulary of the language model. Input tokens can optionally be
provided to serve as text prompt, which the language model can continue.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Processor">Blip2Processor</a>. See <code>Blip2Processor.__call__()</code> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.Blip2Model.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.Blip2Model.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of the language model. Only relevant in case an
encoder-decoder language model (like T5) is used.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details. <a href="../glossary#decoder-input-ids">What are decoder input IDs?</a>`,name:"decoder_input_ids"},{anchor:"transformers.Blip2Model.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>Only relevant in case an encoder-decoder language model (like T5) is used.`,name:"decoder_attention_mask"},{anchor:"transformers.Blip2Model.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Blip2Model.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Blip2Model.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/modeling_blip_2.py#L1435",returnDescription:`
<p>A <code>transformers.models.blip_2.modeling_blip_2.Blip2ForConditionalGenerationModelOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.blip_2.configuration_blip_2.Blip2VisionConfig'&gt;</code>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code>, <em>optional</em>, returned when <code>labels</code> is provided, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 Language modeling loss from the language model.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head of the language model.</li>
<li><strong>vision_outputs</strong> (<code>BaseModelOutputWithPooling</code>) \u2014 Outputs of the vision encoder.</li>
<li><strong>qformer_outputs</strong> (<code>BaseModelOutputWithPoolingAndCrossAttentions</code>) \u2014 Outputs of the Q-Former (Querying Transformer).</li>
<li><strong>language_model_outputs</strong> (<code>CausalLMOutputWithPast</code> or <code>Seq2SeqLMOutput</code>) \u2014 Outputs of the language model.</li>
</ul>
`,returnType:`
<p><code>transformers.models.blip_2.modeling_blip_2.Blip2ForConditionalGenerationModelOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Je=new mr({props:{$$slots:{default:[zf]},$$scope:{ctx:x}}}),Ke=new Ce({props:{anchor:"transformers.Blip2Model.forward.example",$$slots:{default:[If]},$$scope:{ctx:x}}}),oo=new z({props:{name:"get_text_features",anchor:"transformers.Blip2Model.get_text_features",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Blip2Model.get_text_features.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it. Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details. <a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.Blip2Model.get_text_features.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.Blip2Model.get_text_features.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>T5 uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If <code>past_key_values</code>
is used, optionally only the last <code>decoder_input_ids</code> have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.Blip2Model.get_text_features.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.Blip2Model.get_text_features.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Blip2Model.get_text_features.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Blip2Model.get_text_features.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/modeling_blip_2.py#L1262",returnDescription:`
<p>The language model outputs. If <code>return_dict=True</code>, the output is a <code>CausalLMOutputWithPast</code> that
contains the language model logits, the past key values and the hidden states if
<code>output_hidden_states=True</code>.</p>
`,returnType:`
<p>text_outputs (<code>CausalLMOutputWithPast</code>, or <code>tuple(torch.FloatTensor)</code> if <code>return_dict=False</code>)</p>
`}}),Xe=new mr({props:{$$slots:{default:[Ff]},$$scope:{ctx:x}}}),Ye=new Ce({props:{anchor:"transformers.Blip2Model.get_text_features.example",$$slots:{default:[Lf]},$$scope:{ctx:x}}}),ro=new z({props:{name:"get_image_features",anchor:"transformers.Blip2Model.get_image_features",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Blip2Model.get_image_features.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Processor">Blip2Processor</a>. See <code>Blip2Processor.__call__()</code> for
details.`,name:"pixel_values"},{anchor:"transformers.Blip2Model.get_image_features.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Blip2Model.get_image_features.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Blip2Model.get_image_features.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/modeling_blip_2.py#L1325",returnDescription:`
<p>The vision model outputs. If <code>return_dict=True</code>, the output is a <code>BaseModelOutputWithPooling</code> that
contains the image features, the pooled image features and the hidden states if
<code>output_hidden_states=True</code>.</p>
`,returnType:`
<p>vision_outputs (<code>BaseModelOutputWithPooling</code> or tuple of <code>torch.FloatTensor</code>)</p>
`}}),Ze=new mr({props:{$$slots:{default:[Af]},$$scope:{ctx:x}}}),et=new Ce({props:{anchor:"transformers.Blip2Model.get_image_features.example",$$slots:{default:[Of]},$$scope:{ctx:x}}}),no=new z({props:{name:"get_qformer_features",anchor:"transformers.Blip2Model.get_qformer_features",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Blip2Model.get_qformer_features.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Processor">Blip2Processor</a>. See <code>Blip2Processor.__call__()</code> for
details.`,name:"pixel_values"},{anchor:"transformers.Blip2Model.get_qformer_features.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of input sequence tokens in the vocabulary of the language model. Input tokens can optionally be
provided to serve as text prompt, which the language model can continue.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Processor">Blip2Processor</a>. See <code>Blip2Processor.__call__()</code> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.Blip2Model.get_qformer_features.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.Blip2Model.get_qformer_features.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of the language model. Only relevant in case an
encoder-decoder language model (like T5) is used.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details. <a href="../glossary#decoder-input-ids">What are decoder input IDs?</a>`,name:"decoder_input_ids"},{anchor:"transformers.Blip2Model.get_qformer_features.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>Only relevant in case an encoder-decoder language model (like T5) is used.`,name:"decoder_attention_mask"},{anchor:"transformers.Blip2Model.get_qformer_features.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Blip2Model.get_qformer_features.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Blip2Model.get_qformer_features.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/modeling_blip_2.py#L1373",returnDescription:`
<p>The vision model outputs. If <code>return_dict=True</code>, the output is a <code>BaseModelOutputWithPooling</code> that
contains the image features, the pooled image features and the hidden states if
<code>output_hidden_states=True</code>.</p>
`,returnType:`
<p>vision_outputs (<code>BaseModelOutputWithPooling</code> or tuple of <code>torch.FloatTensor</code>)</p>
`}}),tt=new mr({props:{$$slots:{default:[Sf]},$$scope:{ctx:x}}}),ot=new Ce({props:{anchor:"transformers.Blip2Model.get_qformer_features.example",$$slots:{default:[Df]},$$scope:{ctx:x}}}),so=new X({}),ao=new z({props:{name:"class transformers.Blip2ForConditionalGeneration",anchor:"transformers.Blip2ForConditionalGeneration",parameters:[{name:"config",val:": Blip2Config"}],parametersDescription:[{anchor:"transformers.Blip2ForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Config">Blip2Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/modeling_blip_2.py#L1572"}}),fo=new z({props:{name:"forward",anchor:"transformers.Blip2ForConditionalGeneration.forward",parameters:[{name:"pixel_values",val:": FloatTensor"},{name:"input_ids",val:": FloatTensor"},{name:"attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Blip2ForConditionalGeneration.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Processor">Blip2Processor</a>. See <code>Blip2Processor.__call__()</code> for
details.`,name:"pixel_values"},{anchor:"transformers.Blip2ForConditionalGeneration.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of input sequence tokens in the vocabulary of the language model. Input tokens can optionally be
provided to serve as text prompt, which the language model can continue.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Processor">Blip2Processor</a>. See <code>Blip2Processor.__call__()</code> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.Blip2ForConditionalGeneration.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.Blip2ForConditionalGeneration.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of the language model. Only relevant in case an
encoder-decoder language model (like T5) is used.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details. <a href="../glossary#decoder-input-ids">What are decoder input IDs?</a>`,name:"decoder_input_ids"},{anchor:"transformers.Blip2ForConditionalGeneration.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>Only relevant in case an encoder-decoder language model (like T5) is used.`,name:"decoder_attention_mask"},{anchor:"transformers.Blip2ForConditionalGeneration.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Blip2ForConditionalGeneration.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Blip2ForConditionalGeneration.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/modeling_blip_2.py#L1637",returnDescription:`
<p>A <code>transformers.models.blip_2.modeling_blip_2.Blip2ForConditionalGenerationModelOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.blip_2.configuration_blip_2.Blip2VisionConfig'&gt;</code>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code>, <em>optional</em>, returned when <code>labels</code> is provided, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 Language modeling loss from the language model.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head of the language model.</li>
<li><strong>vision_outputs</strong> (<code>BaseModelOutputWithPooling</code>) \u2014 Outputs of the vision encoder.</li>
<li><strong>qformer_outputs</strong> (<code>BaseModelOutputWithPoolingAndCrossAttentions</code>) \u2014 Outputs of the Q-Former (Querying Transformer).</li>
<li><strong>language_model_outputs</strong> (<code>CausalLMOutputWithPast</code> or <code>Seq2SeqLMOutput</code>) \u2014 Outputs of the language model.</li>
</ul>
`,returnType:`
<p><code>transformers.models.blip_2.modeling_blip_2.Blip2ForConditionalGenerationModelOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),nt=new mr({props:{$$slots:{default:[Qf]},$$scope:{ctx:x}}}),st=new Ce({props:{anchor:"transformers.Blip2ForConditionalGeneration.forward.example",$$slots:{default:[Vf]},$$scope:{ctx:x}}}),at=new Ce({props:{anchor:"transformers.Blip2ForConditionalGeneration.forward.example-2",$$slots:{default:[Nf]},$$scope:{ctx:x}}}),mo=new z({props:{name:"generate",anchor:"transformers.Blip2ForConditionalGeneration.generate",parameters:[{name:"pixel_values",val:": FloatTensor"},{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"**generate_kwargs",val:""}],parametersDescription:[{anchor:"transformers.Blip2ForConditionalGeneration.generate.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape (batch_size, num_channels, height, width)) &#x2014;
Input images to be processed.`,name:"pixel_values"},{anchor:"transformers.Blip2ForConditionalGeneration.generate.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape (batch_size, sequence_length), <em>optional</em>) &#x2014;
The sequence used as a prompt for the generation.`,name:"input_ids"},{anchor:"transformers.Blip2ForConditionalGeneration.generate.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape (batch_size, sequence_length), <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices`,name:"attention_mask"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/blip_2/modeling_blip_2.py#L1797",returnDescription:`
<p>A list of strings of length batch_size * num_captions.</p>
`,returnType:`
<p>captions (list)</p>
`}}),{c(){d=s("meta"),b=f(),u=s("h1"),h=s("a"),v=s("span"),$(l.$$.fragment),c=f(),E=s("span"),Ls=r("BLIP-2"),qn=f(),ae=s("h2"),qe=s("a"),hr=s("span"),$(ht.$$.fragment),As=f(),gr=s("span"),Os=r("Overview"),Mn=f(),Y=s("p"),Ss=r("The BLIP-2 model was proposed in "),gt=s("a"),Ds=r("BLIP-2: Bootstrapping Language-Image Pre-training with Frozen Image Encoders and Large Language Models"),Qs=r(` by
Junnan Li, Dongxu Li, Silvio Savarese, Steven Hoi. BLIP-2 leverages frozen pre-trained image encoders and large language models (LLMs) by training a lightweight, 12-layer Transformer
encoder in between them, achieving state-of-the-art performance on various vision-language tasks. Most notably, BLIP-2 improves upon `),ut=s("a"),Vs=r("Flamingo"),Ns=r(`, an 80 billion parameter model, by 8.7%
on zero-shot VQAv2 with 54x fewer trainable parameters.`),zn=f(),vo=s("p"),Gs=r("The abstract from the paper is the following:"),In=f(),bo=s("p"),ur=s("em"),Ws=r("The cost of vision-and-language pre-training has become increasingly prohibitive due to end-to-end training of large-scale models. This paper proposes BLIP-2, a generic and efficient pre-training strategy that bootstraps vision-language pre-training from off-the-shelf frozen pre-trained image encoders and frozen large language models. BLIP-2 bridges the modality gap with a lightweight Querying Transformer, which is pre-trained in two stages. The first stage bootstraps vision-language representation learning from a frozen image encoder. The second stage bootstraps vision-to-language generative learning from a frozen language model. BLIP-2 achieves state-of-the-art performance on various vision-language tasks, despite having significantly fewer trainable parameters than existing methods. For example, our model outperforms Flamingo80B by 8.7% on zero-shot VQAv2 with 54x fewer trainable parameters. We also demonstrate the model\u2019s emerging capabilities of zero-shot image-to-text generation that can follow natural language instructions."),Fn=f(),$o=s("p"),Hs=r("Tips:"),Ln=f(),Me=s("ul"),_t=s("li"),Rs=r("BLIP-2 can be used for conditional text generation given an image and an optional text prompt. At inference time, it\u2019s recommended to use the "),_r=s("code"),Us=r("generate"),Js=r(" method."),Ks=f(),vt=s("li"),Xs=r("One can use "),wo=s("a"),Ys=r("Blip2Processor"),Zs=r(" to prepare images for the model, and decode the predicted tokens ID\u2019s back to text."),An=f(),ze=s("img"),On=f(),bt=s("small"),ea=r("BLIP-2 architecture. Taken from the "),Bo=s("a"),ta=r("original paper."),Sn=f(),Z=s("p"),oa=r("This model was contributed by "),$t=s("a"),ra=r("nielsr"),na=r(`.
The original code can be found `),wt=s("a"),sa=r("here"),aa=r("."),Dn=f(),ie=s("h2"),Ie=s("a"),vr=s("span"),$(Bt.$$.fragment),ia=f(),br=s("span"),la=r("Resources"),Qn=f(),yo=s("p"),da=r("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with BLIP-2."),Vn=f(),ko=s("ul"),yt=s("li"),pa=r("Demo notebooks for BLIP-2 for image captioning, visual question answering (VQA) and chat-like conversations can be found "),kt=s("a"),ca=r("here"),fa=r("."),Nn=f(),To=s("p"),ma=r("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Gn=f(),le=s("h2"),Fe=s("a"),$r=s("span"),$(Tt.$$.fragment),ha=f(),wr=s("span"),ga=r("Blip2Config"),Wn=f(),A=s("div"),$(Pt.$$.fragment),ua=f(),ee=s("p"),Po=s("a"),_a=r("Blip2Config"),va=r(" is the configuration class to store the configuration of a "),xo=s("a"),ba=r("Blip2ForConditionalGeneration"),$a=r(`. It is
used to instantiate a BLIP-2 model according to the specified arguments, defining the vision model, Q-Former model
and language model configs. Instantiating a configuration with the defaults will yield a similar configuration to
that of the BLIP-2 `),xt=s("a"),wa=r("Salesforce/blip2-opt-2.7b"),Ba=r(" architecture."),ya=f(),de=s("p"),ka=r("Configuration objects inherit from "),Co=s("a"),Ta=r("PretrainedConfig"),Pa=r(` and can be used to control the model outputs. Read the
documentation from `),Eo=s("a"),xa=r("PretrainedConfig"),Ca=r(" for more information."),Ea=f(),$(Le.$$.fragment),ja=f(),Ae=s("div"),$(Ct.$$.fragment),qa=f(),Et=s("p"),Ma=r("Instantiate a "),jo=s("a"),za=r("Blip2Config"),Ia=r(` (or a derived class) from a BLIP-2 vision model, Q-Former and language model
configurations.`),Hn=f(),pe=s("h2"),Oe=s("a"),Br=s("span"),$(jt.$$.fragment),Fa=f(),yr=s("span"),La=r("Blip2VisionConfig"),Rn=f(),Q=s("div"),$(qt.$$.fragment),Aa=f(),ce=s("p"),Oa=r("This is the configuration class to store the configuration of a "),qo=s("a"),Sa=r("Blip2VisionModel"),Da=r(`. It is used to instantiate a
BLIP-2 vision encoder according to the specified arguments, defining the model architecture. Instantiating a
configuration defaults will yield a similar configuration to that of the BLIP-2
`),Mt=s("a"),Qa=r("Salesforce/blip2-opt-2.7b"),Va=r(" architecture."),Na=f(),fe=s("p"),Ga=r("Configuration objects inherit from "),Mo=s("a"),Wa=r("PretrainedConfig"),Ha=r(` and can be used to control the model outputs. Read the
documentation from `),zo=s("a"),Ra=r("PretrainedConfig"),Ua=r(" for more information."),Ja=f(),$(Se.$$.fragment),Un=f(),me=s("h2"),De=s("a"),kr=s("span"),$(zt.$$.fragment),Ka=f(),Tr=s("span"),Xa=r("Blip2QFormerConfig"),Jn=f(),V=s("div"),$(It.$$.fragment),Ya=f(),N=s("p"),Za=r("This is the configuration class to store the configuration of a "),Io=s("a"),ei=r("Blip2QFormerModel"),ti=r(`. It is used to instantiate a
BLIP-2 Querying Transformer (Q-Former) model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the BLIP-2
`),Ft=s("a"),oi=r("Salesforce/blip2-opt-2.7b"),ri=r(` architecture. Configuration objects
inherit from `),Fo=s("a"),ni=r("PretrainedConfig"),si=r(` and can be used to control the model outputs. Read the documentation from
`),Lo=s("a"),ai=r("PretrainedConfig"),ii=r(" for more information."),li=f(),he=s("p"),di=r("Note that "),Ao=s("a"),pi=r("Blip2QFormerModel"),ci=r(" is very similar to "),Oo=s("a"),fi=r("BertLMHeadModel"),mi=r(" with interleaved cross-attention."),hi=f(),$(Qe.$$.fragment),Kn=f(),ge=s("h2"),Ve=s("a"),Pr=s("span"),$(Lt.$$.fragment),gi=f(),xr=s("span"),ui=r("Blip2Processor"),Xn=f(),O=s("div"),$(At.$$.fragment),_i=f(),Cr=s("p"),vi=r("Constructs a BLIP-2 processor which wraps a BLIP image processor and an OPT/T5 tokenizer into a single processor."),bi=f(),S=s("p"),So=s("a"),$i=r("BlipProcessor"),wi=r(" offers all the functionalities of "),Do=s("a"),Bi=r("BlipImageProcessor"),yi=r(" and "),Qo=s("a"),ki=r("AutoTokenizer"),Ti=r(`. See the docstring
of `),Er=s("code"),Pi=r("__call__()"),xi=r(" and "),Vo=s("a"),Ci=r("decode()"),Ei=r(" for more information."),ji=f(),Ne=s("div"),$(Ot.$$.fragment),qi=f(),St=s("p"),Mi=r("This method forwards all its arguments to PreTrainedTokenizer\u2019s "),No=s("a"),zi=r("batch_decode()"),Ii=r(`. Please
refer to the docstring of this method for more information.`),Fi=f(),Ge=s("div"),$(Dt.$$.fragment),Li=f(),Qt=s("p"),Ai=r("This method forwards all its arguments to PreTrainedTokenizer\u2019s "),Go=s("a"),Oi=r("decode()"),Si=r(`. Please refer
to the docstring of this method for more information.`),Yn=f(),ue=s("h2"),We=s("a"),jr=s("span"),$(Vt.$$.fragment),Di=f(),qr=s("span"),Qi=r("Blip2VisionModel"),Zn=f(),_e=s("div"),$(Nt.$$.fragment),Vi=f(),te=s("div"),$(Gt.$$.fragment),Ni=f(),ve=s("p"),Gi=r("The "),Wo=s("a"),Wi=r("Blip2VisionModel"),Hi=r(" forward method, overrides the "),Mr=s("code"),Ri=r("__call__"),Ui=r(" special method."),Ji=f(),$(He.$$.fragment),es=f(),be=s("h2"),Re=s("a"),zr=s("span"),$(Wt.$$.fragment),Ki=f(),Ir=s("span"),Xi=r("Blip2QFormerModel"),ts=f(),J=s("div"),$(Ht.$$.fragment),Yi=f(),Fr=s("p"),Zi=r("Querying Transformer (Q-Former), used in BLIP-2."),el=f(),oe=s("div"),$(Rt.$$.fragment),tl=f(),q=s("p"),ol=r("encoder_hidden_states  ("),Lr=s("code"),rl=r("torch.FloatTensor"),nl=r(" of shape "),Ar=s("code"),sl=r("(batch_size, sequence_length, hidden_size)"),al=r(", "),Or=s("code"),il=r("optional"),ll=r(`):
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.
encoder_attention_mask (`),Sr=s("code"),dl=r("torch.FloatTensor"),pl=r(" of shape "),Dr=s("code"),cl=r("(batch_size, sequence_length)"),fl=r(", "),Qr=s("code"),ml=r("optional"),hl=r(`):
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in `),Vr=s("code"),gl=r("[0, 1]"),ul=r(":"),_l=f(),Ut=s("ul"),Jt=s("li"),vl=r("1 for tokens that are "),Nr=s("strong"),bl=r("not masked"),$l=r(","),wl=f(),P=s("li"),Bl=r("0 for tokens that are "),Gr=s("strong"),yl=r("masked"),kl=r(`.
past_key_values (`),Wr=s("code"),Tl=r("tuple(tuple(torch.FloatTensor))"),Pl=r(" of length "),Hr=s("code"),xl=r("config.n_layers"),Cl=r(` with each tuple having 4 tensors of:
shape `),Rr=s("code"),El=r("(batch_size, num_heads, sequence_length - 1, embed_size_per_head)"),jl=r(`): Contains precomputed key and
value hidden states of the attention blocks. Can be used to speed up decoding. If `),Ur=s("code"),ql=r("past_key_values"),Ml=r(` are
used, the user can optionally input only the last `),Jr=s("code"),zl=r("decoder_input_ids"),Il=r(` (those that don\u2019t have their past key
value states given to this model) of shape `),Kr=s("code"),Fl=r("(batch_size, 1)"),Ll=r(" instead of all "),Xr=s("code"),Al=r("decoder_input_ids"),Ol=r(` of shape
`),Yr=s("code"),Sl=r("(batch_size, sequence_length)"),Dl=r(`.
use_cache (`),Zr=s("code"),Ql=r("bool"),Vl=r(", "),en=s("code"),Nl=r("optional"),Gl=r(`):
If set to `),tn=s("code"),Wl=r("True"),Hl=r(", "),on=s("code"),Rl=r("past_key_values"),Ul=r(` key value states are returned and can be used to speed up decoding (see
`),rn=s("code"),Jl=r("past_key_values"),Kl=r(")."),os=f(),$e=s("h2"),Ue=s("a"),nn=s("span"),$(Kt.$$.fragment),Xl=f(),sn=s("span"),Yl=r("Blip2Model"),rs=f(),j=s("div"),$(Xt.$$.fragment),Zl=f(),an=s("p"),ed=r(`BLIP-2 Model for generating text and image features. The model consists of a vision encoder, Querying Transformer
(Q-Former) and a language model.`),td=f(),Yt=s("p"),od=r("This model inherits from "),Ho=s("a"),rd=r("PreTrainedModel"),nd=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),sd=f(),Zt=s("p"),ad=r("This model is also a PyTorch "),eo=s("a"),id=r("torch.nn.Module"),ld=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),dd=f(),G=s("div"),$(to.$$.fragment),pd=f(),we=s("p"),cd=r("The "),Ro=s("a"),fd=r("Blip2Model"),md=r(" forward method, overrides the "),ln=s("code"),hd=r("__call__"),gd=r(" special method."),ud=f(),$(Je.$$.fragment),_d=f(),$(Ke.$$.fragment),vd=f(),W=s("div"),$(oo.$$.fragment),bd=f(),Be=s("p"),$d=r("The "),Uo=s("a"),wd=r("Blip2Model"),Bd=r(" forward method, overrides the "),dn=s("code"),yd=r("__call__"),kd=r(" special method."),Td=f(),$(Xe.$$.fragment),Pd=f(),$(Ye.$$.fragment),xd=f(),H=s("div"),$(ro.$$.fragment),Cd=f(),ye=s("p"),Ed=r("The "),Jo=s("a"),jd=r("Blip2Model"),qd=r(" forward method, overrides the "),pn=s("code"),Md=r("__call__"),zd=r(" special method."),Id=f(),$(Ze.$$.fragment),Fd=f(),$(et.$$.fragment),Ld=f(),R=s("div"),$(no.$$.fragment),Ad=f(),ke=s("p"),Od=r("The "),Ko=s("a"),Sd=r("Blip2Model"),Dd=r(" forward method, overrides the "),cn=s("code"),Qd=r("__call__"),Vd=r(" special method."),Nd=f(),$(tt.$$.fragment),Gd=f(),$(ot.$$.fragment),ns=f(),Te=s("h2"),rt=s("a"),fn=s("span"),$(so.$$.fragment),Wd=f(),mn=s("span"),Hd=r("Blip2ForConditionalGeneration"),ss=f(),M=s("div"),$(ao.$$.fragment),Rd=f(),hn=s("p"),Ud=r(`BLIP-2 Model for generating text given an image and an optional text prompt. The model consists of a vision
encoder, Querying Transformer (Q-Former) and a language model.`),Jd=f(),io=s("p"),Kd=r("One can optionally pass "),gn=s("code"),Xd=r("input_ids"),Yd=r(` to the model, which serve as a text prompt, to make the language model continue
the prompt. Otherwise, the language model starts generating text from the [BOS] (beginning-of-sequence) token.`),Zd=f(),lo=s("p"),ep=r("This model inherits from "),Xo=s("a"),tp=r("PreTrainedModel"),op=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),rp=f(),po=s("p"),np=r("This model is also a PyTorch "),co=s("a"),sp=r("torch.nn.Module"),ap=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ip=f(),I=s("div"),$(fo.$$.fragment),lp=f(),Pe=s("p"),dp=r("The "),Yo=s("a"),pp=r("Blip2ForConditionalGeneration"),cp=r(" forward method, overrides the "),un=s("code"),fp=r("__call__"),mp=r(" special method."),hp=f(),$(nt.$$.fragment),gp=f(),_n=s("p"),up=r("Examples:"),_p=f(),$(st.$$.fragment),vp=f(),$(at.$$.fragment),bp=f(),it=s("div"),$(mo.$$.fragment),$p=f(),ho=s("p"),wp=r("Overrides "),vn=s("code"),Bp=r("generate"),yp=r(" function to be able to use the model as a conditional generator."),this.h()},l(t){const g=Pf('[data-svelte="svelte-1phssyn"]',document.head);d=a(g,"META",{name:!0,content:!0}),g.forEach(o),b=m(t),u=a(t,"H1",{class:!0});var go=i(u);h=a(go,"A",{id:!0,class:!0,href:!0});var bn=i(h);v=a(bn,"SPAN",{});var $n=i(v);w(l.$$.fragment,$n),$n.forEach(o),bn.forEach(o),c=m(go),E=a(go,"SPAN",{});var wn=i(E);Ls=n(wn,"BLIP-2"),wn.forEach(o),go.forEach(o),qn=m(t),ae=a(t,"H2",{class:!0});var uo=i(ae);qe=a(uo,"A",{id:!0,class:!0,href:!0});var Bn=i(qe);hr=a(Bn,"SPAN",{});var yn=i(hr);w(ht.$$.fragment,yn),yn.forEach(o),Bn.forEach(o),As=m(uo),gr=a(uo,"SPAN",{});var kn=i(gr);Os=n(kn,"Overview"),kn.forEach(o),uo.forEach(o),Mn=m(t),Y=a(t,"P",{});var xe=i(Y);Ss=n(xe,"The BLIP-2 model was proposed in "),gt=a(xe,"A",{href:!0,rel:!0});var Tn=i(gt);Ds=n(Tn,"BLIP-2: Bootstrapping Language-Image Pre-training with Frozen Image Encoders and Large Language Models"),Tn.forEach(o),Qs=n(xe,` by
Junnan Li, Dongxu Li, Silvio Savarese, Steven Hoi. BLIP-2 leverages frozen pre-trained image encoders and large language models (LLMs) by training a lightweight, 12-layer Transformer
encoder in between them, achieving state-of-the-art performance on various vision-language tasks. Most notably, BLIP-2 improves upon `),ut=a(xe,"A",{href:!0,rel:!0});var Pn=i(ut);Vs=n(Pn,"Flamingo"),Pn.forEach(o),Ns=n(xe,`, an 80 billion parameter model, by 8.7%
on zero-shot VQAv2 with 54x fewer trainable parameters.`),xe.forEach(o),zn=m(t),vo=a(t,"P",{});var xn=i(vo);Gs=n(xn,"The abstract from the paper is the following:"),xn.forEach(o),In=m(t),bo=a(t,"P",{});var Cn=i(bo);ur=a(Cn,"EM",{});var En=i(ur);Ws=n(En,"The cost of vision-and-language pre-training has become increasingly prohibitive due to end-to-end training of large-scale models. This paper proposes BLIP-2, a generic and efficient pre-training strategy that bootstraps vision-language pre-training from off-the-shelf frozen pre-trained image encoders and frozen large language models. BLIP-2 bridges the modality gap with a lightweight Querying Transformer, which is pre-trained in two stages. The first stage bootstraps vision-language representation learning from a frozen image encoder. The second stage bootstraps vision-to-language generative learning from a frozen language model. BLIP-2 achieves state-of-the-art performance on various vision-language tasks, despite having significantly fewer trainable parameters than existing methods. For example, our model outperforms Flamingo80B by 8.7% on zero-shot VQAv2 with 54x fewer trainable parameters. We also demonstrate the model\u2019s emerging capabilities of zero-shot image-to-text generation that can follow natural language instructions."),En.forEach(o),Cn.forEach(o),Fn=m(t),$o=a(t,"P",{});var jn=i($o);Hs=n(jn,"Tips:"),jn.forEach(o),Ln=m(t),Me=a(t,"UL",{});var is=i(Me);_t=a(is,"LI",{});var ls=i(_t);Rs=n(ls,"BLIP-2 can be used for conditional text generation given an image and an optional text prompt. At inference time, it\u2019s recommended to use the "),_r=a(ls,"CODE",{});var Pp=i(_r);Us=n(Pp,"generate"),Pp.forEach(o),Js=n(ls," method."),ls.forEach(o),Ks=m(is),vt=a(is,"LI",{});var ds=i(vt);Xs=n(ds,"One can use "),wo=a(ds,"A",{href:!0});var xp=i(wo);Ys=n(xp,"Blip2Processor"),xp.forEach(o),Zs=n(ds," to prepare images for the model, and decode the predicted tokens ID\u2019s back to text."),ds.forEach(o),is.forEach(o),An=m(t),ze=a(t,"IMG",{src:!0,alt:!0,width:!0}),On=m(t),bt=a(t,"SMALL",{});var kp=i(bt);ea=n(kp,"BLIP-2 architecture. Taken from the "),Bo=a(kp,"A",{href:!0});var Cp=i(Bo);ta=n(Cp,"original paper."),Cp.forEach(o),kp.forEach(o),Sn=m(t),Z=a(t,"P",{});var Zo=i(Z);oa=n(Zo,"This model was contributed by "),$t=a(Zo,"A",{href:!0,rel:!0});var Ep=i($t);ra=n(Ep,"nielsr"),Ep.forEach(o),na=n(Zo,`.
The original code can be found `),wt=a(Zo,"A",{href:!0,rel:!0});var jp=i(wt);sa=n(jp,"here"),jp.forEach(o),aa=n(Zo,"."),Zo.forEach(o),Dn=m(t),ie=a(t,"H2",{class:!0});var ps=i(ie);Ie=a(ps,"A",{id:!0,class:!0,href:!0});var qp=i(Ie);vr=a(qp,"SPAN",{});var Mp=i(vr);w(Bt.$$.fragment,Mp),Mp.forEach(o),qp.forEach(o),ia=m(ps),br=a(ps,"SPAN",{});var zp=i(br);la=n(zp,"Resources"),zp.forEach(o),ps.forEach(o),Qn=m(t),yo=a(t,"P",{});var Ip=i(yo);da=n(Ip,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with BLIP-2."),Ip.forEach(o),Vn=m(t),ko=a(t,"UL",{});var Fp=i(ko);yt=a(Fp,"LI",{});var cs=i(yt);pa=n(cs,"Demo notebooks for BLIP-2 for image captioning, visual question answering (VQA) and chat-like conversations can be found "),kt=a(cs,"A",{href:!0,rel:!0});var Lp=i(kt);ca=n(Lp,"here"),Lp.forEach(o),fa=n(cs,"."),cs.forEach(o),Fp.forEach(o),Nn=m(t),To=a(t,"P",{});var Ap=i(To);ma=n(Ap,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Ap.forEach(o),Gn=m(t),le=a(t,"H2",{class:!0});var fs=i(le);Fe=a(fs,"A",{id:!0,class:!0,href:!0});var Op=i(Fe);$r=a(Op,"SPAN",{});var Sp=i($r);w(Tt.$$.fragment,Sp),Sp.forEach(o),Op.forEach(o),ha=m(fs),wr=a(fs,"SPAN",{});var Dp=i(wr);ga=n(Dp,"Blip2Config"),Dp.forEach(o),fs.forEach(o),Wn=m(t),A=a(t,"DIV",{class:!0});var re=i(A);w(Pt.$$.fragment,re),ua=m(re),ee=a(re,"P",{});var _o=i(ee);Po=a(_o,"A",{href:!0});var Qp=i(Po);_a=n(Qp,"Blip2Config"),Qp.forEach(o),va=n(_o," is the configuration class to store the configuration of a "),xo=a(_o,"A",{href:!0});var Vp=i(xo);ba=n(Vp,"Blip2ForConditionalGeneration"),Vp.forEach(o),$a=n(_o,`. It is
used to instantiate a BLIP-2 model according to the specified arguments, defining the vision model, Q-Former model
and language model configs. Instantiating a configuration with the defaults will yield a similar configuration to
that of the BLIP-2 `),xt=a(_o,"A",{href:!0,rel:!0});var Np=i(xt);wa=n(Np,"Salesforce/blip2-opt-2.7b"),Np.forEach(o),Ba=n(_o," architecture."),_o.forEach(o),ya=m(re),de=a(re,"P",{});var er=i(de);ka=n(er,"Configuration objects inherit from "),Co=a(er,"A",{href:!0});var Gp=i(Co);Ta=n(Gp,"PretrainedConfig"),Gp.forEach(o),Pa=n(er,` and can be used to control the model outputs. Read the
documentation from `),Eo=a(er,"A",{href:!0});var Wp=i(Eo);xa=n(Wp,"PretrainedConfig"),Wp.forEach(o),Ca=n(er," for more information."),er.forEach(o),Ea=m(re),w(Le.$$.fragment,re),ja=m(re),Ae=a(re,"DIV",{class:!0});var ms=i(Ae);w(Ct.$$.fragment,ms),qa=m(ms),Et=a(ms,"P",{});var hs=i(Et);Ma=n(hs,"Instantiate a "),jo=a(hs,"A",{href:!0});var Hp=i(jo);za=n(Hp,"Blip2Config"),Hp.forEach(o),Ia=n(hs,` (or a derived class) from a BLIP-2 vision model, Q-Former and language model
configurations.`),hs.forEach(o),ms.forEach(o),re.forEach(o),Hn=m(t),pe=a(t,"H2",{class:!0});var gs=i(pe);Oe=a(gs,"A",{id:!0,class:!0,href:!0});var Rp=i(Oe);Br=a(Rp,"SPAN",{});var Up=i(Br);w(jt.$$.fragment,Up),Up.forEach(o),Rp.forEach(o),Fa=m(gs),yr=a(gs,"SPAN",{});var Jp=i(yr);La=n(Jp,"Blip2VisionConfig"),Jp.forEach(o),gs.forEach(o),Rn=m(t),Q=a(t,"DIV",{class:!0});var lt=i(Q);w(qt.$$.fragment,lt),Aa=m(lt),ce=a(lt,"P",{});var tr=i(ce);Oa=n(tr,"This is the configuration class to store the configuration of a "),qo=a(tr,"A",{href:!0});var Kp=i(qo);Sa=n(Kp,"Blip2VisionModel"),Kp.forEach(o),Da=n(tr,`. It is used to instantiate a
BLIP-2 vision encoder according to the specified arguments, defining the model architecture. Instantiating a
configuration defaults will yield a similar configuration to that of the BLIP-2
`),Mt=a(tr,"A",{href:!0,rel:!0});var Xp=i(Mt);Qa=n(Xp,"Salesforce/blip2-opt-2.7b"),Xp.forEach(o),Va=n(tr," architecture."),tr.forEach(o),Na=m(lt),fe=a(lt,"P",{});var or=i(fe);Ga=n(or,"Configuration objects inherit from "),Mo=a(or,"A",{href:!0});var Yp=i(Mo);Wa=n(Yp,"PretrainedConfig"),Yp.forEach(o),Ha=n(or,` and can be used to control the model outputs. Read the
documentation from `),zo=a(or,"A",{href:!0});var Zp=i(zo);Ra=n(Zp,"PretrainedConfig"),Zp.forEach(o),Ua=n(or," for more information."),or.forEach(o),Ja=m(lt),w(Se.$$.fragment,lt),lt.forEach(o),Un=m(t),me=a(t,"H2",{class:!0});var us=i(me);De=a(us,"A",{id:!0,class:!0,href:!0});var ec=i(De);kr=a(ec,"SPAN",{});var tc=i(kr);w(zt.$$.fragment,tc),tc.forEach(o),ec.forEach(o),Ka=m(us),Tr=a(us,"SPAN",{});var oc=i(Tr);Xa=n(oc,"Blip2QFormerConfig"),oc.forEach(o),us.forEach(o),Jn=m(t),V=a(t,"DIV",{class:!0});var dt=i(V);w(It.$$.fragment,dt),Ya=m(dt),N=a(dt,"P",{});var ne=i(N);Za=n(ne,"This is the configuration class to store the configuration of a "),Io=a(ne,"A",{href:!0});var rc=i(Io);ei=n(rc,"Blip2QFormerModel"),rc.forEach(o),ti=n(ne,`. It is used to instantiate a
BLIP-2 Querying Transformer (Q-Former) model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the BLIP-2
`),Ft=a(ne,"A",{href:!0,rel:!0});var nc=i(Ft);oi=n(nc,"Salesforce/blip2-opt-2.7b"),nc.forEach(o),ri=n(ne,` architecture. Configuration objects
inherit from `),Fo=a(ne,"A",{href:!0});var sc=i(Fo);ni=n(sc,"PretrainedConfig"),sc.forEach(o),si=n(ne,` and can be used to control the model outputs. Read the documentation from
`),Lo=a(ne,"A",{href:!0});var ac=i(Lo);ai=n(ac,"PretrainedConfig"),ac.forEach(o),ii=n(ne," for more information."),ne.forEach(o),li=m(dt),he=a(dt,"P",{});var rr=i(he);di=n(rr,"Note that "),Ao=a(rr,"A",{href:!0});var ic=i(Ao);pi=n(ic,"Blip2QFormerModel"),ic.forEach(o),ci=n(rr," is very similar to "),Oo=a(rr,"A",{href:!0});var lc=i(Oo);fi=n(lc,"BertLMHeadModel"),lc.forEach(o),mi=n(rr," with interleaved cross-attention."),rr.forEach(o),hi=m(dt),w(Qe.$$.fragment,dt),dt.forEach(o),Kn=m(t),ge=a(t,"H2",{class:!0});var _s=i(ge);Ve=a(_s,"A",{id:!0,class:!0,href:!0});var dc=i(Ve);Pr=a(dc,"SPAN",{});var pc=i(Pr);w(Lt.$$.fragment,pc),pc.forEach(o),dc.forEach(o),gi=m(_s),xr=a(_s,"SPAN",{});var cc=i(xr);ui=n(cc,"Blip2Processor"),cc.forEach(o),_s.forEach(o),Xn=m(t),O=a(t,"DIV",{class:!0});var se=i(O);w(At.$$.fragment,se),_i=m(se),Cr=a(se,"P",{});var fc=i(Cr);vi=n(fc,"Constructs a BLIP-2 processor which wraps a BLIP image processor and an OPT/T5 tokenizer into a single processor."),fc.forEach(o),bi=m(se),S=a(se,"P",{});var K=i(S);So=a(K,"A",{href:!0});var mc=i(So);$i=n(mc,"BlipProcessor"),mc.forEach(o),wi=n(K," offers all the functionalities of "),Do=a(K,"A",{href:!0});var hc=i(Do);Bi=n(hc,"BlipImageProcessor"),hc.forEach(o),yi=n(K," and "),Qo=a(K,"A",{href:!0});var gc=i(Qo);ki=n(gc,"AutoTokenizer"),gc.forEach(o),Ti=n(K,`. See the docstring
of `),Er=a(K,"CODE",{});var uc=i(Er);Pi=n(uc,"__call__()"),uc.forEach(o),xi=n(K," and "),Vo=a(K,"A",{href:!0});var _c=i(Vo);Ci=n(_c,"decode()"),_c.forEach(o),Ei=n(K," for more information."),K.forEach(o),ji=m(se),Ne=a(se,"DIV",{class:!0});var vs=i(Ne);w(Ot.$$.fragment,vs),qi=m(vs),St=a(vs,"P",{});var bs=i(St);Mi=n(bs,"This method forwards all its arguments to PreTrainedTokenizer\u2019s "),No=a(bs,"A",{href:!0});var vc=i(No);zi=n(vc,"batch_decode()"),vc.forEach(o),Ii=n(bs,`. Please
refer to the docstring of this method for more information.`),bs.forEach(o),vs.forEach(o),Fi=m(se),Ge=a(se,"DIV",{class:!0});var $s=i(Ge);w(Dt.$$.fragment,$s),Li=m($s),Qt=a($s,"P",{});var ws=i(Qt);Ai=n(ws,"This method forwards all its arguments to PreTrainedTokenizer\u2019s "),Go=a(ws,"A",{href:!0});var bc=i(Go);Oi=n(bc,"decode()"),bc.forEach(o),Si=n(ws,`. Please refer
to the docstring of this method for more information.`),ws.forEach(o),$s.forEach(o),se.forEach(o),Yn=m(t),ue=a(t,"H2",{class:!0});var Bs=i(ue);We=a(Bs,"A",{id:!0,class:!0,href:!0});var $c=i(We);jr=a($c,"SPAN",{});var wc=i(jr);w(Vt.$$.fragment,wc),wc.forEach(o),$c.forEach(o),Di=m(Bs),qr=a(Bs,"SPAN",{});var Bc=i(qr);Qi=n(Bc,"Blip2VisionModel"),Bc.forEach(o),Bs.forEach(o),Zn=m(t),_e=a(t,"DIV",{class:!0});var ys=i(_e);w(Nt.$$.fragment,ys),Vi=m(ys),te=a(ys,"DIV",{class:!0});var nr=i(te);w(Gt.$$.fragment,nr),Ni=m(nr),ve=a(nr,"P",{});var sr=i(ve);Gi=n(sr,"The "),Wo=a(sr,"A",{href:!0});var yc=i(Wo);Wi=n(yc,"Blip2VisionModel"),yc.forEach(o),Hi=n(sr," forward method, overrides the "),Mr=a(sr,"CODE",{});var kc=i(Mr);Ri=n(kc,"__call__"),kc.forEach(o),Ui=n(sr," special method."),sr.forEach(o),Ji=m(nr),w(He.$$.fragment,nr),nr.forEach(o),ys.forEach(o),es=m(t),be=a(t,"H2",{class:!0});var ks=i(be);Re=a(ks,"A",{id:!0,class:!0,href:!0});var Tc=i(Re);zr=a(Tc,"SPAN",{});var Pc=i(zr);w(Wt.$$.fragment,Pc),Pc.forEach(o),Tc.forEach(o),Ki=m(ks),Ir=a(ks,"SPAN",{});var xc=i(Ir);Xi=n(xc,"Blip2QFormerModel"),xc.forEach(o),ks.forEach(o),ts=m(t),J=a(t,"DIV",{class:!0});var ar=i(J);w(Ht.$$.fragment,ar),Yi=m(ar),Fr=a(ar,"P",{});var Cc=i(Fr);Zi=n(Cc,"Querying Transformer (Q-Former), used in BLIP-2."),Cc.forEach(o),el=m(ar),oe=a(ar,"DIV",{class:!0});var ir=i(oe);w(Rt.$$.fragment,ir),tl=m(ir),q=a(ir,"P",{});var F=i(q);ol=n(F,"encoder_hidden_states  ("),Lr=a(F,"CODE",{});var Ec=i(Lr);rl=n(Ec,"torch.FloatTensor"),Ec.forEach(o),nl=n(F," of shape "),Ar=a(F,"CODE",{});var jc=i(Ar);sl=n(jc,"(batch_size, sequence_length, hidden_size)"),jc.forEach(o),al=n(F,", "),Or=a(F,"CODE",{});var qc=i(Or);il=n(qc,"optional"),qc.forEach(o),ll=n(F,`):
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.
encoder_attention_mask (`),Sr=a(F,"CODE",{});var Mc=i(Sr);dl=n(Mc,"torch.FloatTensor"),Mc.forEach(o),pl=n(F," of shape "),Dr=a(F,"CODE",{});var zc=i(Dr);cl=n(zc,"(batch_size, sequence_length)"),zc.forEach(o),fl=n(F,", "),Qr=a(F,"CODE",{});var Ic=i(Qr);ml=n(Ic,"optional"),Ic.forEach(o),hl=n(F,`):
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in `),Vr=a(F,"CODE",{});var Fc=i(Vr);gl=n(Fc,"[0, 1]"),Fc.forEach(o),ul=n(F,":"),F.forEach(o),_l=m(ir),Ut=a(ir,"UL",{});var Ts=i(Ut);Jt=a(Ts,"LI",{});var Ps=i(Jt);vl=n(Ps,"1 for tokens that are "),Nr=a(Ps,"STRONG",{});var Lc=i(Nr);bl=n(Lc,"not masked"),Lc.forEach(o),$l=n(Ps,","),Ps.forEach(o),wl=m(Ts),P=a(Ts,"LI",{});var C=i(P);Bl=n(C,"0 for tokens that are "),Gr=a(C,"STRONG",{});var Ac=i(Gr);yl=n(Ac,"masked"),Ac.forEach(o),kl=n(C,`.
past_key_values (`),Wr=a(C,"CODE",{});var Oc=i(Wr);Tl=n(Oc,"tuple(tuple(torch.FloatTensor))"),Oc.forEach(o),Pl=n(C," of length "),Hr=a(C,"CODE",{});var Sc=i(Hr);xl=n(Sc,"config.n_layers"),Sc.forEach(o),Cl=n(C,` with each tuple having 4 tensors of:
shape `),Rr=a(C,"CODE",{});var Dc=i(Rr);El=n(Dc,"(batch_size, num_heads, sequence_length - 1, embed_size_per_head)"),Dc.forEach(o),jl=n(C,`): Contains precomputed key and
value hidden states of the attention blocks. Can be used to speed up decoding. If `),Ur=a(C,"CODE",{});var Qc=i(Ur);ql=n(Qc,"past_key_values"),Qc.forEach(o),Ml=n(C,` are
used, the user can optionally input only the last `),Jr=a(C,"CODE",{});var Vc=i(Jr);zl=n(Vc,"decoder_input_ids"),Vc.forEach(o),Il=n(C,` (those that don\u2019t have their past key
value states given to this model) of shape `),Kr=a(C,"CODE",{});var Nc=i(Kr);Fl=n(Nc,"(batch_size, 1)"),Nc.forEach(o),Ll=n(C," instead of all "),Xr=a(C,"CODE",{});var Gc=i(Xr);Al=n(Gc,"decoder_input_ids"),Gc.forEach(o),Ol=n(C,` of shape
`),Yr=a(C,"CODE",{});var Wc=i(Yr);Sl=n(Wc,"(batch_size, sequence_length)"),Wc.forEach(o),Dl=n(C,`.
use_cache (`),Zr=a(C,"CODE",{});var Hc=i(Zr);Ql=n(Hc,"bool"),Hc.forEach(o),Vl=n(C,", "),en=a(C,"CODE",{});var Rc=i(en);Nl=n(Rc,"optional"),Rc.forEach(o),Gl=n(C,`):
If set to `),tn=a(C,"CODE",{});var Uc=i(tn);Wl=n(Uc,"True"),Uc.forEach(o),Hl=n(C,", "),on=a(C,"CODE",{});var Jc=i(on);Rl=n(Jc,"past_key_values"),Jc.forEach(o),Ul=n(C,` key value states are returned and can be used to speed up decoding (see
`),rn=a(C,"CODE",{});var Kc=i(rn);Jl=n(Kc,"past_key_values"),Kc.forEach(o),Kl=n(C,")."),C.forEach(o),Ts.forEach(o),ir.forEach(o),ar.forEach(o),os=m(t),$e=a(t,"H2",{class:!0});var xs=i($e);Ue=a(xs,"A",{id:!0,class:!0,href:!0});var Xc=i(Ue);nn=a(Xc,"SPAN",{});var Yc=i(nn);w(Kt.$$.fragment,Yc),Yc.forEach(o),Xc.forEach(o),Xl=m(xs),sn=a(xs,"SPAN",{});var Zc=i(sn);Yl=n(Zc,"Blip2Model"),Zc.forEach(o),xs.forEach(o),rs=m(t),j=a(t,"DIV",{class:!0});var L=i(j);w(Xt.$$.fragment,L),Zl=m(L),an=a(L,"P",{});var ef=i(an);ed=n(ef,`BLIP-2 Model for generating text and image features. The model consists of a vision encoder, Querying Transformer
(Q-Former) and a language model.`),ef.forEach(o),td=m(L),Yt=a(L,"P",{});var Cs=i(Yt);od=n(Cs,"This model inherits from "),Ho=a(Cs,"A",{href:!0});var tf=i(Ho);rd=n(tf,"PreTrainedModel"),tf.forEach(o),nd=n(Cs,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Cs.forEach(o),sd=m(L),Zt=a(L,"P",{});var Es=i(Zt);ad=n(Es,"This model is also a PyTorch "),eo=a(Es,"A",{href:!0,rel:!0});var of=i(eo);id=n(of,"torch.nn.Module"),of.forEach(o),ld=n(Es,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Es.forEach(o),dd=m(L),G=a(L,"DIV",{class:!0});var pt=i(G);w(to.$$.fragment,pt),pd=m(pt),we=a(pt,"P",{});var lr=i(we);cd=n(lr,"The "),Ro=a(lr,"A",{href:!0});var rf=i(Ro);fd=n(rf,"Blip2Model"),rf.forEach(o),md=n(lr," forward method, overrides the "),ln=a(lr,"CODE",{});var nf=i(ln);hd=n(nf,"__call__"),nf.forEach(o),gd=n(lr," special method."),lr.forEach(o),ud=m(pt),w(Je.$$.fragment,pt),_d=m(pt),w(Ke.$$.fragment,pt),pt.forEach(o),vd=m(L),W=a(L,"DIV",{class:!0});var ct=i(W);w(oo.$$.fragment,ct),bd=m(ct),Be=a(ct,"P",{});var dr=i(Be);$d=n(dr,"The "),Uo=a(dr,"A",{href:!0});var sf=i(Uo);wd=n(sf,"Blip2Model"),sf.forEach(o),Bd=n(dr," forward method, overrides the "),dn=a(dr,"CODE",{});var af=i(dn);yd=n(af,"__call__"),af.forEach(o),kd=n(dr," special method."),dr.forEach(o),Td=m(ct),w(Xe.$$.fragment,ct),Pd=m(ct),w(Ye.$$.fragment,ct),ct.forEach(o),xd=m(L),H=a(L,"DIV",{class:!0});var ft=i(H);w(ro.$$.fragment,ft),Cd=m(ft),ye=a(ft,"P",{});var pr=i(ye);Ed=n(pr,"The "),Jo=a(pr,"A",{href:!0});var lf=i(Jo);jd=n(lf,"Blip2Model"),lf.forEach(o),qd=n(pr," forward method, overrides the "),pn=a(pr,"CODE",{});var df=i(pn);Md=n(df,"__call__"),df.forEach(o),zd=n(pr," special method."),pr.forEach(o),Id=m(ft),w(Ze.$$.fragment,ft),Fd=m(ft),w(et.$$.fragment,ft),ft.forEach(o),Ld=m(L),R=a(L,"DIV",{class:!0});var mt=i(R);w(no.$$.fragment,mt),Ad=m(mt),ke=a(mt,"P",{});var cr=i(ke);Od=n(cr,"The "),Ko=a(cr,"A",{href:!0});var pf=i(Ko);Sd=n(pf,"Blip2Model"),pf.forEach(o),Dd=n(cr," forward method, overrides the "),cn=a(cr,"CODE",{});var cf=i(cn);Qd=n(cf,"__call__"),cf.forEach(o),Vd=n(cr," special method."),cr.forEach(o),Nd=m(mt),w(tt.$$.fragment,mt),Gd=m(mt),w(ot.$$.fragment,mt),mt.forEach(o),L.forEach(o),ns=m(t),Te=a(t,"H2",{class:!0});var js=i(Te);rt=a(js,"A",{id:!0,class:!0,href:!0});var ff=i(rt);fn=a(ff,"SPAN",{});var mf=i(fn);w(so.$$.fragment,mf),mf.forEach(o),ff.forEach(o),Wd=m(js),mn=a(js,"SPAN",{});var hf=i(mn);Hd=n(hf,"Blip2ForConditionalGeneration"),hf.forEach(o),js.forEach(o),ss=m(t),M=a(t,"DIV",{class:!0});var D=i(M);w(ao.$$.fragment,D),Rd=m(D),hn=a(D,"P",{});var gf=i(hn);Ud=n(gf,`BLIP-2 Model for generating text given an image and an optional text prompt. The model consists of a vision
encoder, Querying Transformer (Q-Former) and a language model.`),gf.forEach(o),Jd=m(D),io=a(D,"P",{});var qs=i(io);Kd=n(qs,"One can optionally pass "),gn=a(qs,"CODE",{});var uf=i(gn);Xd=n(uf,"input_ids"),uf.forEach(o),Yd=n(qs,` to the model, which serve as a text prompt, to make the language model continue
the prompt. Otherwise, the language model starts generating text from the [BOS] (beginning-of-sequence) token.`),qs.forEach(o),Zd=m(D),lo=a(D,"P",{});var Ms=i(lo);ep=n(Ms,"This model inherits from "),Xo=a(Ms,"A",{href:!0});var _f=i(Xo);tp=n(_f,"PreTrainedModel"),_f.forEach(o),op=n(Ms,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ms.forEach(o),rp=m(D),po=a(D,"P",{});var zs=i(po);np=n(zs,"This model is also a PyTorch "),co=a(zs,"A",{href:!0,rel:!0});var vf=i(co);sp=n(vf,"torch.nn.Module"),vf.forEach(o),ap=n(zs,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),zs.forEach(o),ip=m(D),I=a(D,"DIV",{class:!0});var U=i(I);w(fo.$$.fragment,U),lp=m(U),Pe=a(U,"P",{});var fr=i(Pe);dp=n(fr,"The "),Yo=a(fr,"A",{href:!0});var bf=i(Yo);pp=n(bf,"Blip2ForConditionalGeneration"),bf.forEach(o),cp=n(fr," forward method, overrides the "),un=a(fr,"CODE",{});var $f=i(un);fp=n($f,"__call__"),$f.forEach(o),mp=n(fr," special method."),fr.forEach(o),hp=m(U),w(nt.$$.fragment,U),gp=m(U),_n=a(U,"P",{});var wf=i(_n);up=n(wf,"Examples:"),wf.forEach(o),_p=m(U),w(st.$$.fragment,U),vp=m(U),w(at.$$.fragment,U),U.forEach(o),bp=m(D),it=a(D,"DIV",{class:!0});var Is=i(it);w(mo.$$.fragment,Is),$p=m(Is),ho=a(Is,"P",{});var Fs=i(ho);wp=n(Fs,"Overrides "),vn=a(Fs,"CODE",{});var Bf=i(vn);Bp=n(Bf,"generate"),Bf.forEach(o),yp=n(Fs," function to be able to use the model as a conditional generator."),Fs.forEach(o),Is.forEach(o),D.forEach(o),this.h()},h(){p(d,"name","hf:doc:metadata"),p(d,"content",JSON.stringify(Wf)),p(h,"id","blip2"),p(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(h,"href","#blip2"),p(u,"class","relative group"),p(qe,"id","overview"),p(qe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(qe,"href","#overview"),p(ae,"class","relative group"),p(gt,"href","https://arxiv.org/abs/2301.12597"),p(gt,"rel","nofollow"),p(ut,"href","https://arxiv.org/abs/2204.14198"),p(ut,"rel","nofollow"),p(wo,"href","/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Processor"),xf(ze.src,Tp="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/transformers/model_doc/blip2_architecture.jpg")||p(ze,"src",Tp),p(ze,"alt","drawing"),p(ze,"width","600"),p(Bo,"href","https://arxiv.org/abs/2301.12597"),p($t,"href","https://huggingface.co/nielsr"),p($t,"rel","nofollow"),p(wt,"href","https://github.com/salesforce/LAVIS/tree/5ee63d688ba4cebff63acee04adaef2dee9af207"),p(wt,"rel","nofollow"),p(Ie,"id","resources"),p(Ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Ie,"href","#resources"),p(ie,"class","relative group"),p(kt,"href","https://github.com/NielsRogge/Transformers-Tutorials/tree/master/BLIP-2"),p(kt,"rel","nofollow"),p(Fe,"id","transformers.Blip2Config"),p(Fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Fe,"href","#transformers.Blip2Config"),p(le,"class","relative group"),p(Po,"href","/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Config"),p(xo,"href","/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2ForConditionalGeneration"),p(xt,"href","https://huggingface.co/Salesforce/blip2-opt-2.7b"),p(xt,"rel","nofollow"),p(Co,"href","/docs/transformers/pr_22354/en/main_classes/configuration#transformers.PretrainedConfig"),p(Eo,"href","/docs/transformers/pr_22354/en/main_classes/configuration#transformers.PretrainedConfig"),p(jo,"href","/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Config"),p(Ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Oe,"id","transformers.Blip2VisionConfig"),p(Oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Oe,"href","#transformers.Blip2VisionConfig"),p(pe,"class","relative group"),p(qo,"href","/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2VisionModel"),p(Mt,"href","https://huggingface.co/Salesforce/blip2-opt-2.7b"),p(Mt,"rel","nofollow"),p(Mo,"href","/docs/transformers/pr_22354/en/main_classes/configuration#transformers.PretrainedConfig"),p(zo,"href","/docs/transformers/pr_22354/en/main_classes/configuration#transformers.PretrainedConfig"),p(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(De,"id","transformers.Blip2QFormerConfig"),p(De,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(De,"href","#transformers.Blip2QFormerConfig"),p(me,"class","relative group"),p(Io,"href","/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2QFormerModel"),p(Ft,"href","https://huggingface.co/Salesforce/blip2-opt-2.7b"),p(Ft,"rel","nofollow"),p(Fo,"href","/docs/transformers/pr_22354/en/main_classes/configuration#transformers.PretrainedConfig"),p(Lo,"href","/docs/transformers/pr_22354/en/main_classes/configuration#transformers.PretrainedConfig"),p(Ao,"href","/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2QFormerModel"),p(Oo,"href","/docs/transformers/pr_22354/en/model_doc/bert#transformers.BertLMHeadModel"),p(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Ve,"id","transformers.Blip2Processor"),p(Ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Ve,"href","#transformers.Blip2Processor"),p(ge,"class","relative group"),p(So,"href","/docs/transformers/pr_22354/en/model_doc/blip#transformers.BlipProcessor"),p(Do,"href","/docs/transformers/pr_22354/en/model_doc/blip#transformers.BlipImageProcessor"),p(Qo,"href","/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer"),p(Vo,"href","/docs/transformers/pr_22354/en/model_doc/blip#transformers.BlipProcessor.decode"),p(No,"href","/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.batch_decode"),p(Ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Go,"href","/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.decode"),p(Ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(We,"id","transformers.Blip2VisionModel"),p(We,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(We,"href","#transformers.Blip2VisionModel"),p(ue,"class","relative group"),p(Wo,"href","/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2VisionModel"),p(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Re,"id","transformers.Blip2QFormerModel"),p(Re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Re,"href","#transformers.Blip2QFormerModel"),p(be,"class","relative group"),p(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Ue,"id","transformers.Blip2Model"),p(Ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Ue,"href","#transformers.Blip2Model"),p($e,"class","relative group"),p(Ho,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel"),p(eo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),p(eo,"rel","nofollow"),p(Ro,"href","/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Model"),p(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Uo,"href","/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Model"),p(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Jo,"href","/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Model"),p(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Ko,"href","/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2Model"),p(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(rt,"id","transformers.Blip2ForConditionalGeneration"),p(rt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(rt,"href","#transformers.Blip2ForConditionalGeneration"),p(Te,"class","relative group"),p(Xo,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel"),p(co,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),p(co,"rel","nofollow"),p(Yo,"href","/docs/transformers/pr_22354/en/model_doc/blip-2#transformers.Blip2ForConditionalGeneration"),p(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,g){e(document.head,d),_(t,b,g),_(t,u,g),e(u,h),e(h,v),B(l,v,null),e(u,c),e(u,E),e(E,Ls),_(t,qn,g),_(t,ae,g),e(ae,qe),e(qe,hr),B(ht,hr,null),e(ae,As),e(ae,gr),e(gr,Os),_(t,Mn,g),_(t,Y,g),e(Y,Ss),e(Y,gt),e(gt,Ds),e(Y,Qs),e(Y,ut),e(ut,Vs),e(Y,Ns),_(t,zn,g),_(t,vo,g),e(vo,Gs),_(t,In,g),_(t,bo,g),e(bo,ur),e(ur,Ws),_(t,Fn,g),_(t,$o,g),e($o,Hs),_(t,Ln,g),_(t,Me,g),e(Me,_t),e(_t,Rs),e(_t,_r),e(_r,Us),e(_t,Js),e(Me,Ks),e(Me,vt),e(vt,Xs),e(vt,wo),e(wo,Ys),e(vt,Zs),_(t,An,g),_(t,ze,g),_(t,On,g),_(t,bt,g),e(bt,ea),e(bt,Bo),e(Bo,ta),_(t,Sn,g),_(t,Z,g),e(Z,oa),e(Z,$t),e($t,ra),e(Z,na),e(Z,wt),e(wt,sa),e(Z,aa),_(t,Dn,g),_(t,ie,g),e(ie,Ie),e(Ie,vr),B(Bt,vr,null),e(ie,ia),e(ie,br),e(br,la),_(t,Qn,g),_(t,yo,g),e(yo,da),_(t,Vn,g),_(t,ko,g),e(ko,yt),e(yt,pa),e(yt,kt),e(kt,ca),e(yt,fa),_(t,Nn,g),_(t,To,g),e(To,ma),_(t,Gn,g),_(t,le,g),e(le,Fe),e(Fe,$r),B(Tt,$r,null),e(le,ha),e(le,wr),e(wr,ga),_(t,Wn,g),_(t,A,g),B(Pt,A,null),e(A,ua),e(A,ee),e(ee,Po),e(Po,_a),e(ee,va),e(ee,xo),e(xo,ba),e(ee,$a),e(ee,xt),e(xt,wa),e(ee,Ba),e(A,ya),e(A,de),e(de,ka),e(de,Co),e(Co,Ta),e(de,Pa),e(de,Eo),e(Eo,xa),e(de,Ca),e(A,Ea),B(Le,A,null),e(A,ja),e(A,Ae),B(Ct,Ae,null),e(Ae,qa),e(Ae,Et),e(Et,Ma),e(Et,jo),e(jo,za),e(Et,Ia),_(t,Hn,g),_(t,pe,g),e(pe,Oe),e(Oe,Br),B(jt,Br,null),e(pe,Fa),e(pe,yr),e(yr,La),_(t,Rn,g),_(t,Q,g),B(qt,Q,null),e(Q,Aa),e(Q,ce),e(ce,Oa),e(ce,qo),e(qo,Sa),e(ce,Da),e(ce,Mt),e(Mt,Qa),e(ce,Va),e(Q,Na),e(Q,fe),e(fe,Ga),e(fe,Mo),e(Mo,Wa),e(fe,Ha),e(fe,zo),e(zo,Ra),e(fe,Ua),e(Q,Ja),B(Se,Q,null),_(t,Un,g),_(t,me,g),e(me,De),e(De,kr),B(zt,kr,null),e(me,Ka),e(me,Tr),e(Tr,Xa),_(t,Jn,g),_(t,V,g),B(It,V,null),e(V,Ya),e(V,N),e(N,Za),e(N,Io),e(Io,ei),e(N,ti),e(N,Ft),e(Ft,oi),e(N,ri),e(N,Fo),e(Fo,ni),e(N,si),e(N,Lo),e(Lo,ai),e(N,ii),e(V,li),e(V,he),e(he,di),e(he,Ao),e(Ao,pi),e(he,ci),e(he,Oo),e(Oo,fi),e(he,mi),e(V,hi),B(Qe,V,null),_(t,Kn,g),_(t,ge,g),e(ge,Ve),e(Ve,Pr),B(Lt,Pr,null),e(ge,gi),e(ge,xr),e(xr,ui),_(t,Xn,g),_(t,O,g),B(At,O,null),e(O,_i),e(O,Cr),e(Cr,vi),e(O,bi),e(O,S),e(S,So),e(So,$i),e(S,wi),e(S,Do),e(Do,Bi),e(S,yi),e(S,Qo),e(Qo,ki),e(S,Ti),e(S,Er),e(Er,Pi),e(S,xi),e(S,Vo),e(Vo,Ci),e(S,Ei),e(O,ji),e(O,Ne),B(Ot,Ne,null),e(Ne,qi),e(Ne,St),e(St,Mi),e(St,No),e(No,zi),e(St,Ii),e(O,Fi),e(O,Ge),B(Dt,Ge,null),e(Ge,Li),e(Ge,Qt),e(Qt,Ai),e(Qt,Go),e(Go,Oi),e(Qt,Si),_(t,Yn,g),_(t,ue,g),e(ue,We),e(We,jr),B(Vt,jr,null),e(ue,Di),e(ue,qr),e(qr,Qi),_(t,Zn,g),_(t,_e,g),B(Nt,_e,null),e(_e,Vi),e(_e,te),B(Gt,te,null),e(te,Ni),e(te,ve),e(ve,Gi),e(ve,Wo),e(Wo,Wi),e(ve,Hi),e(ve,Mr),e(Mr,Ri),e(ve,Ui),e(te,Ji),B(He,te,null),_(t,es,g),_(t,be,g),e(be,Re),e(Re,zr),B(Wt,zr,null),e(be,Ki),e(be,Ir),e(Ir,Xi),_(t,ts,g),_(t,J,g),B(Ht,J,null),e(J,Yi),e(J,Fr),e(Fr,Zi),e(J,el),e(J,oe),B(Rt,oe,null),e(oe,tl),e(oe,q),e(q,ol),e(q,Lr),e(Lr,rl),e(q,nl),e(q,Ar),e(Ar,sl),e(q,al),e(q,Or),e(Or,il),e(q,ll),e(q,Sr),e(Sr,dl),e(q,pl),e(q,Dr),e(Dr,cl),e(q,fl),e(q,Qr),e(Qr,ml),e(q,hl),e(q,Vr),e(Vr,gl),e(q,ul),e(oe,_l),e(oe,Ut),e(Ut,Jt),e(Jt,vl),e(Jt,Nr),e(Nr,bl),e(Jt,$l),e(Ut,wl),e(Ut,P),e(P,Bl),e(P,Gr),e(Gr,yl),e(P,kl),e(P,Wr),e(Wr,Tl),e(P,Pl),e(P,Hr),e(Hr,xl),e(P,Cl),e(P,Rr),e(Rr,El),e(P,jl),e(P,Ur),e(Ur,ql),e(P,Ml),e(P,Jr),e(Jr,zl),e(P,Il),e(P,Kr),e(Kr,Fl),e(P,Ll),e(P,Xr),e(Xr,Al),e(P,Ol),e(P,Yr),e(Yr,Sl),e(P,Dl),e(P,Zr),e(Zr,Ql),e(P,Vl),e(P,en),e(en,Nl),e(P,Gl),e(P,tn),e(tn,Wl),e(P,Hl),e(P,on),e(on,Rl),e(P,Ul),e(P,rn),e(rn,Jl),e(P,Kl),_(t,os,g),_(t,$e,g),e($e,Ue),e(Ue,nn),B(Kt,nn,null),e($e,Xl),e($e,sn),e(sn,Yl),_(t,rs,g),_(t,j,g),B(Xt,j,null),e(j,Zl),e(j,an),e(an,ed),e(j,td),e(j,Yt),e(Yt,od),e(Yt,Ho),e(Ho,rd),e(Yt,nd),e(j,sd),e(j,Zt),e(Zt,ad),e(Zt,eo),e(eo,id),e(Zt,ld),e(j,dd),e(j,G),B(to,G,null),e(G,pd),e(G,we),e(we,cd),e(we,Ro),e(Ro,fd),e(we,md),e(we,ln),e(ln,hd),e(we,gd),e(G,ud),B(Je,G,null),e(G,_d),B(Ke,G,null),e(j,vd),e(j,W),B(oo,W,null),e(W,bd),e(W,Be),e(Be,$d),e(Be,Uo),e(Uo,wd),e(Be,Bd),e(Be,dn),e(dn,yd),e(Be,kd),e(W,Td),B(Xe,W,null),e(W,Pd),B(Ye,W,null),e(j,xd),e(j,H),B(ro,H,null),e(H,Cd),e(H,ye),e(ye,Ed),e(ye,Jo),e(Jo,jd),e(ye,qd),e(ye,pn),e(pn,Md),e(ye,zd),e(H,Id),B(Ze,H,null),e(H,Fd),B(et,H,null),e(j,Ld),e(j,R),B(no,R,null),e(R,Ad),e(R,ke),e(ke,Od),e(ke,Ko),e(Ko,Sd),e(ke,Dd),e(ke,cn),e(cn,Qd),e(ke,Vd),e(R,Nd),B(tt,R,null),e(R,Gd),B(ot,R,null),_(t,ns,g),_(t,Te,g),e(Te,rt),e(rt,fn),B(so,fn,null),e(Te,Wd),e(Te,mn),e(mn,Hd),_(t,ss,g),_(t,M,g),B(ao,M,null),e(M,Rd),e(M,hn),e(hn,Ud),e(M,Jd),e(M,io),e(io,Kd),e(io,gn),e(gn,Xd),e(io,Yd),e(M,Zd),e(M,lo),e(lo,ep),e(lo,Xo),e(Xo,tp),e(lo,op),e(M,rp),e(M,po),e(po,np),e(po,co),e(co,sp),e(po,ap),e(M,ip),e(M,I),B(fo,I,null),e(I,lp),e(I,Pe),e(Pe,dp),e(Pe,Yo),e(Yo,pp),e(Pe,cp),e(Pe,un),e(un,fp),e(Pe,mp),e(I,hp),B(nt,I,null),e(I,gp),e(I,_n),e(_n,up),e(I,_p),B(st,I,null),e(I,vp),B(at,I,null),e(M,bp),e(M,it),B(mo,it,null),e(it,$p),e(it,ho),e(ho,wp),e(ho,vn),e(vn,Bp),e(ho,yp),as=!0},p(t,[g]){const go={};g&2&&(go.$$scope={dirty:g,ctx:t}),Le.$set(go);const bn={};g&2&&(bn.$$scope={dirty:g,ctx:t}),Se.$set(bn);const $n={};g&2&&($n.$$scope={dirty:g,ctx:t}),Qe.$set($n);const wn={};g&2&&(wn.$$scope={dirty:g,ctx:t}),He.$set(wn);const uo={};g&2&&(uo.$$scope={dirty:g,ctx:t}),Je.$set(uo);const Bn={};g&2&&(Bn.$$scope={dirty:g,ctx:t}),Ke.$set(Bn);const yn={};g&2&&(yn.$$scope={dirty:g,ctx:t}),Xe.$set(yn);const kn={};g&2&&(kn.$$scope={dirty:g,ctx:t}),Ye.$set(kn);const xe={};g&2&&(xe.$$scope={dirty:g,ctx:t}),Ze.$set(xe);const Tn={};g&2&&(Tn.$$scope={dirty:g,ctx:t}),et.$set(Tn);const Pn={};g&2&&(Pn.$$scope={dirty:g,ctx:t}),tt.$set(Pn);const xn={};g&2&&(xn.$$scope={dirty:g,ctx:t}),ot.$set(xn);const Cn={};g&2&&(Cn.$$scope={dirty:g,ctx:t}),nt.$set(Cn);const En={};g&2&&(En.$$scope={dirty:g,ctx:t}),st.$set(En);const jn={};g&2&&(jn.$$scope={dirty:g,ctx:t}),at.$set(jn)},i(t){as||(y(l.$$.fragment,t),y(ht.$$.fragment,t),y(Bt.$$.fragment,t),y(Tt.$$.fragment,t),y(Pt.$$.fragment,t),y(Le.$$.fragment,t),y(Ct.$$.fragment,t),y(jt.$$.fragment,t),y(qt.$$.fragment,t),y(Se.$$.fragment,t),y(zt.$$.fragment,t),y(It.$$.fragment,t),y(Qe.$$.fragment,t),y(Lt.$$.fragment,t),y(At.$$.fragment,t),y(Ot.$$.fragment,t),y(Dt.$$.fragment,t),y(Vt.$$.fragment,t),y(Nt.$$.fragment,t),y(Gt.$$.fragment,t),y(He.$$.fragment,t),y(Wt.$$.fragment,t),y(Ht.$$.fragment,t),y(Rt.$$.fragment,t),y(Kt.$$.fragment,t),y(Xt.$$.fragment,t),y(to.$$.fragment,t),y(Je.$$.fragment,t),y(Ke.$$.fragment,t),y(oo.$$.fragment,t),y(Xe.$$.fragment,t),y(Ye.$$.fragment,t),y(ro.$$.fragment,t),y(Ze.$$.fragment,t),y(et.$$.fragment,t),y(no.$$.fragment,t),y(tt.$$.fragment,t),y(ot.$$.fragment,t),y(so.$$.fragment,t),y(ao.$$.fragment,t),y(fo.$$.fragment,t),y(nt.$$.fragment,t),y(st.$$.fragment,t),y(at.$$.fragment,t),y(mo.$$.fragment,t),as=!0)},o(t){k(l.$$.fragment,t),k(ht.$$.fragment,t),k(Bt.$$.fragment,t),k(Tt.$$.fragment,t),k(Pt.$$.fragment,t),k(Le.$$.fragment,t),k(Ct.$$.fragment,t),k(jt.$$.fragment,t),k(qt.$$.fragment,t),k(Se.$$.fragment,t),k(zt.$$.fragment,t),k(It.$$.fragment,t),k(Qe.$$.fragment,t),k(Lt.$$.fragment,t),k(At.$$.fragment,t),k(Ot.$$.fragment,t),k(Dt.$$.fragment,t),k(Vt.$$.fragment,t),k(Nt.$$.fragment,t),k(Gt.$$.fragment,t),k(He.$$.fragment,t),k(Wt.$$.fragment,t),k(Ht.$$.fragment,t),k(Rt.$$.fragment,t),k(Kt.$$.fragment,t),k(Xt.$$.fragment,t),k(to.$$.fragment,t),k(Je.$$.fragment,t),k(Ke.$$.fragment,t),k(oo.$$.fragment,t),k(Xe.$$.fragment,t),k(Ye.$$.fragment,t),k(ro.$$.fragment,t),k(Ze.$$.fragment,t),k(et.$$.fragment,t),k(no.$$.fragment,t),k(tt.$$.fragment,t),k(ot.$$.fragment,t),k(so.$$.fragment,t),k(ao.$$.fragment,t),k(fo.$$.fragment,t),k(nt.$$.fragment,t),k(st.$$.fragment,t),k(at.$$.fragment,t),k(mo.$$.fragment,t),as=!1},d(t){o(d),t&&o(b),t&&o(u),T(l),t&&o(qn),t&&o(ae),T(ht),t&&o(Mn),t&&o(Y),t&&o(zn),t&&o(vo),t&&o(In),t&&o(bo),t&&o(Fn),t&&o($o),t&&o(Ln),t&&o(Me),t&&o(An),t&&o(ze),t&&o(On),t&&o(bt),t&&o(Sn),t&&o(Z),t&&o(Dn),t&&o(ie),T(Bt),t&&o(Qn),t&&o(yo),t&&o(Vn),t&&o(ko),t&&o(Nn),t&&o(To),t&&o(Gn),t&&o(le),T(Tt),t&&o(Wn),t&&o(A),T(Pt),T(Le),T(Ct),t&&o(Hn),t&&o(pe),T(jt),t&&o(Rn),t&&o(Q),T(qt),T(Se),t&&o(Un),t&&o(me),T(zt),t&&o(Jn),t&&o(V),T(It),T(Qe),t&&o(Kn),t&&o(ge),T(Lt),t&&o(Xn),t&&o(O),T(At),T(Ot),T(Dt),t&&o(Yn),t&&o(ue),T(Vt),t&&o(Zn),t&&o(_e),T(Nt),T(Gt),T(He),t&&o(es),t&&o(be),T(Wt),t&&o(ts),t&&o(J),T(Ht),T(Rt),t&&o(os),t&&o($e),T(Kt),t&&o(rs),t&&o(j),T(Xt),T(to),T(Je),T(Ke),T(oo),T(Xe),T(Ye),T(ro),T(Ze),T(et),T(no),T(tt),T(ot),t&&o(ns),t&&o(Te),T(so),t&&o(ss),t&&o(M),T(ao),T(fo),T(nt),T(st),T(at),T(mo)}}}const Wf={local:"blip2",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.Blip2Config",title:"Blip2Config"},{local:"transformers.Blip2VisionConfig",title:"Blip2VisionConfig"},{local:"transformers.Blip2QFormerConfig",title:"Blip2QFormerConfig"},{local:"transformers.Blip2Processor",title:"Blip2Processor"},{local:"transformers.Blip2VisionModel",title:"Blip2VisionModel"},{local:"transformers.Blip2QFormerModel",title:"Blip2QFormerModel"},{local:"transformers.Blip2Model",title:"Blip2Model"},{local:"transformers.Blip2ForConditionalGeneration",title:"Blip2ForConditionalGeneration"}],title:"BLIP-2"};function Hf(x){return Cf(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Zf extends yf{constructor(d){super();kf(this,d,Hf,Gf,Tf,{})}}export{Zf as default,Wf as metadata};
