import{S as vl,i as xl,s as bl,e as n,k as h,w as b,t as i,M as Pl,c as a,d as s,m as u,a as r,x as P,h as l,b as p,N as Cl,G as e,g,y as C,q as $,o as w,B as y,v as $l,L as Vt}from"../../chunks/vendor-hf-doc-builder.js";import{T as po}from"../../chunks/Tip-hf-doc-builder.js";import{D as T}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Dt}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as H}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as qt}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function wl(I){let d,x,_,m,v;return m=new Dt({props:{code:`from transformers import XCLIPTextModel, XCLIPTextConfig

# Initializing a XCLIPTextModel with microsoft/xclip-base-patch32 style configuration
configuration = XCLIPTextConfig()

# Initializing a XCLIPTextConfig from the microsoft/xclip-base-patch32 style configuration
model = XCLIPTextModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> XCLIPTextModel, XCLIPTextConfig

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a XCLIPTextModel with microsoft/xclip-base-patch32 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = XCLIPTextConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a XCLIPTextConfig from the microsoft/xclip-base-patch32 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XCLIPTextModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=n("p"),x=i("Example:"),_=h(),b(m.$$.fragment)},l(o){d=a(o,"P",{});var c=r(d);x=l(c,"Example:"),c.forEach(s),_=u(o),P(m.$$.fragment,o)},m(o,c){g(o,d,c),e(d,x),g(o,_,c),C(m,o,c),v=!0},p:Vt,i(o){v||($(m.$$.fragment,o),v=!0)},o(o){w(m.$$.fragment,o),v=!1},d(o){o&&s(d),o&&s(_),y(m,o)}}}function yl(I){let d,x,_,m,v;return m=new Dt({props:{code:`from transformers import XCLIPVisionModel, XCLIPVisionConfig

# Initializing a XCLIPVisionModel with microsoft/xclip-base-patch32 style configuration
configuration = XCLIPVisionConfig()

# Initializing a XCLIPVisionModel model from the microsoft/xclip-base-patch32 style configuration
model = XCLIPVisionModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> XCLIPVisionModel, XCLIPVisionConfig

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a XCLIPVisionModel with microsoft/xclip-base-patch32 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = XCLIPVisionConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a XCLIPVisionModel model from the microsoft/xclip-base-patch32 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XCLIPVisionModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=n("p"),x=i("Example:"),_=h(),b(m.$$.fragment)},l(o){d=a(o,"P",{});var c=r(d);x=l(c,"Example:"),c.forEach(s),_=u(o),P(m.$$.fragment,o)},m(o,c){g(o,d,c),e(d,x),g(o,_,c),C(m,o,c),v=!0},p:Vt,i(o){v||($(m.$$.fragment,o),v=!0)},o(o){w(m.$$.fragment,o),v=!1},d(o){o&&s(d),o&&s(_),y(m,o)}}}function Il(I){let d,x,_,m,v;return{c(){d=n("p"),x=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=i("Module"),v=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(o){d=a(o,"P",{});var c=r(d);x=l(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(c,"CODE",{});var j=r(_);m=l(j,"Module"),j.forEach(s),v=l(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(s)},m(o,c){g(o,d,c),e(d,x),e(d,_),e(_,m),e(d,v)},d(o){o&&s(d)}}}function jl(I){let d,x,_,m,v;return m=new Dt({props:{code:`import av
import torch
import numpy as np

from transformers import AutoProcessor, AutoModel
from huggingface_hub import hf_hub_download

np.random.seed(0)


def read_video_pyav(container, indices):
    '''
    Decode the video with PyAV decoder.
    Args:
        container (\`av.container.input.InputContainer\`): PyAV container.
        indices (\`List[int]\`): List of frame indices to decode.
    Returns:
        result (np.ndarray): np array of decoded frames of shape (num_frames, height, width, 3).
    '''
    frames = []
    container.seek(0)
    start_index = indices[0]
    end_index = indices[-1]
    for i, frame in enumerate(container.decode(video=0)):
        if i > end_index:
            break
        if i >= start_index and i in indices:
            frames.append(frame)
    return np.stack([x.to_ndarray(format="rgb24") for x in frames])


def sample_frame_indices(clip_len, frame_sample_rate, seg_len):
    converted_len = int(clip_len * frame_sample_rate)
    end_idx = np.random.randint(converted_len, seg_len)
    start_idx = end_idx - converted_len
    indices = np.linspace(start_idx, end_idx, num=clip_len)
    indices = np.clip(indices, start_idx, end_idx - 1).astype(np.int64)
    return indices


# video clip consists of 300 frames (10 seconds at 30 FPS)
file_path = hf_hub_download(
    repo_id="nielsr/video-demo", filename="eating_spaghetti.mp4", repo_type="dataset"
)
container = av.open(file_path)

# sample 8 frames
indices = sample_frame_indices(clip_len=8, frame_sample_rate=1, seg_len=container.streams.video[0].frames)
video = read_video_pyav(container, indices)

processor = AutoProcessor.from_pretrained("microsoft/xclip-base-patch32")
model = AutoModel.from_pretrained("microsoft/xclip-base-patch32")

inputs = processor(
    text=["playing sports", "eating spaghetti", "go shopping"],
    videos=list(video),
    return_tensors="pt",
    padding=True,
)

# forward pass
with torch.no_grad():
    outputs = model(**inputs)

logits_per_video = outputs.logits_per_video  # this is the video-text similarity score
probs = logits_per_video.softmax(dim=1)  # we can take the softmax to get the label probabilities
print(probs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> av
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> numpy <span class="hljs-keyword">as</span> np

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, AutoModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download

<span class="hljs-meta">&gt;&gt;&gt; </span>np.random.seed(<span class="hljs-number">0</span>)


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">read_video_pyav</span>(<span class="hljs-params">container, indices</span>):
<span class="hljs-meta">... </span>    <span class="hljs-string">&#x27;&#x27;&#x27;
<span class="hljs-meta">... </span>    Decode the video with PyAV decoder.
<span class="hljs-meta">... </span>    Args:
<span class="hljs-meta">... </span>        container (\`av.container.input.InputContainer\`): PyAV container.
<span class="hljs-meta">... </span>        indices (\`List[int]\`): List of frame indices to decode.
<span class="hljs-meta">... </span>    Returns:
<span class="hljs-meta">... </span>        result (np.ndarray): np array of decoded frames of shape (num_frames, height, width, 3).
<span class="hljs-meta">... </span>    &#x27;&#x27;&#x27;</span>
<span class="hljs-meta">... </span>    frames = []
<span class="hljs-meta">... </span>    container.seek(<span class="hljs-number">0</span>)
<span class="hljs-meta">... </span>    start_index = indices[<span class="hljs-number">0</span>]
<span class="hljs-meta">... </span>    end_index = indices[-<span class="hljs-number">1</span>]
<span class="hljs-meta">... </span>    <span class="hljs-keyword">for</span> i, frame <span class="hljs-keyword">in</span> <span class="hljs-built_in">enumerate</span>(container.decode(video=<span class="hljs-number">0</span>)):
<span class="hljs-meta">... </span>        <span class="hljs-keyword">if</span> i &gt; end_index:
<span class="hljs-meta">... </span>            <span class="hljs-keyword">break</span>
<span class="hljs-meta">... </span>        <span class="hljs-keyword">if</span> i &gt;= start_index <span class="hljs-keyword">and</span> i <span class="hljs-keyword">in</span> indices:
<span class="hljs-meta">... </span>            frames.append(frame)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> np.stack([x.to_ndarray(<span class="hljs-built_in">format</span>=<span class="hljs-string">&quot;rgb24&quot;</span>) <span class="hljs-keyword">for</span> x <span class="hljs-keyword">in</span> frames])


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">sample_frame_indices</span>(<span class="hljs-params">clip_len, frame_sample_rate, seg_len</span>):
<span class="hljs-meta">... </span>    converted_len = <span class="hljs-built_in">int</span>(clip_len * frame_sample_rate)
<span class="hljs-meta">... </span>    end_idx = np.random.randint(converted_len, seg_len)
<span class="hljs-meta">... </span>    start_idx = end_idx - converted_len
<span class="hljs-meta">... </span>    indices = np.linspace(start_idx, end_idx, num=clip_len)
<span class="hljs-meta">... </span>    indices = np.clip(indices, start_idx, end_idx - <span class="hljs-number">1</span>).astype(np.int64)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> indices


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># video clip consists of 300 frames (10 seconds at 30 FPS)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>file_path = hf_hub_download(
<span class="hljs-meta">... </span>    repo_id=<span class="hljs-string">&quot;nielsr/video-demo&quot;</span>, filename=<span class="hljs-string">&quot;eating_spaghetti.mp4&quot;</span>, repo_type=<span class="hljs-string">&quot;dataset&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>container = av.<span class="hljs-built_in">open</span>(file_path)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># sample 8 frames</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>indices = sample_frame_indices(clip_len=<span class="hljs-number">8</span>, frame_sample_rate=<span class="hljs-number">1</span>, seg_len=container.streams.video[<span class="hljs-number">0</span>].frames)
<span class="hljs-meta">&gt;&gt;&gt; </span>video = read_video_pyav(container, indices)

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/xclip-base-patch32&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModel.from_pretrained(<span class="hljs-string">&quot;microsoft/xclip-base-patch32&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(
<span class="hljs-meta">... </span>    text=[<span class="hljs-string">&quot;playing sports&quot;</span>, <span class="hljs-string">&quot;eating spaghetti&quot;</span>, <span class="hljs-string">&quot;go shopping&quot;</span>],
<span class="hljs-meta">... </span>    videos=<span class="hljs-built_in">list</span>(video),
<span class="hljs-meta">... </span>    return_tensors=<span class="hljs-string">&quot;pt&quot;</span>,
<span class="hljs-meta">... </span>    padding=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits_per_video = outputs.logits_per_video  <span class="hljs-comment"># this is the video-text similarity score</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>probs = logits_per_video.softmax(dim=<span class="hljs-number">1</span>)  <span class="hljs-comment"># we can take the softmax to get the label probabilities</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(probs)
tensor([[<span class="hljs-number">1.9496e-04</span>, <span class="hljs-number">9.9960e-01</span>, <span class="hljs-number">2.0825e-04</span>]])`}}),{c(){d=n("p"),x=i("Examples:"),_=h(),b(m.$$.fragment)},l(o){d=a(o,"P",{});var c=r(d);x=l(c,"Examples:"),c.forEach(s),_=u(o),P(m.$$.fragment,o)},m(o,c){g(o,d,c),e(d,x),g(o,_,c),C(m,o,c),v=!0},p:Vt,i(o){v||($(m.$$.fragment,o),v=!0)},o(o){w(m.$$.fragment,o),v=!1},d(o){o&&s(d),o&&s(_),y(m,o)}}}function Ll(I){let d,x,_,m,v;return{c(){d=n("p"),x=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=i("Module"),v=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(o){d=a(o,"P",{});var c=r(d);x=l(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(c,"CODE",{});var j=r(_);m=l(j,"Module"),j.forEach(s),v=l(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(s)},m(o,c){g(o,d,c),e(d,x),e(d,_),e(_,m),e(d,v)},d(o){o&&s(d)}}}function kl(I){let d,x,_,m,v;return m=new Dt({props:{code:`from transformers import AutoTokenizer, AutoModel

tokenizer = AutoTokenizer.from_pretrained("microsoft/xclip-base-patch32")
model = AutoModel.from_pretrained("microsoft/xclip-base-patch32")

inputs = tokenizer(["a photo of a cat", "a photo of a dog"], padding=True, return_tensors="pt")
text_features = model.get_text_features(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AutoModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;microsoft/xclip-base-patch32&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModel.from_pretrained(<span class="hljs-string">&quot;microsoft/xclip-base-patch32&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([<span class="hljs-string">&quot;a photo of a cat&quot;</span>, <span class="hljs-string">&quot;a photo of a dog&quot;</span>], padding=<span class="hljs-literal">True</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>text_features = model.get_text_features(**inputs)`}}),{c(){d=n("p"),x=i("Examples:"),_=h(),b(m.$$.fragment)},l(o){d=a(o,"P",{});var c=r(d);x=l(c,"Examples:"),c.forEach(s),_=u(o),P(m.$$.fragment,o)},m(o,c){g(o,d,c),e(d,x),g(o,_,c),C(m,o,c),v=!0},p:Vt,i(o){v||($(m.$$.fragment,o),v=!0)},o(o){w(m.$$.fragment,o),v=!1},d(o){o&&s(d),o&&s(_),y(m,o)}}}function Tl(I){let d,x,_,m,v;return{c(){d=n("p"),x=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=i("Module"),v=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(o){d=a(o,"P",{});var c=r(d);x=l(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(c,"CODE",{});var j=r(_);m=l(j,"Module"),j.forEach(s),v=l(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(s)},m(o,c){g(o,d,c),e(d,x),e(d,_),e(_,m),e(d,v)},d(o){o&&s(d)}}}function Xl(I){let d,x,_,m,v;return m=new Dt({props:{code:`import av
import torch
import numpy as np

from transformers import AutoProcessor, AutoModel
from huggingface_hub import hf_hub_download

np.random.seed(0)


def read_video_pyav(container, indices):
    '''
    Decode the video with PyAV decoder.
    Args:
        container (\`av.container.input.InputContainer\`): PyAV container.
        indices (\`List[int]\`): List of frame indices to decode.
    Returns:
        result (np.ndarray): np array of decoded frames of shape (num_frames, height, width, 3).
    '''
    frames = []
    container.seek(0)
    start_index = indices[0]
    end_index = indices[-1]
    for i, frame in enumerate(container.decode(video=0)):
        if i > end_index:
            break
        if i >= start_index and i in indices:
            frames.append(frame)
    return np.stack([x.to_ndarray(format="rgb24") for x in frames])


def sample_frame_indices(clip_len, frame_sample_rate, seg_len):
    converted_len = int(clip_len * frame_sample_rate)
    end_idx = np.random.randint(converted_len, seg_len)
    start_idx = end_idx - converted_len
    indices = np.linspace(start_idx, end_idx, num=clip_len)
    indices = np.clip(indices, start_idx, end_idx - 1).astype(np.int64)
    return indices


# video clip consists of 300 frames (10 seconds at 30 FPS)
file_path = hf_hub_download(
    repo_id="nielsr/video-demo", filename="eating_spaghetti.mp4", repo_type="dataset"
)
container = av.open(file_path)

# sample 8 frames
indices = sample_frame_indices(clip_len=8, frame_sample_rate=1, seg_len=container.streams.video[0].frames)
video = read_video_pyav(container, indices)

processor = AutoProcessor.from_pretrained("microsoft/xclip-base-patch32")
model = AutoModel.from_pretrained("microsoft/xclip-base-patch32")

inputs = processor(videos=list(video), return_tensors="pt")

video_features = model.get_video_features(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> av
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> numpy <span class="hljs-keyword">as</span> np

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, AutoModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download

<span class="hljs-meta">&gt;&gt;&gt; </span>np.random.seed(<span class="hljs-number">0</span>)


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">read_video_pyav</span>(<span class="hljs-params">container, indices</span>):
<span class="hljs-meta">... </span>    <span class="hljs-string">&#x27;&#x27;&#x27;
<span class="hljs-meta">... </span>    Decode the video with PyAV decoder.
<span class="hljs-meta">... </span>    Args:
<span class="hljs-meta">... </span>        container (\`av.container.input.InputContainer\`): PyAV container.
<span class="hljs-meta">... </span>        indices (\`List[int]\`): List of frame indices to decode.
<span class="hljs-meta">... </span>    Returns:
<span class="hljs-meta">... </span>        result (np.ndarray): np array of decoded frames of shape (num_frames, height, width, 3).
<span class="hljs-meta">... </span>    &#x27;&#x27;&#x27;</span>
<span class="hljs-meta">... </span>    frames = []
<span class="hljs-meta">... </span>    container.seek(<span class="hljs-number">0</span>)
<span class="hljs-meta">... </span>    start_index = indices[<span class="hljs-number">0</span>]
<span class="hljs-meta">... </span>    end_index = indices[-<span class="hljs-number">1</span>]
<span class="hljs-meta">... </span>    <span class="hljs-keyword">for</span> i, frame <span class="hljs-keyword">in</span> <span class="hljs-built_in">enumerate</span>(container.decode(video=<span class="hljs-number">0</span>)):
<span class="hljs-meta">... </span>        <span class="hljs-keyword">if</span> i &gt; end_index:
<span class="hljs-meta">... </span>            <span class="hljs-keyword">break</span>
<span class="hljs-meta">... </span>        <span class="hljs-keyword">if</span> i &gt;= start_index <span class="hljs-keyword">and</span> i <span class="hljs-keyword">in</span> indices:
<span class="hljs-meta">... </span>            frames.append(frame)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> np.stack([x.to_ndarray(<span class="hljs-built_in">format</span>=<span class="hljs-string">&quot;rgb24&quot;</span>) <span class="hljs-keyword">for</span> x <span class="hljs-keyword">in</span> frames])


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">sample_frame_indices</span>(<span class="hljs-params">clip_len, frame_sample_rate, seg_len</span>):
<span class="hljs-meta">... </span>    converted_len = <span class="hljs-built_in">int</span>(clip_len * frame_sample_rate)
<span class="hljs-meta">... </span>    end_idx = np.random.randint(converted_len, seg_len)
<span class="hljs-meta">... </span>    start_idx = end_idx - converted_len
<span class="hljs-meta">... </span>    indices = np.linspace(start_idx, end_idx, num=clip_len)
<span class="hljs-meta">... </span>    indices = np.clip(indices, start_idx, end_idx - <span class="hljs-number">1</span>).astype(np.int64)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> indices


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># video clip consists of 300 frames (10 seconds at 30 FPS)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>file_path = hf_hub_download(
<span class="hljs-meta">... </span>    repo_id=<span class="hljs-string">&quot;nielsr/video-demo&quot;</span>, filename=<span class="hljs-string">&quot;eating_spaghetti.mp4&quot;</span>, repo_type=<span class="hljs-string">&quot;dataset&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>container = av.<span class="hljs-built_in">open</span>(file_path)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># sample 8 frames</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>indices = sample_frame_indices(clip_len=<span class="hljs-number">8</span>, frame_sample_rate=<span class="hljs-number">1</span>, seg_len=container.streams.video[<span class="hljs-number">0</span>].frames)
<span class="hljs-meta">&gt;&gt;&gt; </span>video = read_video_pyav(container, indices)

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/xclip-base-patch32&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModel.from_pretrained(<span class="hljs-string">&quot;microsoft/xclip-base-patch32&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(videos=<span class="hljs-built_in">list</span>(video), return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>video_features = model.get_video_features(**inputs)`}}),{c(){d=n("p"),x=i("Examples:"),_=h(),b(m.$$.fragment)},l(o){d=a(o,"P",{});var c=r(d);x=l(c,"Examples:"),c.forEach(s),_=u(o),P(m.$$.fragment,o)},m(o,c){g(o,d,c),e(d,x),g(o,_,c),C(m,o,c),v=!0},p:Vt,i(o){v||($(m.$$.fragment,o),v=!0)},o(o){w(m.$$.fragment,o),v=!1},d(o){o&&s(d),o&&s(_),y(m,o)}}}function Ml(I){let d,x,_,m,v;return{c(){d=n("p"),x=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=i("Module"),v=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(o){d=a(o,"P",{});var c=r(d);x=l(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(c,"CODE",{});var j=r(_);m=l(j,"Module"),j.forEach(s),v=l(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(s)},m(o,c){g(o,d,c),e(d,x),e(d,_),e(_,m),e(d,v)},d(o){o&&s(d)}}}function El(I){let d,x,_,m,v;return m=new Dt({props:{code:`from transformers import AutoTokenizer, XCLIPTextModel

model = XCLIPTextModel.from_pretrained("microsoft/xclip-base-patch32")
tokenizer = AutoTokenizer.from_pretrained("microsoft/xclip-base-patch32")

inputs = tokenizer(["a photo of a cat", "a photo of a dog"], padding=True, return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooled_output = outputs.pooler_output  # pooled (EOS token) states`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XCLIPTextModel

<span class="hljs-meta">&gt;&gt;&gt; </span>model = XCLIPTextModel.from_pretrained(<span class="hljs-string">&quot;microsoft/xclip-base-patch32&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;microsoft/xclip-base-patch32&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([<span class="hljs-string">&quot;a photo of a cat&quot;</span>, <span class="hljs-string">&quot;a photo of a dog&quot;</span>], padding=<span class="hljs-literal">True</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooled_output = outputs.pooler_output  <span class="hljs-comment"># pooled (EOS token) states</span>`}}),{c(){d=n("p"),x=i("Examples:"),_=h(),b(m.$$.fragment)},l(o){d=a(o,"P",{});var c=r(d);x=l(c,"Examples:"),c.forEach(s),_=u(o),P(m.$$.fragment,o)},m(o,c){g(o,d,c),e(d,x),g(o,_,c),C(m,o,c),v=!0},p:Vt,i(o){v||($(m.$$.fragment,o),v=!0)},o(o){w(m.$$.fragment,o),v=!1},d(o){o&&s(d),o&&s(_),y(m,o)}}}function zl(I){let d,x,_,m,v;return{c(){d=n("p"),x=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=i("Module"),v=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(o){d=a(o,"P",{});var c=r(d);x=l(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(c,"CODE",{});var j=r(_);m=l(j,"Module"),j.forEach(s),v=l(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(s)},m(o,c){g(o,d,c),e(d,x),e(d,_),e(_,m),e(d,v)},d(o){o&&s(d)}}}function Al(I){let d,x,_,m,v;return m=new Dt({props:{code:`import av
import torch
import numpy as np

from transformers import AutoProcessor, XCLIPVisionModel
from huggingface_hub import hf_hub_download

np.random.seed(0)


def read_video_pyav(container, indices):
    '''
    Decode the video with PyAV decoder.
    Args:
        container (\`av.container.input.InputContainer\`): PyAV container.
        indices (\`List[int]\`): List of frame indices to decode.
    Returns:
        result (np.ndarray): np array of decoded frames of shape (num_frames, height, width, 3).
    '''
    frames = []
    container.seek(0)
    start_index = indices[0]
    end_index = indices[-1]
    for i, frame in enumerate(container.decode(video=0)):
        if i > end_index:
            break
        if i >= start_index and i in indices:
            frames.append(frame)
    return np.stack([x.to_ndarray(format="rgb24") for x in frames])


def sample_frame_indices(clip_len, frame_sample_rate, seg_len):
    converted_len = int(clip_len * frame_sample_rate)
    end_idx = np.random.randint(converted_len, seg_len)
    start_idx = end_idx - converted_len
    indices = np.linspace(start_idx, end_idx, num=clip_len)
    indices = np.clip(indices, start_idx, end_idx - 1).astype(np.int64)
    return indices


# video clip consists of 300 frames (10 seconds at 30 FPS)
file_path = hf_hub_download(
    repo_id="nielsr/video-demo", filename="eating_spaghetti.mp4", repo_type="dataset"
)
container = av.open(file_path)

# sample 16 frames
indices = sample_frame_indices(clip_len=8, frame_sample_rate=1, seg_len=container.streams.video[0].frames)
video = read_video_pyav(container, indices)

processor = AutoProcessor.from_pretrained("microsoft/xclip-base-patch32")
model = XCLIPVisionModel.from_pretrained("microsoft/xclip-base-patch32")

pixel_values = processor(videos=list(video), return_tensors="pt").pixel_values

batch_size, num_frames, num_channels, height, width = pixel_values.shape
pixel_values = pixel_values.reshape(-1, num_channels, height, width)

outputs = model(pixel_values)
last_hidden_state = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> av
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> numpy <span class="hljs-keyword">as</span> np

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, XCLIPVisionModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download

<span class="hljs-meta">&gt;&gt;&gt; </span>np.random.seed(<span class="hljs-number">0</span>)


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">read_video_pyav</span>(<span class="hljs-params">container, indices</span>):
<span class="hljs-meta">... </span>    <span class="hljs-string">&#x27;&#x27;&#x27;
<span class="hljs-meta">... </span>    Decode the video with PyAV decoder.
<span class="hljs-meta">... </span>    Args:
<span class="hljs-meta">... </span>        container (\`av.container.input.InputContainer\`): PyAV container.
<span class="hljs-meta">... </span>        indices (\`List[int]\`): List of frame indices to decode.
<span class="hljs-meta">... </span>    Returns:
<span class="hljs-meta">... </span>        result (np.ndarray): np array of decoded frames of shape (num_frames, height, width, 3).
<span class="hljs-meta">... </span>    &#x27;&#x27;&#x27;</span>
<span class="hljs-meta">... </span>    frames = []
<span class="hljs-meta">... </span>    container.seek(<span class="hljs-number">0</span>)
<span class="hljs-meta">... </span>    start_index = indices[<span class="hljs-number">0</span>]
<span class="hljs-meta">... </span>    end_index = indices[-<span class="hljs-number">1</span>]
<span class="hljs-meta">... </span>    <span class="hljs-keyword">for</span> i, frame <span class="hljs-keyword">in</span> <span class="hljs-built_in">enumerate</span>(container.decode(video=<span class="hljs-number">0</span>)):
<span class="hljs-meta">... </span>        <span class="hljs-keyword">if</span> i &gt; end_index:
<span class="hljs-meta">... </span>            <span class="hljs-keyword">break</span>
<span class="hljs-meta">... </span>        <span class="hljs-keyword">if</span> i &gt;= start_index <span class="hljs-keyword">and</span> i <span class="hljs-keyword">in</span> indices:
<span class="hljs-meta">... </span>            frames.append(frame)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> np.stack([x.to_ndarray(<span class="hljs-built_in">format</span>=<span class="hljs-string">&quot;rgb24&quot;</span>) <span class="hljs-keyword">for</span> x <span class="hljs-keyword">in</span> frames])


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">sample_frame_indices</span>(<span class="hljs-params">clip_len, frame_sample_rate, seg_len</span>):
<span class="hljs-meta">... </span>    converted_len = <span class="hljs-built_in">int</span>(clip_len * frame_sample_rate)
<span class="hljs-meta">... </span>    end_idx = np.random.randint(converted_len, seg_len)
<span class="hljs-meta">... </span>    start_idx = end_idx - converted_len
<span class="hljs-meta">... </span>    indices = np.linspace(start_idx, end_idx, num=clip_len)
<span class="hljs-meta">... </span>    indices = np.clip(indices, start_idx, end_idx - <span class="hljs-number">1</span>).astype(np.int64)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> indices


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># video clip consists of 300 frames (10 seconds at 30 FPS)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>file_path = hf_hub_download(
<span class="hljs-meta">... </span>    repo_id=<span class="hljs-string">&quot;nielsr/video-demo&quot;</span>, filename=<span class="hljs-string">&quot;eating_spaghetti.mp4&quot;</span>, repo_type=<span class="hljs-string">&quot;dataset&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>container = av.<span class="hljs-built_in">open</span>(file_path)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># sample 16 frames</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>indices = sample_frame_indices(clip_len=<span class="hljs-number">8</span>, frame_sample_rate=<span class="hljs-number">1</span>, seg_len=container.streams.video[<span class="hljs-number">0</span>].frames)
<span class="hljs-meta">&gt;&gt;&gt; </span>video = read_video_pyav(container, indices)

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/xclip-base-patch32&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XCLIPVisionModel.from_pretrained(<span class="hljs-string">&quot;microsoft/xclip-base-patch32&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>pixel_values = processor(videos=<span class="hljs-built_in">list</span>(video), return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).pixel_values

<span class="hljs-meta">&gt;&gt;&gt; </span>batch_size, num_frames, num_channels, height, width = pixel_values.shape
<span class="hljs-meta">&gt;&gt;&gt; </span>pixel_values = pixel_values.reshape(-<span class="hljs-number">1</span>, num_channels, height, width)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(pixel_values)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state`}}),{c(){d=n("p"),x=i("Examples:"),_=h(),b(m.$$.fragment)},l(o){d=a(o,"P",{});var c=r(d);x=l(c,"Examples:"),c.forEach(s),_=u(o),P(m.$$.fragment,o)},m(o,c){g(o,d,c),e(d,x),g(o,_,c),C(m,o,c),v=!0},p:Vt,i(o){v||($(m.$$.fragment,o),v=!0)},o(o){w(m.$$.fragment,o),v=!1},d(o){o&&s(d),o&&s(_),y(m,o)}}}function ql(I){let d,x,_,m,v,o,c,j,nn,co,U,ue,Ls,Ge,an,ks,rn,mo,S,ln,Je,dn,pn,Ot,cn,mn,fo,Nt,fn,ho,St,Ts,hn,uo,Ft,un,go,Wt,Ke,gn,Bt,_n,vn,_o,ge,si,vo,Ze,xn,Rt,bn,xo,F,Pn,Qe,Cn,$n,Ye,wn,yn,bo,G,_e,Xs,et,In,Ms,jn,Po,Ht,Ln,Co,Ut,tt,kn,st,Tn,Xn,$o,Gt,Mn,wo,J,ve,Es,ot,En,zs,zn,yo,L,nt,An,As,qn,Vn,X,Jt,Dn,On,Kt,Nn,Sn,Zt,Fn,Wn,qs,Bn,Rn,Qt,Hn,Un,Gn,xe,at,Jn,rt,Kn,Yt,Zn,Qn,Yn,be,it,ea,lt,ta,es,sa,oa,Io,K,Pe,Vs,dt,na,Ds,aa,jo,M,pt,ra,W,ts,ia,la,ss,da,pa,ct,ca,ma,fa,Z,ha,os,ua,ga,ns,_a,va,xa,Ce,mt,ba,ft,Pa,as,Ca,$a,Lo,Q,$e,Os,ht,wa,Ns,ya,ko,E,ut,Ia,Y,ja,rs,La,ka,gt,Ta,Xa,Ma,ee,Ea,is,za,Aa,ls,qa,Va,Da,we,To,te,ye,Ss,_t,Oa,Fs,Na,Xo,z,vt,Sa,se,Fa,ds,Wa,Ba,xt,Ra,Ha,Ua,oe,Ga,ps,Ja,Ka,cs,Za,Qa,Ya,Ie,Mo,ne,je,Ws,bt,er,Bs,tr,Eo,k,Pt,sr,Ct,or,$t,nr,ar,rr,A,wt,ir,ae,lr,ms,dr,pr,Rs,cr,mr,fr,Le,hr,ke,ur,q,yt,gr,re,_r,fs,vr,xr,Hs,br,Pr,Cr,Te,$r,Xe,wr,V,It,yr,ie,Ir,hs,jr,Lr,Us,kr,Tr,Xr,Me,Mr,Ee,zo,le,ze,Gs,jt,Er,Js,zr,Ao,de,Lt,Ar,D,kt,qr,pe,Vr,us,Dr,Or,Ks,Nr,Sr,Fr,Ae,Wr,qe,qo,ce,Ve,Zs,Tt,Br,Qs,Rr,Vo,me,Xt,Hr,O,Mt,Ur,fe,Gr,gs,Jr,Kr,Ys,Zr,Qr,Yr,De,ei,Oe,Do;return o=new H({}),Ge=new H({}),et=new H({}),ot=new H({}),nt=new T({props:{name:"class transformers.XCLIPProcessor",anchor:"transformers.XCLIPProcessor",parameters:[{name:"image_processor",val:" = None"},{name:"tokenizer",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XCLIPProcessor.image_processor",description:`<strong>image_processor</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/videomae#transformers.VideoMAEImageProcessor">VideoMAEImageProcessor</a>) &#x2014;
The image processor is a required input.`,name:"image_processor"},{anchor:"transformers.XCLIPProcessor.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/clip#transformers.CLIPTokenizerFast">CLIPTokenizerFast</a>) &#x2014;
The tokenizer is a required input.`,name:"tokenizer"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/x_clip/processing_x_clip.py#L25"}}),at=new T({props:{name:"batch_decode",anchor:"transformers.XCLIPProcessor.batch_decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/x_clip/processing_x_clip.py#L114"}}),it=new T({props:{name:"decode",anchor:"transformers.XCLIPProcessor.decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/x_clip/processing_x_clip.py#L121"}}),dt=new H({}),pt=new T({props:{name:"class transformers.XCLIPConfig",anchor:"transformers.XCLIPConfig",parameters:[{name:"text_config",val:" = None"},{name:"vision_config",val:" = None"},{name:"projection_dim",val:" = 512"},{name:"prompt_layers",val:" = 2"},{name:"prompt_alpha",val:" = 0.1"},{name:"prompt_hidden_act",val:" = 'quick_gelu'"},{name:"prompt_num_attention_heads",val:" = 8"},{name:"prompt_attention_dropout",val:" = 0.0"},{name:"prompt_projection_dropout",val:" = 0.0"},{name:"logit_scale_init_value",val:" = 2.6592"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XCLIPConfig.text_config",description:`<strong>text_config</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Dictionary of configuration options used to initialize <a href="/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPTextConfig">XCLIPTextConfig</a>.`,name:"text_config"},{anchor:"transformers.XCLIPConfig.vision_config",description:`<strong>vision_config</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Dictionary of configuration options used to initialize <a href="/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPVisionConfig">XCLIPVisionConfig</a>.`,name:"vision_config"},{anchor:"transformers.XCLIPConfig.projection_dim",description:`<strong>projection_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
Dimentionality of text and vision projection layers.`,name:"projection_dim"},{anchor:"transformers.XCLIPConfig.prompt_layers",description:`<strong>prompt_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
Number of layers in the video specific prompt generator.`,name:"prompt_layers"},{anchor:"transformers.XCLIPConfig.prompt_alpha",description:`<strong>prompt_alpha</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
Alpha value to use in the video specific prompt generator.`,name:"prompt_alpha"},{anchor:"transformers.XCLIPConfig.prompt_hidden_act",description:`<strong>prompt_hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;quick_gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the video specific prompt generator. If string,
<code>&quot;gelu&quot;</code>, <code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> \`<code>&quot;quick_gelu&quot;</code> are supported.`,name:"prompt_hidden_act"},{anchor:"transformers.XCLIPConfig.prompt_num_attention_heads",description:`<strong>prompt_num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
Number of attention heads in the cross-attention of the video specific prompt generator.`,name:"prompt_num_attention_heads"},{anchor:"transformers.XCLIPConfig.prompt_attention_dropout",description:`<strong>prompt_attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probability for the attention layers in the video specific prompt generator.`,name:"prompt_attention_dropout"},{anchor:"transformers.XCLIPConfig.prompt_projection_dropout",description:`<strong>prompt_projection_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probability for the projection layers in the video specific prompt generator.`,name:"prompt_projection_dropout"},{anchor:"transformers.XCLIPConfig.logit_scale_init_value",description:`<strong>logit_scale_init_value</strong> (<code>float</code>, <em>optional</em>, defaults to 2.6592) &#x2014;
The inital value of the <em>logit_scale</em> parameter. Default is used as per the original XCLIP implementation.`,name:"logit_scale_init_value"},{anchor:"transformers.XCLIPConfig.kwargs",description:`<strong>kwargs</strong> (<em>optional</em>) &#x2014;
Dictionary of keyword arguments.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/x_clip/configuration_x_clip.py#L261"}}),mt=new T({props:{name:"from_text_vision_configs",anchor:"transformers.XCLIPConfig.from_text_vision_configs",parameters:[{name:"text_config",val:": XCLIPTextConfig"},{name:"vision_config",val:": XCLIPVisionConfig"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/x_clip/configuration_x_clip.py#L405",returnDescription:`
<p>An instance of a configuration object</p>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPConfig"
>XCLIPConfig</a></p>
`}}),ht=new H({}),ut=new T({props:{name:"class transformers.XCLIPTextConfig",anchor:"transformers.XCLIPTextConfig",parameters:[{name:"vocab_size",val:" = 49408"},{name:"hidden_size",val:" = 512"},{name:"intermediate_size",val:" = 2048"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 8"},{name:"max_position_embeddings",val:" = 77"},{name:"hidden_act",val:" = 'quick_gelu'"},{name:"layer_norm_eps",val:" = 1e-05"},{name:"attention_dropout",val:" = 0.0"},{name:"initializer_range",val:" = 0.02"},{name:"initializer_factor",val:" = 1.0"},{name:"pad_token_id",val:" = 1"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XCLIPTextConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 49408) &#x2014;
Vocabulary size of the X-CLIP text model. Defines the number of different tokens that can be represented by
the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPModel">XCLIPModel</a>.`,name:"vocab_size"},{anchor:"transformers.XCLIPTextConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.XCLIPTextConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2048) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.XCLIPTextConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.XCLIPTextConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.XCLIPTextConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 77) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.XCLIPTextConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;quick_gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> \`<code>&quot;quick_gelu&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.XCLIPTextConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.XCLIPTextConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.XCLIPTextConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.XCLIPTextConfig.initializer_factor",description:`<strong>initializer_factor</strong> (\`float&#x201C;, <em>optional</em>, defaults to 1) &#x2014;
A factor for initializing all weight matrices (should be kept to 1, used internally for initialization
testing).`,name:"initializer_factor"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/x_clip/configuration_x_clip.py#L32"}}),we=new qt({props:{anchor:"transformers.XCLIPTextConfig.example",$$slots:{default:[wl]},$$scope:{ctx:I}}}),_t=new H({}),vt=new T({props:{name:"class transformers.XCLIPVisionConfig",anchor:"transformers.XCLIPVisionConfig",parameters:[{name:"hidden_size",val:" = 768"},{name:"intermediate_size",val:" = 3072"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"mit_hidden_size",val:" = 512"},{name:"mit_intermediate_size",val:" = 2048"},{name:"mit_num_hidden_layers",val:" = 1"},{name:"mit_num_attention_heads",val:" = 8"},{name:"num_channels",val:" = 3"},{name:"image_size",val:" = 224"},{name:"patch_size",val:" = 32"},{name:"num_frames",val:" = 8"},{name:"hidden_act",val:" = 'quick_gelu'"},{name:"layer_norm_eps",val:" = 1e-05"},{name:"attention_dropout",val:" = 0.0"},{name:"initializer_range",val:" = 0.02"},{name:"initializer_factor",val:" = 1.0"},{name:"drop_path_rate",val:" = 0.0"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XCLIPVisionConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.XCLIPVisionConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.XCLIPVisionConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.XCLIPVisionConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.XCLIPVisionConfig.mit_hidden_size",description:`<strong>mit_hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
Dimensionality of the encoder layers of the Multiframe Integration Transformer (MIT).`,name:"mit_hidden_size"},{anchor:"transformers.XCLIPVisionConfig.mit_intermediate_size",description:`<strong>mit_intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2048) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Multiframe Integration Transformer
(MIT).`,name:"mit_intermediate_size"},{anchor:"transformers.XCLIPVisionConfig.mit_num_hidden_layers",description:`<strong>mit_num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
Number of hidden layers in the Multiframe Integration Transformer (MIT).`,name:"mit_num_hidden_layers"},{anchor:"transformers.XCLIPVisionConfig.mit_num_attention_heads",description:`<strong>mit_num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
Number of attention heads for each attention layer in the Multiframe Integration Transformer (MIT).`,name:"mit_num_attention_heads"},{anchor:"transformers.XCLIPVisionConfig.image_size",description:`<strong>image_size</strong> (<code>int</code>, <em>optional</em>, defaults to 224) &#x2014;
The size (resolution) of each image.`,name:"image_size"},{anchor:"transformers.XCLIPVisionConfig.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
The size (resolution) of each patch.`,name:"patch_size"},{anchor:"transformers.XCLIPVisionConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;quick_gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code>, <code>&quot;gelu_new&quot;</code> and \`<code>&quot;quick_gelu&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.XCLIPVisionConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.XCLIPVisionConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.XCLIPVisionConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.XCLIPVisionConfig.initializer_factor",description:`<strong>initializer_factor</strong> (\`float&#x201C;, <em>optional</em>, defaults to 1) &#x2014;
A factor for initializing all weight matrices (should be kept to 1, used internally for initialization
testing).`,name:"initializer_factor"},{anchor:"transformers.XCLIPVisionConfig.drop_path_rate",description:`<strong>drop_path_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Stochastic depth rate.`,name:"drop_path_rate"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/x_clip/configuration_x_clip.py#L136"}}),Ie=new qt({props:{anchor:"transformers.XCLIPVisionConfig.example",$$slots:{default:[yl]},$$scope:{ctx:I}}}),bt=new H({}),Pt=new T({props:{name:"class transformers.XCLIPModel",anchor:"transformers.XCLIPModel",parameters:[{name:"config",val:": XCLIPConfig"}],parametersDescription:[{anchor:"transformers.XCLIPModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPConfig">XCLIPConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/x_clip/modeling_x_clip.py#L1275"}}),wt=new T({props:{name:"forward",anchor:"transformers.XCLIPModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"return_loss",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XCLIPModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XCLIPModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XCLIPModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XCLIPModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Padding will be ignored by default should you provide it. Pixel values can be obtained using
<a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <a href="/docs/transformers/pr_22354/en/model_doc/mobilevit#transformers.MobileViTFeatureExtractor.__call__">CLIPImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.XCLIPModel.forward.return_loss",description:`<strong>return_loss</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the contrastive loss.`,name:"return_loss"},{anchor:"transformers.XCLIPModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XCLIPModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XCLIPModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/x_clip/modeling_x_clip.py#L1475",returnDescription:`
<p>A <code>transformers.models.x_clip.modeling_x_clip.XCLIPOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.x_clip.configuration_x_clip.XCLIPConfig'&gt;</code>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>return_loss</code> is <code>True</code>) \u2014 Contrastive loss for video-text similarity.</li>
<li><strong>logits_per_video</strong> (<code>torch.FloatTensor</code> of shape <code>(video_batch_size, text_batch_size)</code>) \u2014 The scaled dot product scores between <code>video_embeds</code> and <code>text_embeds</code>. This represents the video-text
similarity scores.</li>
<li><strong>logits_per_text</strong> (<code>torch.FloatTensor</code> of shape <code>(text_batch_size, video_batch_size)</code>) \u2014 The scaled dot product scores between <code>text_embeds</code> and <code>video_embeds</code>. This represents the text-video
similarity scores.</li>
<li><strong>text_embeds(<code>torch.FloatTensor</code></strong> of shape <code>(batch_size, output_dim</code>) \u2014 The text embeddings obtained by applying the projection layer to the pooled output of <a
  href="/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPTextModel"
>XCLIPTextModel</a>.</li>
<li><strong>video_embeds(<code>torch.FloatTensor</code></strong> of shape <code>(batch_size, output_dim</code>) \u2014 The video embeddings obtained by applying the projection layer to the pooled output of
<a
  href="/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPVisionModel"
>XCLIPVisionModel</a>.</li>
<li><strong>text_model_output</strong> (<code>BaseModelOutputWithPooling</code>) \u2014 The output of the <a
  href="/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPTextModel"
>XCLIPTextModel</a>.</li>
<li><strong>vision_model_output</strong> (<code>BaseModelOutputWithPooling</code>) \u2014 The output of the <a
  href="/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPVisionModel"
>XCLIPVisionModel</a>.</li>
<li><strong>mit_output</strong> (<code>BaseModelOutputWithPooling</code>) \u2014 The output of <code>XCLIPMultiframeIntegrationTransformer</code> (MIT for short).</li>
</ul>
`,returnType:`
<p><code>transformers.models.x_clip.modeling_x_clip.XCLIPOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Le=new po({props:{$$slots:{default:[Il]},$$scope:{ctx:I}}}),ke=new qt({props:{anchor:"transformers.XCLIPModel.forward.example",$$slots:{default:[jl]},$$scope:{ctx:I}}}),yt=new T({props:{name:"get_text_features",anchor:"transformers.XCLIPModel.get_text_features",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XCLIPModel.get_text_features.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XCLIPModel.get_text_features.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XCLIPModel.get_text_features.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XCLIPModel.get_text_features.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XCLIPModel.get_text_features.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XCLIPModel.get_text_features.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/x_clip/modeling_x_clip.py#L1322",returnDescription:`
<p>The text embeddings obtained by
applying the projection layer to the pooled output of <a
  href="/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPTextModel"
>XCLIPTextModel</a>.</p>
`,returnType:`
<p>text_features (<code>torch.FloatTensor</code> of shape <code>(batch_size, output_dim</code>)</p>
`}}),Te=new po({props:{$$slots:{default:[Ll]},$$scope:{ctx:I}}}),Xe=new qt({props:{anchor:"transformers.XCLIPModel.get_text_features.example",$$slots:{default:[kl]},$$scope:{ctx:I}}}),It=new T({props:{name:"get_video_features",anchor:"transformers.XCLIPModel.get_video_features",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XCLIPModel.get_video_features.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Padding will be ignored by default should you provide it. Pixel values can be obtained using
<a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <a href="/docs/transformers/pr_22354/en/model_doc/mobilevit#transformers.MobileViTFeatureExtractor.__call__">CLIPImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.XCLIPModel.get_video_features.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XCLIPModel.get_video_features.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XCLIPModel.get_video_features.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/x_clip/modeling_x_clip.py#L1369",returnDescription:`
<p>The video embeddings obtained by
applying the projection layer to the pooled output of <a
  href="/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPVisionModel"
>XCLIPVisionModel</a> and
<code>XCLIPMultiframeIntegrationTransformer</code>.</p>
`,returnType:`
<p>video_features (<code>torch.FloatTensor</code> of shape <code>(batch_size, output_dim</code>)</p>
`}}),Me=new po({props:{$$slots:{default:[Tl]},$$scope:{ctx:I}}}),Ee=new qt({props:{anchor:"transformers.XCLIPModel.get_video_features.example",$$slots:{default:[Xl]},$$scope:{ctx:I}}}),jt=new H({}),Lt=new T({props:{name:"class transformers.XCLIPTextModel",anchor:"transformers.XCLIPTextModel",parameters:[{name:"config",val:": XCLIPTextConfig"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/x_clip/modeling_x_clip.py#L825"}}),kt=new T({props:{name:"forward",anchor:"transformers.XCLIPTextModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XCLIPTextModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XCLIPTextModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XCLIPTextModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XCLIPTextModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XCLIPTextModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XCLIPTextModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/x_clip/modeling_x_clip.py#L840",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.x_clip.configuration_x_clip.XCLIPTextConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ae=new po({props:{$$slots:{default:[Ml]},$$scope:{ctx:I}}}),qe=new qt({props:{anchor:"transformers.XCLIPTextModel.forward.example",$$slots:{default:[El]},$$scope:{ctx:I}}}),Tt=new H({}),Xt=new T({props:{name:"class transformers.XCLIPVisionModel",anchor:"transformers.XCLIPVisionModel",parameters:[{name:"config",val:": XCLIPVisionConfig"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/x_clip/modeling_x_clip.py#L1040"}}),Mt=new T({props:{name:"forward",anchor:"transformers.XCLIPVisionModel.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XCLIPVisionModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Padding will be ignored by default should you provide it. Pixel values can be obtained using
<a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <a href="/docs/transformers/pr_22354/en/model_doc/mobilevit#transformers.MobileViTFeatureExtractor.__call__">CLIPImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.XCLIPVisionModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XCLIPVisionModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XCLIPVisionModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/x_clip/modeling_x_clip.py#L1053",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.x_clip.configuration_x_clip.XCLIPVisionConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),De=new po({props:{$$slots:{default:[zl]},$$scope:{ctx:I}}}),Oe=new qt({props:{anchor:"transformers.XCLIPVisionModel.forward.example",$$slots:{default:[Al]},$$scope:{ctx:I}}}),{c(){d=n("meta"),x=h(),_=n("h1"),m=n("a"),v=n("span"),b(o.$$.fragment),c=h(),j=n("span"),nn=i("X-CLIP"),co=h(),U=n("h2"),ue=n("a"),Ls=n("span"),b(Ge.$$.fragment),an=h(),ks=n("span"),rn=i("Overview"),mo=h(),S=n("p"),ln=i("The X-CLIP model was proposed in "),Je=n("a"),dn=i("Expanding Language-Image Pretrained Models for General Video Recognition"),pn=i(` by Bolin Ni, Houwen Peng, Minghao Chen, Songyang Zhang, Gaofeng Meng, Jianlong Fu, Shiming Xiang, Haibin Ling.
X-CLIP is a minimal extension of `),Ot=n("a"),cn=i("CLIP"),mn=i(" for video. The model consists of a text encoder, a cross-frame vision encoder, a multi-frame integration Transformer, and a video-specific prompt generator."),fo=h(),Nt=n("p"),fn=i("The abstract from the paper is the following:"),ho=h(),St=n("p"),Ts=n("em"),hn=i("Contrastive language-image pretraining has shown great success in learning visual-textual joint representation from web-scale data, demonstrating remarkable \u201Czero-shot\u201D generalization ability for various image tasks. However, how to effectively expand such new language-image pretraining methods to video domains is still an open problem. In this work, we present a simple yet effective approach that adapts the pretrained language-image models to video recognition directly, instead of pretraining a new model from scratch. More concretely, to capture the long-range dependencies of frames along the temporal dimension, we propose a cross-frame attention mechanism that explicitly exchanges information across frames. Such module is lightweight and can be plugged into pretrained language-image models seamlessly. Moreover, we propose a video-specific prompting scheme, which leverages video content information for generating discriminative textual prompts. Extensive experiments demonstrate that our approach is effective and can be generalized to different video recognition scenarios. In particular, under fully-supervised settings, our approach achieves a top-1 accuracy of 87.1% on Kinectics-400, while using 12 times fewer FLOPs compared with Swin-L and ViViT-H. In zero-shot experiments, our approach surpasses the current state-of-the-art methods by +7.6% and +14.9% in terms of top-1 accuracy under two popular protocols. In few-shot scenarios, our approach outperforms previous best methods by +32.1% and +23.1% when the labeled data is extremely limited."),uo=h(),Ft=n("p"),un=i("Tips:"),go=h(),Wt=n("ul"),Ke=n("li"),gn=i("Usage of X-CLIP is identical to "),Bt=n("a"),_n=i("CLIP"),vn=i("."),_o=h(),ge=n("img"),vo=h(),Ze=n("small"),xn=i("X-CLIP architecture. Taken from the "),Rt=n("a"),bn=i("original paper."),xo=h(),F=n("p"),Pn=i("This model was contributed by "),Qe=n("a"),Cn=i("nielsr"),$n=i(`.
The original code can be found `),Ye=n("a"),wn=i("here"),yn=i("."),bo=h(),G=n("h2"),_e=n("a"),Xs=n("span"),b(et.$$.fragment),In=h(),Ms=n("span"),jn=i("Resources"),Po=h(),Ht=n("p"),Ln=i("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with X-CLIP."),Co=h(),Ut=n("ul"),tt=n("li"),kn=i("Demo notebooks for X-CLIP can be found "),st=n("a"),Tn=i("here"),Xn=i("."),$o=h(),Gt=n("p"),Mn=i("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),wo=h(),J=n("h2"),ve=n("a"),Es=n("span"),b(ot.$$.fragment),En=h(),zs=n("span"),zn=i("XCLIPProcessor"),yo=h(),L=n("div"),b(nt.$$.fragment),An=h(),As=n("p"),qn=i("Constructs an X-CLIP processor which wraps a VideoMAE image processor and a CLIP tokenizer into a single processor."),Vn=h(),X=n("p"),Jt=n("a"),Dn=i("XCLIPProcessor"),On=i(" offers all the functionalities of "),Kt=n("a"),Nn=i("VideoMAEImageProcessor"),Sn=i(" and "),Zt=n("a"),Fn=i("CLIPTokenizerFast"),Wn=i(`. See the
`),qs=n("code"),Bn=i("__call__()"),Rn=i(" and "),Qt=n("a"),Hn=i("decode()"),Un=i(" for more information."),Gn=h(),xe=n("div"),b(at.$$.fragment),Jn=h(),rt=n("p"),Kn=i("This method forwards all its arguments to CLIPTokenizerFast\u2019s "),Yt=n("a"),Zn=i("batch_decode()"),Qn=i(`. Please
refer to the docstring of this method for more information.`),Yn=h(),be=n("div"),b(it.$$.fragment),ea=h(),lt=n("p"),ta=i("This method forwards all its arguments to CLIPTokenizerFast\u2019s "),es=n("a"),sa=i("decode()"),oa=i(`. Please refer to
the docstring of this method for more information.`),Io=h(),K=n("h2"),Pe=n("a"),Vs=n("span"),b(dt.$$.fragment),na=h(),Ds=n("span"),aa=i("XCLIPConfig"),jo=h(),M=n("div"),b(pt.$$.fragment),ra=h(),W=n("p"),ts=n("a"),ia=i("XCLIPConfig"),la=i(" is the configuration class to store the configuration of a "),ss=n("a"),da=i("XCLIPModel"),pa=i(`. It is used to
instantiate X-CLIP model according to the specified arguments, defining the text model and vision model configs.
Instantiating a configuration with the defaults will yield a similar configuration to that of the X-CLIP
`),ct=n("a"),ca=i("microsoft/xclip-base-patch32"),ma=i(" architecture."),fa=h(),Z=n("p"),ha=i("Configuration objects inherit from "),os=n("a"),ua=i("PretrainedConfig"),ga=i(` and can be used to control the model outputs. Read the
documentation from `),ns=n("a"),_a=i("PretrainedConfig"),va=i(" for more information."),xa=h(),Ce=n("div"),b(mt.$$.fragment),ba=h(),ft=n("p"),Pa=i("Instantiate a "),as=n("a"),Ca=i("XCLIPConfig"),$a=i(` (or a derived class) from xclip text model configuration and xclip vision model
configuration.`),Lo=h(),Q=n("h2"),$e=n("a"),Os=n("span"),b(ht.$$.fragment),wa=h(),Ns=n("span"),ya=i("XCLIPTextConfig"),ko=h(),E=n("div"),b(ut.$$.fragment),Ia=h(),Y=n("p"),ja=i("This is the configuration class to store the configuration of a "),rs=n("a"),La=i("XCLIPModel"),ka=i(`. It is used to instantiate an X-CLIP
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the X-CLIP
`),gt=n("a"),Ta=i("microsoft/xclip-base-patch32"),Xa=i(" architecture."),Ma=h(),ee=n("p"),Ea=i("Configuration objects inherit from "),is=n("a"),za=i("PretrainedConfig"),Aa=i(` and can be used to control the model outputs. Read the
documentation from `),ls=n("a"),qa=i("PretrainedConfig"),Va=i(" for more information."),Da=h(),b(we.$$.fragment),To=h(),te=n("h2"),ye=n("a"),Ss=n("span"),b(_t.$$.fragment),Oa=h(),Fs=n("span"),Na=i("XCLIPVisionConfig"),Xo=h(),z=n("div"),b(vt.$$.fragment),Sa=h(),se=n("p"),Fa=i("This is the configuration class to store the configuration of a "),ds=n("a"),Wa=i("XCLIPModel"),Ba=i(`. It is used to instantiate an X-CLIP
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the X-CLIP
`),xt=n("a"),Ra=i("microsoft/xclip-base-patch32"),Ha=i(" architecture."),Ua=h(),oe=n("p"),Ga=i("Configuration objects inherit from "),ps=n("a"),Ja=i("PretrainedConfig"),Ka=i(` and can be used to control the model outputs. Read the
documentation from `),cs=n("a"),Za=i("PretrainedConfig"),Qa=i(" for more information."),Ya=h(),b(Ie.$$.fragment),Mo=h(),ne=n("h2"),je=n("a"),Ws=n("span"),b(bt.$$.fragment),er=h(),Bs=n("span"),tr=i("XCLIPModel"),Eo=h(),k=n("div"),b(Pt.$$.fragment),sr=h(),Ct=n("p"),or=i("This model is a PyTorch "),$t=n("a"),nr=i("torch.nn.Module"),ar=i(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),rr=h(),A=n("div"),b(wt.$$.fragment),ir=h(),ae=n("p"),lr=i("The "),ms=n("a"),dr=i("XCLIPModel"),pr=i(" forward method, overrides the "),Rs=n("code"),cr=i("__call__"),mr=i(" special method."),fr=h(),b(Le.$$.fragment),hr=h(),b(ke.$$.fragment),ur=h(),q=n("div"),b(yt.$$.fragment),gr=h(),re=n("p"),_r=i("The "),fs=n("a"),vr=i("XCLIPModel"),xr=i(" forward method, overrides the "),Hs=n("code"),br=i("__call__"),Pr=i(" special method."),Cr=h(),b(Te.$$.fragment),$r=h(),b(Xe.$$.fragment),wr=h(),V=n("div"),b(It.$$.fragment),yr=h(),ie=n("p"),Ir=i("The "),hs=n("a"),jr=i("XCLIPModel"),Lr=i(" forward method, overrides the "),Us=n("code"),kr=i("__call__"),Tr=i(" special method."),Xr=h(),b(Me.$$.fragment),Mr=h(),b(Ee.$$.fragment),zo=h(),le=n("h2"),ze=n("a"),Gs=n("span"),b(jt.$$.fragment),Er=h(),Js=n("span"),zr=i("XCLIPTextModel"),Ao=h(),de=n("div"),b(Lt.$$.fragment),Ar=h(),D=n("div"),b(kt.$$.fragment),qr=h(),pe=n("p"),Vr=i("The "),us=n("a"),Dr=i("XCLIPTextModel"),Or=i(" forward method, overrides the "),Ks=n("code"),Nr=i("__call__"),Sr=i(" special method."),Fr=h(),b(Ae.$$.fragment),Wr=h(),b(qe.$$.fragment),qo=h(),ce=n("h2"),Ve=n("a"),Zs=n("span"),b(Tt.$$.fragment),Br=h(),Qs=n("span"),Rr=i("XCLIPVisionModel"),Vo=h(),me=n("div"),b(Xt.$$.fragment),Hr=h(),O=n("div"),b(Mt.$$.fragment),Ur=h(),fe=n("p"),Gr=i("The "),gs=n("a"),Jr=i("XCLIPVisionModel"),Kr=i(" forward method, overrides the "),Ys=n("code"),Zr=i("__call__"),Qr=i(" special method."),Yr=h(),b(De.$$.fragment),ei=h(),b(Oe.$$.fragment),this.h()},l(t){const f=Pl('[data-svelte="svelte-1phssyn"]',document.head);d=a(f,"META",{name:!0,content:!0}),f.forEach(s),x=u(t),_=a(t,"H1",{class:!0});var Et=r(_);m=a(Et,"A",{id:!0,class:!0,href:!0});var eo=r(m);v=a(eo,"SPAN",{});var to=r(v);P(o.$$.fragment,to),to.forEach(s),eo.forEach(s),c=u(Et),j=a(Et,"SPAN",{});var so=r(j);nn=l(so,"X-CLIP"),so.forEach(s),Et.forEach(s),co=u(t),U=a(t,"H2",{class:!0});var zt=r(U);ue=a(zt,"A",{id:!0,class:!0,href:!0});var oo=r(ue);Ls=a(oo,"SPAN",{});var no=r(Ls);P(Ge.$$.fragment,no),no.forEach(s),oo.forEach(s),an=u(zt),ks=a(zt,"SPAN",{});var ao=r(ks);rn=l(ao,"Overview"),ao.forEach(s),zt.forEach(s),mo=u(t),S=a(t,"P",{});var he=r(S);ln=l(he,"The X-CLIP model was proposed in "),Je=a(he,"A",{href:!0,rel:!0});var ro=r(Je);dn=l(ro,"Expanding Language-Image Pretrained Models for General Video Recognition"),ro.forEach(s),pn=l(he,` by Bolin Ni, Houwen Peng, Minghao Chen, Songyang Zhang, Gaofeng Meng, Jianlong Fu, Shiming Xiang, Haibin Ling.
X-CLIP is a minimal extension of `),Ot=a(he,"A",{href:!0});var io=r(Ot);cn=l(io,"CLIP"),io.forEach(s),mn=l(he," for video. The model consists of a text encoder, a cross-frame vision encoder, a multi-frame integration Transformer, and a video-specific prompt generator."),he.forEach(s),fo=u(t),Nt=a(t,"P",{});var lo=r(Nt);fn=l(lo,"The abstract from the paper is the following:"),lo.forEach(s),ho=u(t),St=a(t,"P",{});var oi=r(St);Ts=a(oi,"EM",{});var ni=r(Ts);hn=l(ni,"Contrastive language-image pretraining has shown great success in learning visual-textual joint representation from web-scale data, demonstrating remarkable \u201Czero-shot\u201D generalization ability for various image tasks. However, how to effectively expand such new language-image pretraining methods to video domains is still an open problem. In this work, we present a simple yet effective approach that adapts the pretrained language-image models to video recognition directly, instead of pretraining a new model from scratch. More concretely, to capture the long-range dependencies of frames along the temporal dimension, we propose a cross-frame attention mechanism that explicitly exchanges information across frames. Such module is lightweight and can be plugged into pretrained language-image models seamlessly. Moreover, we propose a video-specific prompting scheme, which leverages video content information for generating discriminative textual prompts. Extensive experiments demonstrate that our approach is effective and can be generalized to different video recognition scenarios. In particular, under fully-supervised settings, our approach achieves a top-1 accuracy of 87.1% on Kinectics-400, while using 12 times fewer FLOPs compared with Swin-L and ViViT-H. In zero-shot experiments, our approach surpasses the current state-of-the-art methods by +7.6% and +14.9% in terms of top-1 accuracy under two popular protocols. In few-shot scenarios, our approach outperforms previous best methods by +32.1% and +23.1% when the labeled data is extremely limited."),ni.forEach(s),oi.forEach(s),uo=u(t),Ft=a(t,"P",{});var ai=r(Ft);un=l(ai,"Tips:"),ai.forEach(s),go=u(t),Wt=a(t,"UL",{});var ri=r(Wt);Ke=a(ri,"LI",{});var Oo=r(Ke);gn=l(Oo,"Usage of X-CLIP is identical to "),Bt=a(Oo,"A",{href:!0});var ii=r(Bt);_n=l(ii,"CLIP"),ii.forEach(s),vn=l(Oo,"."),Oo.forEach(s),ri.forEach(s),_o=u(t),ge=a(t,"IMG",{src:!0,alt:!0,width:!0}),vo=u(t),Ze=a(t,"SMALL",{});var ti=r(Ze);xn=l(ti,"X-CLIP architecture. Taken from the "),Rt=a(ti,"A",{href:!0});var li=r(Rt);bn=l(li,"original paper."),li.forEach(s),ti.forEach(s),xo=u(t),F=a(t,"P",{});var _s=r(F);Pn=l(_s,"This model was contributed by "),Qe=a(_s,"A",{href:!0,rel:!0});var di=r(Qe);Cn=l(di,"nielsr"),di.forEach(s),$n=l(_s,`.
The original code can be found `),Ye=a(_s,"A",{href:!0,rel:!0});var pi=r(Ye);wn=l(pi,"here"),pi.forEach(s),yn=l(_s,"."),_s.forEach(s),bo=u(t),G=a(t,"H2",{class:!0});var No=r(G);_e=a(No,"A",{id:!0,class:!0,href:!0});var ci=r(_e);Xs=a(ci,"SPAN",{});var mi=r(Xs);P(et.$$.fragment,mi),mi.forEach(s),ci.forEach(s),In=u(No),Ms=a(No,"SPAN",{});var fi=r(Ms);jn=l(fi,"Resources"),fi.forEach(s),No.forEach(s),Po=u(t),Ht=a(t,"P",{});var hi=r(Ht);Ln=l(hi,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with X-CLIP."),hi.forEach(s),Co=u(t),Ut=a(t,"UL",{});var ui=r(Ut);tt=a(ui,"LI",{});var So=r(tt);kn=l(So,"Demo notebooks for X-CLIP can be found "),st=a(So,"A",{href:!0,rel:!0});var gi=r(st);Tn=l(gi,"here"),gi.forEach(s),Xn=l(So,"."),So.forEach(s),ui.forEach(s),$o=u(t),Gt=a(t,"P",{});var _i=r(Gt);Mn=l(_i,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),_i.forEach(s),wo=u(t),J=a(t,"H2",{class:!0});var Fo=r(J);ve=a(Fo,"A",{id:!0,class:!0,href:!0});var vi=r(ve);Es=a(vi,"SPAN",{});var xi=r(Es);P(ot.$$.fragment,xi),xi.forEach(s),vi.forEach(s),En=u(Fo),zs=a(Fo,"SPAN",{});var bi=r(zs);zn=l(bi,"XCLIPProcessor"),bi.forEach(s),Fo.forEach(s),yo=u(t),L=a(t,"DIV",{class:!0});var B=r(L);P(nt.$$.fragment,B),An=u(B),As=a(B,"P",{});var Pi=r(As);qn=l(Pi,"Constructs an X-CLIP processor which wraps a VideoMAE image processor and a CLIP tokenizer into a single processor."),Pi.forEach(s),Vn=u(B),X=a(B,"P",{});var N=r(X);Jt=a(N,"A",{href:!0});var Ci=r(Jt);Dn=l(Ci,"XCLIPProcessor"),Ci.forEach(s),On=l(N," offers all the functionalities of "),Kt=a(N,"A",{href:!0});var $i=r(Kt);Nn=l($i,"VideoMAEImageProcessor"),$i.forEach(s),Sn=l(N," and "),Zt=a(N,"A",{href:!0});var wi=r(Zt);Fn=l(wi,"CLIPTokenizerFast"),wi.forEach(s),Wn=l(N,`. See the
`),qs=a(N,"CODE",{});var yi=r(qs);Bn=l(yi,"__call__()"),yi.forEach(s),Rn=l(N," and "),Qt=a(N,"A",{href:!0});var Ii=r(Qt);Hn=l(Ii,"decode()"),Ii.forEach(s),Un=l(N," for more information."),N.forEach(s),Gn=u(B),xe=a(B,"DIV",{class:!0});var Wo=r(xe);P(at.$$.fragment,Wo),Jn=u(Wo),rt=a(Wo,"P",{});var Bo=r(rt);Kn=l(Bo,"This method forwards all its arguments to CLIPTokenizerFast\u2019s "),Yt=a(Bo,"A",{href:!0});var ji=r(Yt);Zn=l(ji,"batch_decode()"),ji.forEach(s),Qn=l(Bo,`. Please
refer to the docstring of this method for more information.`),Bo.forEach(s),Wo.forEach(s),Yn=u(B),be=a(B,"DIV",{class:!0});var Ro=r(be);P(it.$$.fragment,Ro),ea=u(Ro),lt=a(Ro,"P",{});var Ho=r(lt);ta=l(Ho,"This method forwards all its arguments to CLIPTokenizerFast\u2019s "),es=a(Ho,"A",{href:!0});var Li=r(es);sa=l(Li,"decode()"),Li.forEach(s),oa=l(Ho,`. Please refer to
the docstring of this method for more information.`),Ho.forEach(s),Ro.forEach(s),B.forEach(s),Io=u(t),K=a(t,"H2",{class:!0});var Uo=r(K);Pe=a(Uo,"A",{id:!0,class:!0,href:!0});var ki=r(Pe);Vs=a(ki,"SPAN",{});var Ti=r(Vs);P(dt.$$.fragment,Ti),Ti.forEach(s),ki.forEach(s),na=u(Uo),Ds=a(Uo,"SPAN",{});var Xi=r(Ds);aa=l(Xi,"XCLIPConfig"),Xi.forEach(s),Uo.forEach(s),jo=u(t),M=a(t,"DIV",{class:!0});var Ne=r(M);P(pt.$$.fragment,Ne),ra=u(Ne),W=a(Ne,"P",{});var At=r(W);ts=a(At,"A",{href:!0});var Mi=r(ts);ia=l(Mi,"XCLIPConfig"),Mi.forEach(s),la=l(At," is the configuration class to store the configuration of a "),ss=a(At,"A",{href:!0});var Ei=r(ss);da=l(Ei,"XCLIPModel"),Ei.forEach(s),pa=l(At,`. It is used to
instantiate X-CLIP model according to the specified arguments, defining the text model and vision model configs.
Instantiating a configuration with the defaults will yield a similar configuration to that of the X-CLIP
`),ct=a(At,"A",{href:!0,rel:!0});var zi=r(ct);ca=l(zi,"microsoft/xclip-base-patch32"),zi.forEach(s),ma=l(At," architecture."),At.forEach(s),fa=u(Ne),Z=a(Ne,"P",{});var vs=r(Z);ha=l(vs,"Configuration objects inherit from "),os=a(vs,"A",{href:!0});var Ai=r(os);ua=l(Ai,"PretrainedConfig"),Ai.forEach(s),ga=l(vs,` and can be used to control the model outputs. Read the
documentation from `),ns=a(vs,"A",{href:!0});var qi=r(ns);_a=l(qi,"PretrainedConfig"),qi.forEach(s),va=l(vs," for more information."),vs.forEach(s),xa=u(Ne),Ce=a(Ne,"DIV",{class:!0});var Go=r(Ce);P(mt.$$.fragment,Go),ba=u(Go),ft=a(Go,"P",{});var Jo=r(ft);Pa=l(Jo,"Instantiate a "),as=a(Jo,"A",{href:!0});var Vi=r(as);Ca=l(Vi,"XCLIPConfig"),Vi.forEach(s),$a=l(Jo,` (or a derived class) from xclip text model configuration and xclip vision model
configuration.`),Jo.forEach(s),Go.forEach(s),Ne.forEach(s),Lo=u(t),Q=a(t,"H2",{class:!0});var Ko=r(Q);$e=a(Ko,"A",{id:!0,class:!0,href:!0});var Di=r($e);Os=a(Di,"SPAN",{});var Oi=r(Os);P(ht.$$.fragment,Oi),Oi.forEach(s),Di.forEach(s),wa=u(Ko),Ns=a(Ko,"SPAN",{});var Ni=r(Ns);ya=l(Ni,"XCLIPTextConfig"),Ni.forEach(s),Ko.forEach(s),ko=u(t),E=a(t,"DIV",{class:!0});var Se=r(E);P(ut.$$.fragment,Se),Ia=u(Se),Y=a(Se,"P",{});var xs=r(Y);ja=l(xs,"This is the configuration class to store the configuration of a "),rs=a(xs,"A",{href:!0});var Si=r(rs);La=l(Si,"XCLIPModel"),Si.forEach(s),ka=l(xs,`. It is used to instantiate an X-CLIP
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the X-CLIP
`),gt=a(xs,"A",{href:!0,rel:!0});var Fi=r(gt);Ta=l(Fi,"microsoft/xclip-base-patch32"),Fi.forEach(s),Xa=l(xs," architecture."),xs.forEach(s),Ma=u(Se),ee=a(Se,"P",{});var bs=r(ee);Ea=l(bs,"Configuration objects inherit from "),is=a(bs,"A",{href:!0});var Wi=r(is);za=l(Wi,"PretrainedConfig"),Wi.forEach(s),Aa=l(bs,` and can be used to control the model outputs. Read the
documentation from `),ls=a(bs,"A",{href:!0});var Bi=r(ls);qa=l(Bi,"PretrainedConfig"),Bi.forEach(s),Va=l(bs," for more information."),bs.forEach(s),Da=u(Se),P(we.$$.fragment,Se),Se.forEach(s),To=u(t),te=a(t,"H2",{class:!0});var Zo=r(te);ye=a(Zo,"A",{id:!0,class:!0,href:!0});var Ri=r(ye);Ss=a(Ri,"SPAN",{});var Hi=r(Ss);P(_t.$$.fragment,Hi),Hi.forEach(s),Ri.forEach(s),Oa=u(Zo),Fs=a(Zo,"SPAN",{});var Ui=r(Fs);Na=l(Ui,"XCLIPVisionConfig"),Ui.forEach(s),Zo.forEach(s),Xo=u(t),z=a(t,"DIV",{class:!0});var Fe=r(z);P(vt.$$.fragment,Fe),Sa=u(Fe),se=a(Fe,"P",{});var Ps=r(se);Fa=l(Ps,"This is the configuration class to store the configuration of a "),ds=a(Ps,"A",{href:!0});var Gi=r(ds);Wa=l(Gi,"XCLIPModel"),Gi.forEach(s),Ba=l(Ps,`. It is used to instantiate an X-CLIP
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the X-CLIP
`),xt=a(Ps,"A",{href:!0,rel:!0});var Ji=r(xt);Ra=l(Ji,"microsoft/xclip-base-patch32"),Ji.forEach(s),Ha=l(Ps," architecture."),Ps.forEach(s),Ua=u(Fe),oe=a(Fe,"P",{});var Cs=r(oe);Ga=l(Cs,"Configuration objects inherit from "),ps=a(Cs,"A",{href:!0});var Ki=r(ps);Ja=l(Ki,"PretrainedConfig"),Ki.forEach(s),Ka=l(Cs,` and can be used to control the model outputs. Read the
documentation from `),cs=a(Cs,"A",{href:!0});var Zi=r(cs);Za=l(Zi,"PretrainedConfig"),Zi.forEach(s),Qa=l(Cs," for more information."),Cs.forEach(s),Ya=u(Fe),P(Ie.$$.fragment,Fe),Fe.forEach(s),Mo=u(t),ne=a(t,"H2",{class:!0});var Qo=r(ne);je=a(Qo,"A",{id:!0,class:!0,href:!0});var Qi=r(je);Ws=a(Qi,"SPAN",{});var Yi=r(Ws);P(bt.$$.fragment,Yi),Yi.forEach(s),Qi.forEach(s),er=u(Qo),Bs=a(Qo,"SPAN",{});var el=r(Bs);tr=l(el,"XCLIPModel"),el.forEach(s),Qo.forEach(s),Eo=u(t),k=a(t,"DIV",{class:!0});var R=r(k);P(Pt.$$.fragment,R),sr=u(R),Ct=a(R,"P",{});var Yo=r(Ct);or=l(Yo,"This model is a PyTorch "),$t=a(Yo,"A",{href:!0,rel:!0});var tl=r($t);nr=l(tl,"torch.nn.Module"),tl.forEach(s),ar=l(Yo,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Yo.forEach(s),rr=u(R),A=a(R,"DIV",{class:!0});var We=r(A);P(wt.$$.fragment,We),ir=u(We),ae=a(We,"P",{});var $s=r(ae);lr=l($s,"The "),ms=a($s,"A",{href:!0});var sl=r(ms);dr=l(sl,"XCLIPModel"),sl.forEach(s),pr=l($s," forward method, overrides the "),Rs=a($s,"CODE",{});var ol=r(Rs);cr=l(ol,"__call__"),ol.forEach(s),mr=l($s," special method."),$s.forEach(s),fr=u(We),P(Le.$$.fragment,We),hr=u(We),P(ke.$$.fragment,We),We.forEach(s),ur=u(R),q=a(R,"DIV",{class:!0});var Be=r(q);P(yt.$$.fragment,Be),gr=u(Be),re=a(Be,"P",{});var ws=r(re);_r=l(ws,"The "),fs=a(ws,"A",{href:!0});var nl=r(fs);vr=l(nl,"XCLIPModel"),nl.forEach(s),xr=l(ws," forward method, overrides the "),Hs=a(ws,"CODE",{});var al=r(Hs);br=l(al,"__call__"),al.forEach(s),Pr=l(ws," special method."),ws.forEach(s),Cr=u(Be),P(Te.$$.fragment,Be),$r=u(Be),P(Xe.$$.fragment,Be),Be.forEach(s),wr=u(R),V=a(R,"DIV",{class:!0});var Re=r(V);P(It.$$.fragment,Re),yr=u(Re),ie=a(Re,"P",{});var ys=r(ie);Ir=l(ys,"The "),hs=a(ys,"A",{href:!0});var rl=r(hs);jr=l(rl,"XCLIPModel"),rl.forEach(s),Lr=l(ys," forward method, overrides the "),Us=a(ys,"CODE",{});var il=r(Us);kr=l(il,"__call__"),il.forEach(s),Tr=l(ys," special method."),ys.forEach(s),Xr=u(Re),P(Me.$$.fragment,Re),Mr=u(Re),P(Ee.$$.fragment,Re),Re.forEach(s),R.forEach(s),zo=u(t),le=a(t,"H2",{class:!0});var en=r(le);ze=a(en,"A",{id:!0,class:!0,href:!0});var ll=r(ze);Gs=a(ll,"SPAN",{});var dl=r(Gs);P(jt.$$.fragment,dl),dl.forEach(s),ll.forEach(s),Er=u(en),Js=a(en,"SPAN",{});var pl=r(Js);zr=l(pl,"XCLIPTextModel"),pl.forEach(s),en.forEach(s),Ao=u(t),de=a(t,"DIV",{class:!0});var tn=r(de);P(Lt.$$.fragment,tn),Ar=u(tn),D=a(tn,"DIV",{class:!0});var He=r(D);P(kt.$$.fragment,He),qr=u(He),pe=a(He,"P",{});var Is=r(pe);Vr=l(Is,"The "),us=a(Is,"A",{href:!0});var cl=r(us);Dr=l(cl,"XCLIPTextModel"),cl.forEach(s),Or=l(Is," forward method, overrides the "),Ks=a(Is,"CODE",{});var ml=r(Ks);Nr=l(ml,"__call__"),ml.forEach(s),Sr=l(Is," special method."),Is.forEach(s),Fr=u(He),P(Ae.$$.fragment,He),Wr=u(He),P(qe.$$.fragment,He),He.forEach(s),tn.forEach(s),qo=u(t),ce=a(t,"H2",{class:!0});var sn=r(ce);Ve=a(sn,"A",{id:!0,class:!0,href:!0});var fl=r(Ve);Zs=a(fl,"SPAN",{});var hl=r(Zs);P(Tt.$$.fragment,hl),hl.forEach(s),fl.forEach(s),Br=u(sn),Qs=a(sn,"SPAN",{});var ul=r(Qs);Rr=l(ul,"XCLIPVisionModel"),ul.forEach(s),sn.forEach(s),Vo=u(t),me=a(t,"DIV",{class:!0});var on=r(me);P(Xt.$$.fragment,on),Hr=u(on),O=a(on,"DIV",{class:!0});var Ue=r(O);P(Mt.$$.fragment,Ue),Ur=u(Ue),fe=a(Ue,"P",{});var js=r(fe);Gr=l(js,"The "),gs=a(js,"A",{href:!0});var gl=r(gs);Jr=l(gl,"XCLIPVisionModel"),gl.forEach(s),Kr=l(js," forward method, overrides the "),Ys=a(js,"CODE",{});var _l=r(Ys);Zr=l(_l,"__call__"),_l.forEach(s),Qr=l(js," special method."),js.forEach(s),Yr=u(Ue),P(De.$$.fragment,Ue),ei=u(Ue),P(Oe.$$.fragment,Ue),Ue.forEach(s),on.forEach(s),this.h()},h(){p(d,"name","hf:doc:metadata"),p(d,"content",JSON.stringify(Vl)),p(m,"id","xclip"),p(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(m,"href","#xclip"),p(_,"class","relative group"),p(ue,"id","overview"),p(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(ue,"href","#overview"),p(U,"class","relative group"),p(Je,"href","https://arxiv.org/abs/2208.02816"),p(Je,"rel","nofollow"),p(Ot,"href","clip"),p(Bt,"href","clip"),Cl(ge.src,si="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/transformers/model_doc/xclip_architecture.png")||p(ge,"src",si),p(ge,"alt","drawing"),p(ge,"width","600"),p(Rt,"href","https://arxiv.org/abs/2208.02816"),p(Qe,"href","https://huggingface.co/nielsr"),p(Qe,"rel","nofollow"),p(Ye,"href","https://github.com/microsoft/VideoX/tree/master/X-CLIP"),p(Ye,"rel","nofollow"),p(_e,"id","resources"),p(_e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(_e,"href","#resources"),p(G,"class","relative group"),p(st,"href","https://github.com/NielsRogge/Transformers-Tutorials/tree/master/X-CLIP"),p(st,"rel","nofollow"),p(ve,"id","transformers.XCLIPProcessor"),p(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(ve,"href","#transformers.XCLIPProcessor"),p(J,"class","relative group"),p(Jt,"href","/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPProcessor"),p(Kt,"href","/docs/transformers/pr_22354/en/model_doc/videomae#transformers.VideoMAEImageProcessor"),p(Zt,"href","/docs/transformers/pr_22354/en/model_doc/clip#transformers.CLIPTokenizerFast"),p(Qt,"href","/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPProcessor.decode"),p(Yt,"href","/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.batch_decode"),p(xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(es,"href","/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.decode"),p(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Pe,"id","transformers.XCLIPConfig"),p(Pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Pe,"href","#transformers.XCLIPConfig"),p(K,"class","relative group"),p(ts,"href","/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPConfig"),p(ss,"href","/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPModel"),p(ct,"href","https://huggingface.co/microsoft/xclip-base-patch32"),p(ct,"rel","nofollow"),p(os,"href","/docs/transformers/pr_22354/en/main_classes/configuration#transformers.PretrainedConfig"),p(ns,"href","/docs/transformers/pr_22354/en/main_classes/configuration#transformers.PretrainedConfig"),p(as,"href","/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPConfig"),p(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p($e,"id","transformers.XCLIPTextConfig"),p($e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p($e,"href","#transformers.XCLIPTextConfig"),p(Q,"class","relative group"),p(rs,"href","/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPModel"),p(gt,"href","https://huggingface.co/microsoft/xclip-base-patch32"),p(gt,"rel","nofollow"),p(is,"href","/docs/transformers/pr_22354/en/main_classes/configuration#transformers.PretrainedConfig"),p(ls,"href","/docs/transformers/pr_22354/en/main_classes/configuration#transformers.PretrainedConfig"),p(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(ye,"id","transformers.XCLIPVisionConfig"),p(ye,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(ye,"href","#transformers.XCLIPVisionConfig"),p(te,"class","relative group"),p(ds,"href","/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPModel"),p(xt,"href","https://huggingface.co/microsoft/xclip-base-patch32"),p(xt,"rel","nofollow"),p(ps,"href","/docs/transformers/pr_22354/en/main_classes/configuration#transformers.PretrainedConfig"),p(cs,"href","/docs/transformers/pr_22354/en/main_classes/configuration#transformers.PretrainedConfig"),p(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(je,"id","transformers.XCLIPModel"),p(je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(je,"href","#transformers.XCLIPModel"),p(ne,"class","relative group"),p($t,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),p($t,"rel","nofollow"),p(ms,"href","/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPModel"),p(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(fs,"href","/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPModel"),p(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(hs,"href","/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPModel"),p(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(ze,"id","transformers.XCLIPTextModel"),p(ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(ze,"href","#transformers.XCLIPTextModel"),p(le,"class","relative group"),p(us,"href","/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPTextModel"),p(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Ve,"id","transformers.XCLIPVisionModel"),p(Ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Ve,"href","#transformers.XCLIPVisionModel"),p(ce,"class","relative group"),p(gs,"href","/docs/transformers/pr_22354/en/model_doc/xclip#transformers.XCLIPVisionModel"),p(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,f){e(document.head,d),g(t,x,f),g(t,_,f),e(_,m),e(m,v),C(o,v,null),e(_,c),e(_,j),e(j,nn),g(t,co,f),g(t,U,f),e(U,ue),e(ue,Ls),C(Ge,Ls,null),e(U,an),e(U,ks),e(ks,rn),g(t,mo,f),g(t,S,f),e(S,ln),e(S,Je),e(Je,dn),e(S,pn),e(S,Ot),e(Ot,cn),e(S,mn),g(t,fo,f),g(t,Nt,f),e(Nt,fn),g(t,ho,f),g(t,St,f),e(St,Ts),e(Ts,hn),g(t,uo,f),g(t,Ft,f),e(Ft,un),g(t,go,f),g(t,Wt,f),e(Wt,Ke),e(Ke,gn),e(Ke,Bt),e(Bt,_n),e(Ke,vn),g(t,_o,f),g(t,ge,f),g(t,vo,f),g(t,Ze,f),e(Ze,xn),e(Ze,Rt),e(Rt,bn),g(t,xo,f),g(t,F,f),e(F,Pn),e(F,Qe),e(Qe,Cn),e(F,$n),e(F,Ye),e(Ye,wn),e(F,yn),g(t,bo,f),g(t,G,f),e(G,_e),e(_e,Xs),C(et,Xs,null),e(G,In),e(G,Ms),e(Ms,jn),g(t,Po,f),g(t,Ht,f),e(Ht,Ln),g(t,Co,f),g(t,Ut,f),e(Ut,tt),e(tt,kn),e(tt,st),e(st,Tn),e(tt,Xn),g(t,$o,f),g(t,Gt,f),e(Gt,Mn),g(t,wo,f),g(t,J,f),e(J,ve),e(ve,Es),C(ot,Es,null),e(J,En),e(J,zs),e(zs,zn),g(t,yo,f),g(t,L,f),C(nt,L,null),e(L,An),e(L,As),e(As,qn),e(L,Vn),e(L,X),e(X,Jt),e(Jt,Dn),e(X,On),e(X,Kt),e(Kt,Nn),e(X,Sn),e(X,Zt),e(Zt,Fn),e(X,Wn),e(X,qs),e(qs,Bn),e(X,Rn),e(X,Qt),e(Qt,Hn),e(X,Un),e(L,Gn),e(L,xe),C(at,xe,null),e(xe,Jn),e(xe,rt),e(rt,Kn),e(rt,Yt),e(Yt,Zn),e(rt,Qn),e(L,Yn),e(L,be),C(it,be,null),e(be,ea),e(be,lt),e(lt,ta),e(lt,es),e(es,sa),e(lt,oa),g(t,Io,f),g(t,K,f),e(K,Pe),e(Pe,Vs),C(dt,Vs,null),e(K,na),e(K,Ds),e(Ds,aa),g(t,jo,f),g(t,M,f),C(pt,M,null),e(M,ra),e(M,W),e(W,ts),e(ts,ia),e(W,la),e(W,ss),e(ss,da),e(W,pa),e(W,ct),e(ct,ca),e(W,ma),e(M,fa),e(M,Z),e(Z,ha),e(Z,os),e(os,ua),e(Z,ga),e(Z,ns),e(ns,_a),e(Z,va),e(M,xa),e(M,Ce),C(mt,Ce,null),e(Ce,ba),e(Ce,ft),e(ft,Pa),e(ft,as),e(as,Ca),e(ft,$a),g(t,Lo,f),g(t,Q,f),e(Q,$e),e($e,Os),C(ht,Os,null),e(Q,wa),e(Q,Ns),e(Ns,ya),g(t,ko,f),g(t,E,f),C(ut,E,null),e(E,Ia),e(E,Y),e(Y,ja),e(Y,rs),e(rs,La),e(Y,ka),e(Y,gt),e(gt,Ta),e(Y,Xa),e(E,Ma),e(E,ee),e(ee,Ea),e(ee,is),e(is,za),e(ee,Aa),e(ee,ls),e(ls,qa),e(ee,Va),e(E,Da),C(we,E,null),g(t,To,f),g(t,te,f),e(te,ye),e(ye,Ss),C(_t,Ss,null),e(te,Oa),e(te,Fs),e(Fs,Na),g(t,Xo,f),g(t,z,f),C(vt,z,null),e(z,Sa),e(z,se),e(se,Fa),e(se,ds),e(ds,Wa),e(se,Ba),e(se,xt),e(xt,Ra),e(se,Ha),e(z,Ua),e(z,oe),e(oe,Ga),e(oe,ps),e(ps,Ja),e(oe,Ka),e(oe,cs),e(cs,Za),e(oe,Qa),e(z,Ya),C(Ie,z,null),g(t,Mo,f),g(t,ne,f),e(ne,je),e(je,Ws),C(bt,Ws,null),e(ne,er),e(ne,Bs),e(Bs,tr),g(t,Eo,f),g(t,k,f),C(Pt,k,null),e(k,sr),e(k,Ct),e(Ct,or),e(Ct,$t),e($t,nr),e(Ct,ar),e(k,rr),e(k,A),C(wt,A,null),e(A,ir),e(A,ae),e(ae,lr),e(ae,ms),e(ms,dr),e(ae,pr),e(ae,Rs),e(Rs,cr),e(ae,mr),e(A,fr),C(Le,A,null),e(A,hr),C(ke,A,null),e(k,ur),e(k,q),C(yt,q,null),e(q,gr),e(q,re),e(re,_r),e(re,fs),e(fs,vr),e(re,xr),e(re,Hs),e(Hs,br),e(re,Pr),e(q,Cr),C(Te,q,null),e(q,$r),C(Xe,q,null),e(k,wr),e(k,V),C(It,V,null),e(V,yr),e(V,ie),e(ie,Ir),e(ie,hs),e(hs,jr),e(ie,Lr),e(ie,Us),e(Us,kr),e(ie,Tr),e(V,Xr),C(Me,V,null),e(V,Mr),C(Ee,V,null),g(t,zo,f),g(t,le,f),e(le,ze),e(ze,Gs),C(jt,Gs,null),e(le,Er),e(le,Js),e(Js,zr),g(t,Ao,f),g(t,de,f),C(Lt,de,null),e(de,Ar),e(de,D),C(kt,D,null),e(D,qr),e(D,pe),e(pe,Vr),e(pe,us),e(us,Dr),e(pe,Or),e(pe,Ks),e(Ks,Nr),e(pe,Sr),e(D,Fr),C(Ae,D,null),e(D,Wr),C(qe,D,null),g(t,qo,f),g(t,ce,f),e(ce,Ve),e(Ve,Zs),C(Tt,Zs,null),e(ce,Br),e(ce,Qs),e(Qs,Rr),g(t,Vo,f),g(t,me,f),C(Xt,me,null),e(me,Hr),e(me,O),C(Mt,O,null),e(O,Ur),e(O,fe),e(fe,Gr),e(fe,gs),e(gs,Jr),e(fe,Kr),e(fe,Ys),e(Ys,Zr),e(fe,Qr),e(O,Yr),C(De,O,null),e(O,ei),C(Oe,O,null),Do=!0},p(t,[f]){const Et={};f&2&&(Et.$$scope={dirty:f,ctx:t}),we.$set(Et);const eo={};f&2&&(eo.$$scope={dirty:f,ctx:t}),Ie.$set(eo);const to={};f&2&&(to.$$scope={dirty:f,ctx:t}),Le.$set(to);const so={};f&2&&(so.$$scope={dirty:f,ctx:t}),ke.$set(so);const zt={};f&2&&(zt.$$scope={dirty:f,ctx:t}),Te.$set(zt);const oo={};f&2&&(oo.$$scope={dirty:f,ctx:t}),Xe.$set(oo);const no={};f&2&&(no.$$scope={dirty:f,ctx:t}),Me.$set(no);const ao={};f&2&&(ao.$$scope={dirty:f,ctx:t}),Ee.$set(ao);const he={};f&2&&(he.$$scope={dirty:f,ctx:t}),Ae.$set(he);const ro={};f&2&&(ro.$$scope={dirty:f,ctx:t}),qe.$set(ro);const io={};f&2&&(io.$$scope={dirty:f,ctx:t}),De.$set(io);const lo={};f&2&&(lo.$$scope={dirty:f,ctx:t}),Oe.$set(lo)},i(t){Do||($(o.$$.fragment,t),$(Ge.$$.fragment,t),$(et.$$.fragment,t),$(ot.$$.fragment,t),$(nt.$$.fragment,t),$(at.$$.fragment,t),$(it.$$.fragment,t),$(dt.$$.fragment,t),$(pt.$$.fragment,t),$(mt.$$.fragment,t),$(ht.$$.fragment,t),$(ut.$$.fragment,t),$(we.$$.fragment,t),$(_t.$$.fragment,t),$(vt.$$.fragment,t),$(Ie.$$.fragment,t),$(bt.$$.fragment,t),$(Pt.$$.fragment,t),$(wt.$$.fragment,t),$(Le.$$.fragment,t),$(ke.$$.fragment,t),$(yt.$$.fragment,t),$(Te.$$.fragment,t),$(Xe.$$.fragment,t),$(It.$$.fragment,t),$(Me.$$.fragment,t),$(Ee.$$.fragment,t),$(jt.$$.fragment,t),$(Lt.$$.fragment,t),$(kt.$$.fragment,t),$(Ae.$$.fragment,t),$(qe.$$.fragment,t),$(Tt.$$.fragment,t),$(Xt.$$.fragment,t),$(Mt.$$.fragment,t),$(De.$$.fragment,t),$(Oe.$$.fragment,t),Do=!0)},o(t){w(o.$$.fragment,t),w(Ge.$$.fragment,t),w(et.$$.fragment,t),w(ot.$$.fragment,t),w(nt.$$.fragment,t),w(at.$$.fragment,t),w(it.$$.fragment,t),w(dt.$$.fragment,t),w(pt.$$.fragment,t),w(mt.$$.fragment,t),w(ht.$$.fragment,t),w(ut.$$.fragment,t),w(we.$$.fragment,t),w(_t.$$.fragment,t),w(vt.$$.fragment,t),w(Ie.$$.fragment,t),w(bt.$$.fragment,t),w(Pt.$$.fragment,t),w(wt.$$.fragment,t),w(Le.$$.fragment,t),w(ke.$$.fragment,t),w(yt.$$.fragment,t),w(Te.$$.fragment,t),w(Xe.$$.fragment,t),w(It.$$.fragment,t),w(Me.$$.fragment,t),w(Ee.$$.fragment,t),w(jt.$$.fragment,t),w(Lt.$$.fragment,t),w(kt.$$.fragment,t),w(Ae.$$.fragment,t),w(qe.$$.fragment,t),w(Tt.$$.fragment,t),w(Xt.$$.fragment,t),w(Mt.$$.fragment,t),w(De.$$.fragment,t),w(Oe.$$.fragment,t),Do=!1},d(t){s(d),t&&s(x),t&&s(_),y(o),t&&s(co),t&&s(U),y(Ge),t&&s(mo),t&&s(S),t&&s(fo),t&&s(Nt),t&&s(ho),t&&s(St),t&&s(uo),t&&s(Ft),t&&s(go),t&&s(Wt),t&&s(_o),t&&s(ge),t&&s(vo),t&&s(Ze),t&&s(xo),t&&s(F),t&&s(bo),t&&s(G),y(et),t&&s(Po),t&&s(Ht),t&&s(Co),t&&s(Ut),t&&s($o),t&&s(Gt),t&&s(wo),t&&s(J),y(ot),t&&s(yo),t&&s(L),y(nt),y(at),y(it),t&&s(Io),t&&s(K),y(dt),t&&s(jo),t&&s(M),y(pt),y(mt),t&&s(Lo),t&&s(Q),y(ht),t&&s(ko),t&&s(E),y(ut),y(we),t&&s(To),t&&s(te),y(_t),t&&s(Xo),t&&s(z),y(vt),y(Ie),t&&s(Mo),t&&s(ne),y(bt),t&&s(Eo),t&&s(k),y(Pt),y(wt),y(Le),y(ke),y(yt),y(Te),y(Xe),y(It),y(Me),y(Ee),t&&s(zo),t&&s(le),y(jt),t&&s(Ao),t&&s(de),y(Lt),y(kt),y(Ae),y(qe),t&&s(qo),t&&s(ce),y(Tt),t&&s(Vo),t&&s(me),y(Xt),y(Mt),y(De),y(Oe)}}}const Vl={local:"xclip",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.XCLIPProcessor",title:"XCLIPProcessor"},{local:"transformers.XCLIPConfig",title:"XCLIPConfig"},{local:"transformers.XCLIPTextConfig",title:"XCLIPTextConfig"},{local:"transformers.XCLIPVisionConfig",title:"XCLIPVisionConfig"},{local:"transformers.XCLIPModel",title:"XCLIPModel"},{local:"transformers.XCLIPTextModel",title:"XCLIPTextModel"},{local:"transformers.XCLIPVisionModel",title:"XCLIPVisionModel"}],title:"X-CLIP"};function Dl(I){return $l(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Rl extends vl{constructor(d){super();xl(this,d,Dl,ql,bl,{})}}export{Rl as default,Vl as metadata};
